GNU bug report logs - #27872
[macOS] (without Symbola) freeze when opening file with emojis

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Nejc Vivod <nvivod@HIDDEN>; dated Sat, 29 Jul 2017 23:22:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Changed bug title to '[macOS] (without Symbola) freeze when opening file with emojis' from '26.0.50; freeze when opening file with emojis' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 27872 <at> debbugs.gnu.org:


Received: (at 27872) by debbugs.gnu.org; 31 Jul 2017 03:07:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 23:07:21 2017
Received: from localhost ([127.0.0.1]:34696 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dc13B-0002SA-ES
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2017 23:07:21 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50039)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dc139-0002Ry-TQ
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 23:07:20 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dc130-0001vo-9a
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 23:07:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42229)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dc130-0001vk-5e; Sun, 30 Jul 2017 23:07:10 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2839
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dc12z-0006wi-LJ; Sun, 30 Jul 2017 23:07:10 -0400
Date: Mon, 31 Jul 2017 06:07:04 +0300
Message-Id: <83mv7l1ezr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alan Third <alan@HIDDEN>
In-reply-to: <20170730220744.GA19659@HIDDEN> (message from
 Alan Third on Sun, 30 Jul 2017 23:07:44 +0100)
Subject: Re: bug#27872: 26.0.50; freeze when opening file with emojis
References: <20170730123416.GC2137@HIDDEN>
 <DF01DF05-F40D-4A4E-8335-C7159FF99056@HIDDEN>
 <20170730130458.GA19175@HIDDEN>
 <83y3r6101q.fsf@HIDDEN>
 <42AD47D2-6C68-4AF2-AD66-92E2E4F12794@HIDDEN>
 <83wp6q0zl4.fsf@HIDDEN>
 <20170730150605.GA19287@HIDDEN>
 <83tw1u0wq6.fsf@HIDDEN>
 <20170730192716.GA19354@HIDDEN>
 <29BD5E6E-35D7-4EA2-B4F6-D335FF4A280A@HIDDEN>
 <20170730220744.GA19659@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 27872
Cc: 27872 <at> debbugs.gnu.org, nvivod@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Sun, 30 Jul 2017 23:07:44 +0100
> From: Alan Third <alan@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>, 27872 <at> debbugs.gnu.org
> 
> My understanding is that if you have Symbola installed it’s one of the
> first fonts Emacs checks for emoji. If you don’t have it installed, or
> Emacs can’t find the glyph it’s looking for, then it searches other
> fonts for them.

That's right.

> I think that means you’ve probably got a font that doesn’t get on well
> with Emacs. We should be able to find out which one if you’re willing
> to try building a custom version which prints out each font family as
> it tries them.

I think it means that the freeze wasn't a freeze, but just a very long
search for a font that could support the character.  It was made even
longer by using up a lot of memory, which caused paging and slowed
Emacs down.  Not sure why it used up so much memory, perhaps that's
due to some very large font, or maybe it's a bug in the macOS code
which is involved in the search.

Having Symbola installed is a Good Thing anyway, because Emacs by
default will try to use it for many unusual characters.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27872; Package emacs. Full text available.

Message received at 27872 <at> debbugs.gnu.org:


Received: (at 27872) by debbugs.gnu.org; 30 Jul 2017 22:07:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 18:07:54 2017
Received: from localhost ([127.0.0.1]:34592 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dbwNO-00025T-ML
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2017 18:07:54 -0400
Received: from mail-wm0-f46.google.com ([74.125.82.46]:37198)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1dbwNN-00025E-KG
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 18:07:53 -0400
Received: by mail-wm0-f46.google.com with SMTP id t201so34772502wmt.0
 for <27872 <at> debbugs.gnu.org>; Sun, 30 Jul 2017 15:07:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=BTK6ao66qxJEnGSt3bjbLr3ajPGhi25U5wJ4AfHzt/o=;
 b=dTPH0z0RvTW/SG6kjtQ9+byXpTNXldlTGGhITihLkJxlI/Ps70A1xyWG2kFw3r0l4j
 mz7MvwxhEPNaP2zZxMOTcltZfelwJlLAFBkRgU1nfGOcYT5R7UXkW826AGzLf171VHZh
 KUtV/nCc0abOc5LiVyHtxdFuYc6Q2BUWUd7+DpZ2ZQx5jG4IuMM/jpcpI7045WBlm+5p
 Rl8MvsbZW2RToHamN5yV4T/GCHy3LQ1vk+/L6lSAI0ZoBpWBUUdLSMHnCsMhUZj8yXcO
 oPTVoro4hMtDn9oMOlVPjq2uZ3Ix4RRKSaGQ6zUWJSperrdLC3CCqv3SFa3tBUKD2YNk
 cfaQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=BTK6ao66qxJEnGSt3bjbLr3ajPGhi25U5wJ4AfHzt/o=;
 b=WuiKGC2G+EALhKwwFE8C1OT6IIKTi3Ow3/jeSdVpLwrHnMzrcAPmCQ2raeg7IhBN2e
 Yt59jkmjvCgSs8awnBRirfr3EE94O+PlNdxrk5l/hMXZntUDeR9mQsoEOrT9ufVUCHXo
 +NKTuz1NR78csNwvTvVdWeSdxASMdLirzG6hIexOVVeIl4tb5myNMZ/PpOb0lglpYM1v
 iJWsa+8s825t8KTSBe8oRBF8WE/Fkv/vPMrGAdOIPFh149MaNpL6MshIhcy88WlHGqV5
 2cDPZrctoh6B2GW2v3P6Uqp6sXnbgojdakC3YLPpvMcD4jPUkX2U8NVDjoZh8iwLHFYj
 5tNQ==
X-Gm-Message-State: AIVw110OruDe8zPesjSUIN6F7iZtoErZjx3OIgpfsOS7nL7oiMamFXat
 Kx95tuBV/kHJ2w==
X-Received: by 10.28.178.204 with SMTP id b195mr8757522wmf.99.1501452467853;
 Sun, 30 Jul 2017 15:07:47 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-b502-fffb-632e-95b3.holly.idiocy.org.
 [2001:8b0:3f8:8129:b502:fffb:632e:95b3])
 by smtp.gmail.com with ESMTPSA id k4sm24771186wrc.34.2017.07.30.15.07.46
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 30 Jul 2017 15:07:47 -0700 (PDT)
Date: Sun, 30 Jul 2017 23:07:44 +0100
From: Alan Third <alan@HIDDEN>
To: Nejc Vivod <nvivod@HIDDEN>
Subject: Re: bug#27872: 26.0.50; freeze when opening file with emojis
Message-ID: <20170730220744.GA19659@HIDDEN>
References: <20170730123416.GC2137@HIDDEN>
 <DF01DF05-F40D-4A4E-8335-C7159FF99056@HIDDEN>
 <20170730130458.GA19175@HIDDEN>
 <83y3r6101q.fsf@HIDDEN>
 <42AD47D2-6C68-4AF2-AD66-92E2E4F12794@HIDDEN>
 <83wp6q0zl4.fsf@HIDDEN>
 <20170730150605.GA19287@HIDDEN>
 <83tw1u0wq6.fsf@HIDDEN>
 <20170730192716.GA19354@HIDDEN>
 <29BD5E6E-35D7-4EA2-B4F6-D335FF4A280A@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <29BD5E6E-35D7-4EA2-B4F6-D335FF4A280A@HIDDEN>
User-Agent: Mutt/1.7.2 (2016-11-26)
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 27872
Cc: Eli Zaretskii <eliz@HIDDEN>, 27872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

On Sun, Jul 30, 2017 at 11:53:53PM +0200, Nejc Vivod wrote:
> Now that’s interesting, now it works - opens the file and displays
> black&white emojis. Thank you all so much for your help! :-)
> 
> (though, not having a font installed probably shouldn’t mess it up
> like this, or am I wrong?)
> 
> > On 30 Jul 2017, at 21:27, Alan Third <alan@HIDDEN> wrote:
> > 
> > Symbola

My understanding is that if you have Symbola installed it’s one of the
first fonts Emacs checks for emoji. If you don’t have it installed, or
Emacs can’t find the glyph it’s looking for, then it searches other
fonts for them.

I think that means you’ve probably got a font that doesn’t get on well
with Emacs. We should be able to find out which one if you’re willing
to try building a custom version which prints out each font family as
it tries them.

I don’t know if it’s worth doing.

-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27872; Package emacs. Full text available.

Message received at 27872 <at> debbugs.gnu.org:


Received: (at 27872) by debbugs.gnu.org; 30 Jul 2017 21:54:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 17:54:04 2017
Received: from localhost ([127.0.0.1]:34587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dbwA0-0001l9-C1
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2017 17:54:04 -0400
Received: from mail-wr0-f193.google.com ([209.85.128.193]:37498)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nvivod@HIDDEN>) id 1dbw9y-0001kf-BH
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 17:54:03 -0400
Received: by mail-wr0-f193.google.com with SMTP id 12so22224085wrb.4
 for <27872 <at> debbugs.gnu.org>; Sun, 30 Jul 2017 14:54:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:message-id:mime-version:subject:date:in-reply-to:cc:to
 :references; bh=+IeXQMenqJgNitZnvb2DkK3kvU6Azipcbt8KMIuiAws=;
 b=TlWyRICclwN0GW7U0UR70dCgTnQu5jwpdvpA5eRYIgRmQJLVJ3n47fUoOweyiga85b
 hkFmfEY82nJmyltrPz+0y5ybBlM8PV6dGICq67VuB0irJR/3aSKFgjQgcLljD0Y5N43m
 5vZEfPQ9VS/8Jor1LBvsRZSPtZ1/2a5S1f2F4jaj8SPWG08JlEoMo54NwW2gmsQq5Jq0
 iTgrI7UzY4nRqP6tTf1jtNPxLmu4uRZwkEivDVCRoG/fYvs5yRhjEnyvZM/cQYwXtzJw
 vH+jbCN68mwPreWZytwFLW0rwYPOtHQBFCj/Mijm1wMJ2/iCtxqL802l7pvW333Nasla
 9S4Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:message-id:mime-version:subject:date
 :in-reply-to:cc:to:references;
 bh=+IeXQMenqJgNitZnvb2DkK3kvU6Azipcbt8KMIuiAws=;
 b=cyjho1uMTaWTPHxpqdlviZARh3RR4YviUZyAY2OE1vcHTA+ADdfKcFGgHThLAkyCQ5
 brjNWOWFAB+oUvhseGevNfbH1Ol17tNROLQF3dLKGUtaLfq9wQd/ZRE9jJKx5LA6lhzX
 7Hc2hubrA2vbzfVOkn1v1ghCDSmc0pW3L3jmFHxW5PYFg+ztkadt0Sl/LUq1teW75cR8
 lOi8qWckyP8ITGj+uqVvXEW/p9O0Hf81ItN6wxKDKXHywOMF2BFRY477L0814K/2qEii
 LhwOw4dnH19H/kzJwUM5y3asO0y3NQjD7/BVPVXmb6B2Pr8cB8adu169K+8S2Ba7kQ9u
 KrxA==
X-Gm-Message-State: AIVw111FyjPCJnxTj1vfe0ICEfOLQn4yn3udzZkPfvqmVPMDZif4V+qN
 +IjUJuURWY9vEQ==
X-Received: by 10.223.166.7 with SMTP id k7mr11991969wrc.34.1501451636547;
 Sun, 30 Jul 2017 14:53:56 -0700 (PDT)
Received: from [192.168.3.103] ([77.38.106.199])
 by smtp.gmail.com with ESMTPSA id k137sm25640431wmd.22.2017.07.30.14.53.54
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 30 Jul 2017 14:53:54 -0700 (PDT)
From: Nejc Vivod <nvivod@HIDDEN>
Message-Id: <29BD5E6E-35D7-4EA2-B4F6-D335FF4A280A@HIDDEN>
Content-Type: multipart/signed;
 boundary="Apple-Mail=_6442C643-3535-4317-A442-1918EDA6F3E1";
 protocol="application/pkcs7-signature"; micalg=sha1
Mime-Version: 1.0 (Mac OS X Mail 10.3 \(3273\))
Subject: Re: bug#27872: 26.0.50; freeze when opening file with emojis
Date: Sun, 30 Jul 2017 23:53:53 +0200
In-Reply-To: <20170730192716.GA19354@HIDDEN>
To: Alan Third <alan@HIDDEN>
References: <20170730115513.GA2137@HIDDEN>
 <C2A4055F-10D3-4C42-AB97-B8BF7E3E16E1@HIDDEN>
 <20170730123416.GC2137@HIDDEN>
 <DF01DF05-F40D-4A4E-8335-C7159FF99056@HIDDEN>
 <20170730130458.GA19175@HIDDEN> <83y3r6101q.fsf@HIDDEN>
 <42AD47D2-6C68-4AF2-AD66-92E2E4F12794@HIDDEN> <83wp6q0zl4.fsf@HIDDEN>
 <20170730150605.GA19287@HIDDEN> <83tw1u0wq6.fsf@HIDDEN>
 <20170730192716.GA19354@HIDDEN>
X-Mailer: Apple Mail (2.3273)
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 27872
Cc: Eli Zaretskii <eliz@HIDDEN>, 27872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--Apple-Mail=_6442C643-3535-4317-A442-1918EDA6F3E1
Content-Type: multipart/alternative;
	boundary="Apple-Mail=_21BB1608-E742-4FA2-92EC-0CB7E133261D"


--Apple-Mail=_21BB1608-E742-4FA2-92EC-0CB7E133261D
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

Now that=E2=80=99s interesting, now it works - opens the file and =
displays black&white emojis. Thank you all so much for your help! :-)

(though, not having a font installed probably shouldn=E2=80=99t mess it =
up like this, or am I wrong?)

> On 30 Jul 2017, at 21:27, Alan Third <alan@HIDDEN> wrote:
>=20
> Symbola


--Apple-Mail=_21BB1608-E742-4FA2-92EC-0CB7E133261D
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; -webkit-line-break: after-white-space;" =
class=3D""><div class=3D"">Now that=E2=80=99s interesting, now it works =
- opens the file and displays black&amp;white emojis. Thank you all so =
much for your help! :-)</div><div class=3D""><br class=3D""></div><div =
class=3D"">(though, not having a font installed probably shouldn=E2=80=99t=
 mess it up like this, or am I wrong?)</div><br =
class=3D""><div><blockquote type=3D"cite" class=3D""><div class=3D"">On =
30 Jul 2017, at 21:27, Alan Third &lt;<a href=3D"mailto:alan@HIDDEN" =
class=3D"">alan@HIDDEN</a>&gt; wrote:</div><br =
class=3D"Apple-interchange-newline"><div class=3D""><span =
style=3D"font-family: SourceCodePro-Regular; font-size: 10px; =
font-style: normal; font-variant-caps: normal; font-weight: normal; =
letter-spacing: normal; text-align: start; text-indent: 0px; =
text-transform: none; white-space: normal; word-spacing: 0px; =
-webkit-text-stroke-width: 0px; float: none; display: inline =
!important;" class=3D"">Symbola</span></div></blockquote></div><br =
class=3D""></body></html>=

--Apple-Mail=_21BB1608-E742-4FA2-92EC-0CB7E133261D--

--Apple-Mail=_6442C643-3535-4317-A442-1918EDA6F3E1
Content-Disposition: attachment;
	filename=smime.p7s
Content-Type: application/pkcs7-signature;
	name=smime.p7s
Content-Transfer-Encoding: base64
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--Apple-Mail=_6442C643-3535-4317-A442-1918EDA6F3E1--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27872; Package emacs. Full text available.

Message received at 27872 <at> debbugs.gnu.org:


Received: (at 27872) by debbugs.gnu.org; 30 Jul 2017 19:27:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 15:27:27 2017
Received: from localhost ([127.0.0.1]:34538 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dbts6-0004nd-P4
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2017 15:27:26 -0400
Received: from mail-wm0-f45.google.com ([74.125.82.45]:37617)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1dbts4-0004nL-Eb
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 15:27:25 -0400
Received: by mail-wm0-f45.google.com with SMTP id t201so33171069wmt.0
 for <27872 <at> debbugs.gnu.org>; Sun, 30 Jul 2017 12:27:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=YfMbLs8rPRM5LQr9QRenguTNrsoOwdBXlA/AjlI6jBw=;
 b=Lj+EbR3c8SU8EQ/NWIM9D1PULNJG/jkRZP/hyo9X9PUaCLaztwDl2b+3FyTroD/B30
 HKZ1a9/UUVxKFgJEkzht2wF7IecdtD+6PbrpACgNu38P9gdGbGuNMHXs7sQ3lyjVEaBf
 c/DpMvCiJVqVDfKXGACcX72Q/6rMaNb7MXZMl0AcFRB3o1zbJUy3uvEjySCknjadYsdA
 6FEVT/Uk8kGmoaBKNqzd1WFwQmB0OeeuD85vJYdFtnorzeGzUegfvneoK4osQGWYmGpd
 ysCnMg9s3alAfC8X8KWeH0sPYRmD0LIjWF1GekIZlQOHO2unlPWw8qBoqc79AI+mKs02
 v8cQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=YfMbLs8rPRM5LQr9QRenguTNrsoOwdBXlA/AjlI6jBw=;
 b=WDa4RgE1l1c4rkM7CKu+TXtvD3gF4lE2Qk1U2tlm+97Sk59NJZ2oV8A/lOa8yPkqgJ
 uBAcYBcfCwXE8+TtWzNu3/5B6jvs7svt0k0zNT3wuI6JH2xFbdHBDEo+d9c0YshLuarO
 VsK/nPI+hYiNSAmccPHqcnl33ORedevsTahJqLStdr++rHkbpFpssgfPL6oojEf6uxon
 qV3fKxmix58+PbOsWR4Egutkt1qTo84XhoMeLLaIbtiDFfyq8VgEHepIemFnDkxVzGxx
 3C/FQe5E4B0q2Pfgt7zR7/63icaWwZDMFwsflv9E6OLWq+yCRzH2G+yxpIYfIOOcMdJD
 IG+g==
X-Gm-Message-State: AIVw111xmOz2xNJ5naWRi0OG2k9pnoGueF3OXYIoodLv58j70US7WQxD
 2bv4g9Q/gO7nzw==
X-Received: by 10.28.199.207 with SMTP id x198mr9254455wmf.156.1501442838641; 
 Sun, 30 Jul 2017 12:27:18 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-b502-fffb-632e-95b3.holly.idiocy.org.
 [2001:8b0:3f8:8129:b502:fffb:632e:95b3])
 by smtp.gmail.com with ESMTPSA id v8sm27743026wrd.28.2017.07.30.12.27.17
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 30 Jul 2017 12:27:17 -0700 (PDT)
Date: Sun, 30 Jul 2017 20:27:16 +0100
From: Alan Third <alan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#27872: 26.0.50; freeze when opening file with emojis
Message-ID: <20170730192716.GA19354@HIDDEN>
References: <20170730115513.GA2137@HIDDEN>
 <C2A4055F-10D3-4C42-AB97-B8BF7E3E16E1@HIDDEN>
 <20170730123416.GC2137@HIDDEN>
 <DF01DF05-F40D-4A4E-8335-C7159FF99056@HIDDEN>
 <20170730130458.GA19175@HIDDEN>
 <83y3r6101q.fsf@HIDDEN>
 <42AD47D2-6C68-4AF2-AD66-92E2E4F12794@HIDDEN>
 <83wp6q0zl4.fsf@HIDDEN>
 <20170730150605.GA19287@HIDDEN>
 <83tw1u0wq6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <83tw1u0wq6.fsf@HIDDEN>
User-Agent: Mutt/1.7.2 (2016-11-26)
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 27872
Cc: 27872 <at> debbugs.gnu.org, nvivod@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

On Sun, Jul 30, 2017 at 06:29:21PM +0300, Eli Zaretskii wrote:
> > Date: Sun, 30 Jul 2017 16:06:05 +0100
> > From: Alan Third <alan@HIDDEN>
> > Cc: Nejc Vivod <nvivod@HIDDEN>, 27872 <at> debbugs.gnu.org
> > I don’t know if Macs come with non‐colour emoji capable fonts by
> > default, all other Mac apps display the colour ones so I can’t even
> > see a way to test.
> 
> Can you try installing Symbola?  That's the font I see being used here
> for this character.

Now I’ve installed Symbola I get mono emojis in Emacs. There also used
to be a one second or so pause when opening a file with an emoji in
that has now disappeared.

Nejc, can you install Symbola if it’s not already there and see if
that makes a difference?
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27872; Package emacs. Full text available.

Message received at 27872 <at> debbugs.gnu.org:


Received: (at 27872) by debbugs.gnu.org; 30 Jul 2017 18:52:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 14:52:34 2017
Received: from localhost ([127.0.0.1]:34533 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dbtKL-0003v7-Vf
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2017 14:52:34 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54942)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dbtKJ-0003ut-Ue
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 14:52:32 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dbtKB-0006JY-P6
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 14:52:26 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:34722)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dbtKB-0006JP-Ls; Sun, 30 Jul 2017 14:52:23 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2428
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dbtK9-0005Fe-2b; Sun, 30 Jul 2017 14:52:23 -0400
Date: Sun, 30 Jul 2017 21:51:52 +0300
Message-Id: <83poch21x3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Nejc Vivod <nvivod@HIDDEN>
In-reply-to: <2744DFC9-184D-41A1-95B5-DC604C6B0220@HIDDEN> (message from
 Nejc Vivod on Sun, 30 Jul 2017 15:09:04 +0200)
Subject: Re: bug#27872: 26.0.50; freeze when opening file with emojis
References: <81029CAB-B75D-4396-B174-1B929A8D2CBB@HIDDEN>
 <20170730115513.GA2137@HIDDEN>
 <C2A4055F-10D3-4C42-AB97-B8BF7E3E16E1@HIDDEN>
 <20170730123416.GC2137@HIDDEN>
 <DF01DF05-F40D-4A4E-8335-C7159FF99056@HIDDEN>
 <20170730130458.GA19175@HIDDEN>
 <2744DFC9-184D-41A1-95B5-DC604C6B0220@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 27872
Cc: alan@HIDDEN, 27872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Nejc Vivod <nvivod@HIDDEN>
> Date: Sun, 30 Jul 2017 15:09:04 +0200
> Cc: 27872 <at> debbugs.gnu.org
> 
> Yeah, I tried running with -Q; I’ve also reran it from lldb with this arg, attaching the backtrace. I’ve got quite a few fonts installed, could that be an issue?

Alan, it might help to add some printf in macfont_list that would log
on a file all the fonts that are being scanned there.  Maybe that will
give some hint.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27872; Package emacs. Full text available.

Message received at 27872 <at> debbugs.gnu.org:


Received: (at 27872) by debbugs.gnu.org; 30 Jul 2017 17:03:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 13:03:30 2017
Received: from localhost ([127.0.0.1]:34457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dbrcn-0001Q8-Mz
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2017 13:03:30 -0400
Received: from mail-wr0-f177.google.com ([209.85.128.177]:32937)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nvivod@HIDDEN>) id 1dbp4U-00046E-Gc
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 10:19:55 -0400
Received: by mail-wr0-f177.google.com with SMTP id v105so139915271wrb.0
 for <27872 <at> debbugs.gnu.org>; Sun, 30 Jul 2017 07:19:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:message-id:mime-version:subject:date:in-reply-to:cc:to
 :references; bh=DYQUcfcYg9gxJ/L5pcW4pub0SZLxwSjgqxzW0e2GaEw=;
 b=a2uCNaPdJlJi15gIa87Cvoa9hUEb2RDmnZCwb58InujIMqSHgczxXo7qyG7Y3I7+Ma
 R0KFhlkRIiVQhYM3/IdjMlinKaDadKkxOLfgJ9/cYNiXv2+VFHS711hJxB0R1OXO31d/
 J4qTmrUOE4wPkS8k2D99ZLbDv0mzFKIEtVdG8uHZCzmeSAEV5PXANjggSDHTa8beGEj/
 v3n39rS0Zezib/ZvCLhNPz6ZuXTiTxbmIJMGykXMYSTq+kpcNfgVC4CI4PK6kQYsDoqV
 hLrKxMOgtPVp6jShH9EJ6IMWV/+OGokEyYfLMFw8TcMOEuIgFDEoTu3kmxpDocen4F+w
 p+rQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:message-id:mime-version:subject:date
 :in-reply-to:cc:to:references;
 bh=DYQUcfcYg9gxJ/L5pcW4pub0SZLxwSjgqxzW0e2GaEw=;
 b=FWPCkHOI6P/Dl8ardN1s1LHtoCb4h8bzxC9HMlbpkBgD74eYbEzxufhNxvxTxC0bY6
 aZZQrTZXW5DaT/seGI5+ta/GVsJhHGwmYAHXFzR9POM4tz9oUJZ79nERjmYIA6sQy+lQ
 f/YIebFz/EwmkbTLrUmhUkEy+TQq2LwQq3znyuukPU5TLONMihu0YSel0g4Kvl8zGKPb
 lkN3sMDiD22vOuf1syl222WITz0geL6RBsUykUmrJhdYxrv/rjvRgr0pHl3r5X2w43Vu
 WAUccx/MPsn960L+iMeij9v4kDDyujnhBicZ8ZwOdOoTFmIahtNb6XaieZqk2hxiyhBz
 Ao1A==
X-Gm-Message-State: AIVw111/1HhcBG+ZR2MM1/cu/qDgIhULaqJ6nnFpM9D8VPsY9NOQ5LdY
 VjA49+bV0VeVWA==
X-Received: by 10.223.130.137 with SMTP id 9mr10343437wrc.0.1501424388564;
 Sun, 30 Jul 2017 07:19:48 -0700 (PDT)
Received: from [192.168.3.103] ([77.38.106.199])
 by smtp.gmail.com with ESMTPSA id 15sm8535805wmo.7.2017.07.30.07.19.46
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 30 Jul 2017 07:19:46 -0700 (PDT)
From: Nejc Vivod <nvivod@HIDDEN>
Message-Id: <42AD47D2-6C68-4AF2-AD66-92E2E4F12794@HIDDEN>
Content-Type: multipart/signed;
 boundary="Apple-Mail=_B2F3981D-9DE5-4EE9-8B13-A08CD5A6E943";
 protocol="application/pkcs7-signature"; micalg=sha1
Mime-Version: 1.0 (Mac OS X Mail 10.3 \(3273\))
Subject: Re: bug#27872: 26.0.50; freeze when opening file with emojis
Date: Sun, 30 Jul 2017 16:19:45 +0200
In-Reply-To: <83y3r6101q.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
References: <81029CAB-B75D-4396-B174-1B929A8D2CBB@HIDDEN>
 <20170730115513.GA2137@HIDDEN>
 <C2A4055F-10D3-4C42-AB97-B8BF7E3E16E1@HIDDEN>
 <20170730123416.GC2137@HIDDEN>
 <DF01DF05-F40D-4A4E-8335-C7159FF99056@HIDDEN>
 <20170730130458.GA19175@HIDDEN> <83y3r6101q.fsf@HIDDEN>
X-Mailer: Apple Mail (2.3273)
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 27872
X-Mailman-Approved-At: Sun, 30 Jul 2017 13:03:26 -0400
Cc: 27872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)


--Apple-Mail=_B2F3981D-9DE5-4EE9-8B13-A08CD5A6E943
Content-Type: multipart/mixed;
	boundary="Apple-Mail=_770AA763-D25F-4694-9078-44244C3250C2"


--Apple-Mail=_770AA763-D25F-4694-9078-44244C3250C2
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
	charset=us-ascii

I thought I did, but I might be mistaken. Re-sending the backtrace.


--Apple-Mail=_770AA763-D25F-4694-9078-44244C3250C2
Content-Disposition: attachment;
	filename=backtrace2.txt
Content-Type: text/plain;
	x-unix-mode=0644;
	name="backtrace2.txt"
Content-Transfer-Encoding: quoted-printable

(lldb) target create "Emacs-x86_64-10_9"
Current executable set to 'Emacs-x86_64-10_9' (x86_64).
(lldb) r -Q
Process 17348 launched: =
'/Applications/Emacs.app/Contents/MacOS/Emacs-x86_64-10_9' (x86_64)
Warning: arch-dependent data dir =
'/Users/build/workspace/Emacs-Multi-Build/label/mavericks/emacs-source/nex=
tstep/Emacs.app/Contents/MacOS/libexec/': No such file or directory
Process 17348 stopped
* thread #1, queue =3D 'com.apple.main-thread', stop reason =3D signal =
SIGSTOP
    frame #0: 0x00007fffde9dbceb =
libxpc.dylib`_xpc_dictionary_apply_node_f + 79
libxpc.dylib`_xpc_dictionary_apply_node_f:
->  0x7fffde9dbceb <+79>: movq   (%rdi), %r15
    0x7fffde9dbcee <+82>: cmpq   %r14, 0x10(%rdi)
    0x7fffde9dbcf2 <+86>: je     0x7fffde9dbce3            ; <+71>
    0x7fffde9dbcf4 <+88>: movq   -0x48(%rbp), %rsi
(lldb) bt all
* thread #1, queue =3D 'com.apple.main-thread', stop reason =3D signal =
SIGSTOP
  * frame #0: 0x00007fffde9dbceb =
libxpc.dylib`_xpc_dictionary_apply_node_f + 79
    frame #1: 0x00007fffde9dbe64 libxpc.dylib`_xpc_dictionary_serialize =
+ 161
    frame #2: 0x00007fffde9db9cb libxpc.dylib`_xpc_serializer_pack + 451
    frame #3: 0x00007fffde9deebf =
libxpc.dylib`_xpc_connection_pack_message + 108
    frame #4: 0x00007fffde9e0576 =
libxpc.dylib`xpc_connection_send_message_with_reply_sync + 88
    frame #5: 0x00007fffcaca80da =
Foundation`__NSXPCCONNECTION_IS_WAITING_FOR_A_SYNCHRONOUS_REPLY__ + 9
    frame #6: 0x00007fffca9fa737 Foundation`-[NSXPCConnection =
_sendInvocation:withProxy:remoteInterface:withErrorHandler:timeout:userInf=
o:] + 3665
    frame #7: 0x00007fffca9f98e0 Foundation`-[NSXPCConnection =
_sendInvocation:withProxy:remoteInterface:withErrorHandler:] + 32
    frame #8: 0x00007fffc8fda54a CoreFoundation`___forwarding___ + 538
    frame #9: 0x00007fffc8fda2a8 CoreFoundation`__forwarding_prep_0___ + =
120
    frame #10: 0x00007fffc7adfafb =
libFontRegistry.dylib`__83-[XTypeXPCClient =
XTCopyPropertiesForFontsMatchingRequest:properties:scope:options:]_block_i=
nvoke + 109
    frame #11: 0x00007fffc7adbbd9 libFontRegistry.dylib`-[XTypeXPCClient =
run:errorHandler:] + 103
    frame #12: 0x00007fffc7adfa52 libFontRegistry.dylib`-[XTypeXPCClient =
XTCopyPropertiesForFontsMatchingRequest:properties:scope:options:] + 231
    frame #13: 0x00007fffc7ab8735 =
libFontRegistry.dylib`XTCopyFontsWithProperties + 160
    frame #14: 0x00007fffca5e55e1 =
CoreText`TDescriptorSource::CopyDescriptorsForRequest(__CFDictionary =
const*, __CFSet const*, CFComparisonResult (*)(void const*, void const*, =
void*), void*, unsigned long, TCFRef<__CFArray const*>*) const + 1087
    frame #15: 0x00007fffca58c0ca =
CoreText`TDescriptor::CreateMatchingDescriptors(__CFSet const*, unsigned =
long) const + 168
    frame #16: 0x00007fffca5c94a0 =
CoreText`CTFontDescriptorCreateMatchingFontDescriptors + 97
    frame #17: 0x00000001001d7fe5 Emacs-x86_64-10_9`macfont_list + 2053
    frame #18: 0x0000000100151941 Emacs-x86_64-10_9`font_list_entities + =
673
    frame #19: 0x0000000100153983 Emacs-x86_64-10_9`font_find_for_lface =
+ 1955
    frame #20: 0x00000001001a78da Emacs-x86_64-10_9`fontset_find_font + =
1626
    frame #21: 0x00000001001a46fb Emacs-x86_64-10_9`fontset_font + 811
    frame #22: 0x00000001001a4336 Emacs-x86_64-10_9`face_for_char + 358
    frame #23: 0x000000010001cc3b =
Emacs-x86_64-10_9`get_next_display_element + 3051
    frame #24: 0x000000010002bb38 Emacs-x86_64-10_9`display_line + 1240
    frame #25: 0x000000010002b468 Emacs-x86_64-10_9`try_window + 216
    frame #26: 0x000000010004f23b Emacs-x86_64-10_9`redisplay_window + =
11083
    frame #27: 0x00000001000578d6 Emacs-x86_64-10_9`redisplay_window_0 + =
38
    frame #28: 0x000000010013ea9b =
Emacs-x86_64-10_9`internal_condition_case_1 + 91
    frame #29: 0x000000010004c670 Emacs-x86_64-10_9`redisplay_windows + =
160
    frame #30: 0x0000000100029670 Emacs-x86_64-10_9`redisplay_internal + =
5008
    frame #31: 0x00000001000c5f4b Emacs-x86_64-10_9`read_char + 2043
    frame #32: 0x00000001000c39f5 Emacs-x86_64-10_9`read_key_sequence + =
1941
    frame #33: 0x00000001000c21e2 Emacs-x86_64-10_9`command_loop_1 + =
1186
    frame #34: 0x000000010013ea17 =
Emacs-x86_64-10_9`internal_condition_case + 87
    frame #35: 0x00000001000d2f90 Emacs-x86_64-10_9`command_loop_2 + 48
    frame #36: 0x000000010013e2ce Emacs-x86_64-10_9`internal_catch + 78
    frame #37: 0x00000001000c13ee Emacs-x86_64-10_9`command_loop + 158
    frame #38: 0x00000001000c1312 Emacs-x86_64-10_9`recursive_edit_1 + =
130
    frame #39: 0x00000001000c1535 Emacs-x86_64-10_9`Frecursive_edit + =
229
    frame #40: 0x00000001000c014a Emacs-x86_64-10_9`main + 6506
    frame #41: 0x00007fffde78d235 libdyld.dylib`start + 1
    frame #42: 0x00007fffde78d235 libdyld.dylib`start + 1

  thread #2
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a648e =
libsystem_pthread.dylib`_pthread_wqthread + 1023
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #3
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a6621 =
libsystem_pthread.dylib`_pthread_wqthread + 1426
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #4
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a6621 =
libsystem_pthread.dylib`_pthread_wqthread + 1426
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #6
    frame #0: 0x00007fffde8bbeb6 libsystem_kernel.dylib`__select + 10
    frame #1: 0x00000001001b94b8 Emacs-x86_64-10_9`-[EmacsApp =
fd_handler:] + 264
    frame #2: 0x00007fffcaa018ad Foundation`__NSThread__start__ + 1243
    frame #3: 0x00007fffde9a693b libsystem_pthread.dylib`_pthread_body + =
180
    frame #4: 0x00007fffde9a6887 libsystem_pthread.dylib`_pthread_start =
+ 286
    frame #5: 0x00007fffde9a608d libsystem_pthread.dylib`thread_start + =
13

  thread #8
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a6621 =
libsystem_pthread.dylib`_pthread_wqthread + 1426
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #9, name =3D 'com.apple.NSEventThread'
    frame #0: 0x00007fffde8b434a libsystem_kernel.dylib`mach_msg_trap + =
10
    frame #1: 0x00007fffde8b3797 libsystem_kernel.dylib`mach_msg + 55
    frame #2: 0x00007fffc8fdf434 =
CoreFoundation`__CFRunLoopServiceMachPort + 212
    frame #3: 0x00007fffc8fde8c1 CoreFoundation`__CFRunLoopRun + 1361
    frame #4: 0x00007fffc8fde114 CoreFoundation`CFRunLoopRunSpecific + =
420
    frame #5: 0x00007fffc6c24f02 AppKit`_NSEventThread + 205
    frame #6: 0x00007fffde9a693b libsystem_pthread.dylib`_pthread_body + =
180
    frame #7: 0x00007fffde9a6887 libsystem_pthread.dylib`_pthread_start =
+ 286
    frame #8: 0x00007fffde9a608d libsystem_pthread.dylib`thread_start + =
13

  thread #10
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a6621 =
libsystem_pthread.dylib`_pthread_wqthread + 1426
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #11
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a6621 =
libsystem_pthread.dylib`_pthread_wqthread + 1426
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #12
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a6621 =
libsystem_pthread.dylib`_pthread_wqthread + 1426
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #13
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a6621 =
libsystem_pthread.dylib`_pthread_wqthread + 1426
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #14
    frame #0: 0x0000000000000000

--Apple-Mail=_770AA763-D25F-4694-9078-44244C3250C2
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8


> On 30 Jul 2017, at 16:17, Eli Zaretskii <eliz@HIDDEN> wrote:
>=20
>> Date: Sun, 30 Jul 2017 14:04:58 +0100
>> From: Alan Third <alan@HIDDEN>
>> Cc: 27872 <at> debbugs.gnu.org
>>=20
>> On Sun, Jul 30, 2017 at 02:42:45PM +0200, Nejc Vivod wrote:
>>> I=E2=80=99m running in gui mode yes. I=E2=80=99ve ran it from lldb, =
attaching the backtrace.=20
>>=20
>> It looks like it=E2=80=99s going into a loop while trying to build a =
list of
>> available fonts.
>=20
> Is it possible to post the backtrace here?
>=20
> Also, please always use "Reply to all", so that the bug address is
> CC'ed, and everyone sees the discussion.
>=20
> Thanks.


--Apple-Mail=_770AA763-D25F-4694-9078-44244C3250C2--

--Apple-Mail=_B2F3981D-9DE5-4EE9-8B13-A08CD5A6E943
Content-Disposition: attachment;
	filename=smime.p7s
Content-Type: application/pkcs7-signature;
	name=smime.p7s
Content-Transfer-Encoding: base64
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--Apple-Mail=_B2F3981D-9DE5-4EE9-8B13-A08CD5A6E943--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27872; Package emacs. Full text available.

Message received at 27872 <at> debbugs.gnu.org:


Received: (at 27872) by debbugs.gnu.org; 30 Jul 2017 17:03:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 13:03:29 2017
Received: from localhost ([127.0.0.1]:34455 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dbrcn-0001Pz-4W
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2017 13:03:29 -0400
Received: from mail-wr0-f178.google.com ([209.85.128.178]:33954)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nvivod@HIDDEN>) id 1dbny4-0002Hs-Ti
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 09:09:13 -0400
Received: by mail-wr0-f178.google.com with SMTP id 12so170049012wrb.1
 for <27872 <at> debbugs.gnu.org>; Sun, 30 Jul 2017 06:09:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:message-id:mime-version:subject:date:in-reply-to:cc:to
 :references; bh=vVzvssHXvedThg0l44Of7XChnT65+k1Y+5hPaLr9JAk=;
 b=eL3KwKt3xHaHsfQCWNHVQ7EMaOzD8bF+/A0GlhMU/3yeXKuPVy+Emr3PPTYZiHxq3G
 Fgo29QUnRe2cdcMQ11uRn0yL3opKvR33mJKQcV69O6hKuxgsFSnmIsPnp7OfVADMgdXx
 l2XtB9AFc9a/eBWKCzEh46HTPv8IDNwwDTLU6Mg5xc8/KboKUoaket6cC9WfNgHJdL7l
 aI4enFVpHRicBYsm4QO4kcQPLRhxtetvRnuTAENzYAaP/3eKKCoKDZ8ZotHzMWX75Lup
 pJ+sAb0JaJ+3DZtQezoxRPLm40uwMeYahWdF0amqSE2TFTkTTF8/A14xLNBcvXyFpufh
 onhw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:message-id:mime-version:subject:date
 :in-reply-to:cc:to:references;
 bh=vVzvssHXvedThg0l44Of7XChnT65+k1Y+5hPaLr9JAk=;
 b=OX5onObBdcnzbvb0hO+4XrB1NMpKOyDIWF2gzuBdyjYXNieiT9mFD9fmXIm91g4pi3
 kHxqDQUNeIeWRceoQIauaIGepuuW1hAbPu2gWYdKnVV2PaoP+ArOs0kPCoqmRIhX8D7W
 VYA3S5mG55qbbILdssR4ZR/zNSaq9ex0h3wgPIPNgA3gVzsHgDwD0zSq7SjMsvSG51Mh
 A3eD8LHLIUx3IzG1S+9arA0v7DOCZrHjSqC3O5RaSf4mOdyiw4m0lwsIYCxTCKshJvpP
 eBcJJoRZTI+/hvHDlBda+pDNyXtGdo5HUiaBOn968jeMbVX+oSSN+0qqP0fl8jG+bb4V
 5X8Q==
X-Gm-Message-State: AIVw113FF5+tCQiC54sQzSnFcT2+mbr+qWlJQZlqoVEZHtiNShKS7mjx
 Ae7+LYBmS4OlWUNN9xw=
X-Received: by 10.223.144.37 with SMTP id h34mr8196637wrh.93.1501420147381;
 Sun, 30 Jul 2017 06:09:07 -0700 (PDT)
Received: from [192.168.3.103] ([77.38.106.199])
 by smtp.gmail.com with ESMTPSA id a25sm14992791wrd.43.2017.07.30.06.09.05
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 30 Jul 2017 06:09:05 -0700 (PDT)
From: Nejc Vivod <nvivod@HIDDEN>
Message-Id: <2744DFC9-184D-41A1-95B5-DC604C6B0220@HIDDEN>
Content-Type: multipart/signed;
 boundary="Apple-Mail=_6624B05D-9F1D-482C-B913-2F7EC3B6C184";
 protocol="application/pkcs7-signature"; micalg=sha1
Mime-Version: 1.0 (Mac OS X Mail 10.3 \(3273\))
Subject: Re: bug#27872: 26.0.50; freeze when opening file with emojis
Date: Sun, 30 Jul 2017 15:09:04 +0200
In-Reply-To: <20170730130458.GA19175@HIDDEN>
To: Alan Third <alan@HIDDEN>
References: <81029CAB-B75D-4396-B174-1B929A8D2CBB@HIDDEN>
 <20170730115513.GA2137@HIDDEN>
 <C2A4055F-10D3-4C42-AB97-B8BF7E3E16E1@HIDDEN>
 <20170730123416.GC2137@HIDDEN>
 <DF01DF05-F40D-4A4E-8335-C7159FF99056@HIDDEN>
 <20170730130458.GA19175@HIDDEN>
X-Mailer: Apple Mail (2.3273)
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 27872
X-Mailman-Approved-At: Sun, 30 Jul 2017 13:03:26 -0400
Cc: 27872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)


--Apple-Mail=_6624B05D-9F1D-482C-B913-2F7EC3B6C184
Content-Type: multipart/mixed;
	boundary="Apple-Mail=_5B91ECD0-B4FB-4A1E-8805-CF96FDAECAFA"


--Apple-Mail=_5B91ECD0-B4FB-4A1E-8805-CF96FDAECAFA
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

Yeah, I tried running with -Q; I=E2=80=99ve also reran it from lldb with =
this arg, attaching the backtrace. I=E2=80=99ve got quite a few fonts =
installed, could that be an issue?

Thanks again for looking into this



--Apple-Mail=_5B91ECD0-B4FB-4A1E-8805-CF96FDAECAFA
Content-Disposition: attachment;
	filename=backtrace2.txt
Content-Type: text/plain;
	x-unix-mode=0644;
	name="backtrace2.txt"
Content-Transfer-Encoding: quoted-printable

(lldb) target create "Emacs-x86_64-10_9"
Current executable set to 'Emacs-x86_64-10_9' (x86_64).
(lldb) r -Q
Process 17348 launched: =
'/Applications/Emacs.app/Contents/MacOS/Emacs-x86_64-10_9' (x86_64)
Warning: arch-dependent data dir =
'/Users/build/workspace/Emacs-Multi-Build/label/mavericks/emacs-source/nex=
tstep/Emacs.app/Contents/MacOS/libexec/': No such file or directory
Process 17348 stopped
* thread #1, queue =3D 'com.apple.main-thread', stop reason =3D signal =
SIGSTOP
    frame #0: 0x00007fffde9dbceb =
libxpc.dylib`_xpc_dictionary_apply_node_f + 79
libxpc.dylib`_xpc_dictionary_apply_node_f:
->  0x7fffde9dbceb <+79>: movq   (%rdi), %r15
    0x7fffde9dbcee <+82>: cmpq   %r14, 0x10(%rdi)
    0x7fffde9dbcf2 <+86>: je     0x7fffde9dbce3            ; <+71>
    0x7fffde9dbcf4 <+88>: movq   -0x48(%rbp), %rsi
(lldb) bt all
* thread #1, queue =3D 'com.apple.main-thread', stop reason =3D signal =
SIGSTOP
  * frame #0: 0x00007fffde9dbceb =
libxpc.dylib`_xpc_dictionary_apply_node_f + 79
    frame #1: 0x00007fffde9dbe64 libxpc.dylib`_xpc_dictionary_serialize =
+ 161
    frame #2: 0x00007fffde9db9cb libxpc.dylib`_xpc_serializer_pack + 451
    frame #3: 0x00007fffde9deebf =
libxpc.dylib`_xpc_connection_pack_message + 108
    frame #4: 0x00007fffde9e0576 =
libxpc.dylib`xpc_connection_send_message_with_reply_sync + 88
    frame #5: 0x00007fffcaca80da =
Foundation`__NSXPCCONNECTION_IS_WAITING_FOR_A_SYNCHRONOUS_REPLY__ + 9
    frame #6: 0x00007fffca9fa737 Foundation`-[NSXPCConnection =
_sendInvocation:withProxy:remoteInterface:withErrorHandler:timeout:userInf=
o:] + 3665
    frame #7: 0x00007fffca9f98e0 Foundation`-[NSXPCConnection =
_sendInvocation:withProxy:remoteInterface:withErrorHandler:] + 32
    frame #8: 0x00007fffc8fda54a CoreFoundation`___forwarding___ + 538
    frame #9: 0x00007fffc8fda2a8 CoreFoundation`__forwarding_prep_0___ + =
120
    frame #10: 0x00007fffc7adfafb =
libFontRegistry.dylib`__83-[XTypeXPCClient =
XTCopyPropertiesForFontsMatchingRequest:properties:scope:options:]_block_i=
nvoke + 109
    frame #11: 0x00007fffc7adbbd9 libFontRegistry.dylib`-[XTypeXPCClient =
run:errorHandler:] + 103
    frame #12: 0x00007fffc7adfa52 libFontRegistry.dylib`-[XTypeXPCClient =
XTCopyPropertiesForFontsMatchingRequest:properties:scope:options:] + 231
    frame #13: 0x00007fffc7ab8735 =
libFontRegistry.dylib`XTCopyFontsWithProperties + 160
    frame #14: 0x00007fffca5e55e1 =
CoreText`TDescriptorSource::CopyDescriptorsForRequest(__CFDictionary =
const*, __CFSet const*, CFComparisonResult (*)(void const*, void const*, =
void*), void*, unsigned long, TCFRef<__CFArray const*>*) const + 1087
    frame #15: 0x00007fffca58c0ca =
CoreText`TDescriptor::CreateMatchingDescriptors(__CFSet const*, unsigned =
long) const + 168
    frame #16: 0x00007fffca5c94a0 =
CoreText`CTFontDescriptorCreateMatchingFontDescriptors + 97
    frame #17: 0x00000001001d7fe5 Emacs-x86_64-10_9`macfont_list + 2053
    frame #18: 0x0000000100151941 Emacs-x86_64-10_9`font_list_entities + =
673
    frame #19: 0x0000000100153983 Emacs-x86_64-10_9`font_find_for_lface =
+ 1955
    frame #20: 0x00000001001a78da Emacs-x86_64-10_9`fontset_find_font + =
1626
    frame #21: 0x00000001001a46fb Emacs-x86_64-10_9`fontset_font + 811
    frame #22: 0x00000001001a4336 Emacs-x86_64-10_9`face_for_char + 358
    frame #23: 0x000000010001cc3b =
Emacs-x86_64-10_9`get_next_display_element + 3051
    frame #24: 0x000000010002bb38 Emacs-x86_64-10_9`display_line + 1240
    frame #25: 0x000000010002b468 Emacs-x86_64-10_9`try_window + 216
    frame #26: 0x000000010004f23b Emacs-x86_64-10_9`redisplay_window + =
11083
    frame #27: 0x00000001000578d6 Emacs-x86_64-10_9`redisplay_window_0 + =
38
    frame #28: 0x000000010013ea9b =
Emacs-x86_64-10_9`internal_condition_case_1 + 91
    frame #29: 0x000000010004c670 Emacs-x86_64-10_9`redisplay_windows + =
160
    frame #30: 0x0000000100029670 Emacs-x86_64-10_9`redisplay_internal + =
5008
    frame #31: 0x00000001000c5f4b Emacs-x86_64-10_9`read_char + 2043
    frame #32: 0x00000001000c39f5 Emacs-x86_64-10_9`read_key_sequence + =
1941
    frame #33: 0x00000001000c21e2 Emacs-x86_64-10_9`command_loop_1 + =
1186
    frame #34: 0x000000010013ea17 =
Emacs-x86_64-10_9`internal_condition_case + 87
    frame #35: 0x00000001000d2f90 Emacs-x86_64-10_9`command_loop_2 + 48
    frame #36: 0x000000010013e2ce Emacs-x86_64-10_9`internal_catch + 78
    frame #37: 0x00000001000c13ee Emacs-x86_64-10_9`command_loop + 158
    frame #38: 0x00000001000c1312 Emacs-x86_64-10_9`recursive_edit_1 + =
130
    frame #39: 0x00000001000c1535 Emacs-x86_64-10_9`Frecursive_edit + =
229
    frame #40: 0x00000001000c014a Emacs-x86_64-10_9`main + 6506
    frame #41: 0x00007fffde78d235 libdyld.dylib`start + 1
    frame #42: 0x00007fffde78d235 libdyld.dylib`start + 1

  thread #2
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a648e =
libsystem_pthread.dylib`_pthread_wqthread + 1023
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #3
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a6621 =
libsystem_pthread.dylib`_pthread_wqthread + 1426
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #4
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a6621 =
libsystem_pthread.dylib`_pthread_wqthread + 1426
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #6
    frame #0: 0x00007fffde8bbeb6 libsystem_kernel.dylib`__select + 10
    frame #1: 0x00000001001b94b8 Emacs-x86_64-10_9`-[EmacsApp =
fd_handler:] + 264
    frame #2: 0x00007fffcaa018ad Foundation`__NSThread__start__ + 1243
    frame #3: 0x00007fffde9a693b libsystem_pthread.dylib`_pthread_body + =
180
    frame #4: 0x00007fffde9a6887 libsystem_pthread.dylib`_pthread_start =
+ 286
    frame #5: 0x00007fffde9a608d libsystem_pthread.dylib`thread_start + =
13

  thread #8
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a6621 =
libsystem_pthread.dylib`_pthread_wqthread + 1426
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #9, name =3D 'com.apple.NSEventThread'
    frame #0: 0x00007fffde8b434a libsystem_kernel.dylib`mach_msg_trap + =
10
    frame #1: 0x00007fffde8b3797 libsystem_kernel.dylib`mach_msg + 55
    frame #2: 0x00007fffc8fdf434 =
CoreFoundation`__CFRunLoopServiceMachPort + 212
    frame #3: 0x00007fffc8fde8c1 CoreFoundation`__CFRunLoopRun + 1361
    frame #4: 0x00007fffc8fde114 CoreFoundation`CFRunLoopRunSpecific + =
420
    frame #5: 0x00007fffc6c24f02 AppKit`_NSEventThread + 205
    frame #6: 0x00007fffde9a693b libsystem_pthread.dylib`_pthread_body + =
180
    frame #7: 0x00007fffde9a6887 libsystem_pthread.dylib`_pthread_start =
+ 286
    frame #8: 0x00007fffde9a608d libsystem_pthread.dylib`thread_start + =
13

  thread #10
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a6621 =
libsystem_pthread.dylib`_pthread_wqthread + 1426
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #11
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a6621 =
libsystem_pthread.dylib`_pthread_wqthread + 1426
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #12
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a6621 =
libsystem_pthread.dylib`_pthread_wqthread + 1426
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #13
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a6621 =
libsystem_pthread.dylib`_pthread_wqthread + 1426
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #14
    frame #0: 0x0000000000000000

--Apple-Mail=_5B91ECD0-B4FB-4A1E-8805-CF96FDAECAFA
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8


> On 30 Jul 2017, at 15:04, Alan Third <alan@HIDDEN> wrote:
>=20
> On Sun, Jul 30, 2017 at 02:42:45PM +0200, Nejc Vivod wrote:
>> I=E2=80=99m running in gui mode yes. I=E2=80=99ve ran it from lldb, =
attaching the backtrace.=20
>=20
> It looks like it=E2=80=99s going into a loop while trying to build a =
list of
> available fonts.
>=20
> I can=E2=80=99t remember if you said you=E2=80=99d tried this, but =
please try running
> Emacs with the -Q parameter. This bypasses your configuration so we
> can be sure it=E2=80=99s not something in there.
>=20
> --=20
> Alan Third


--Apple-Mail=_5B91ECD0-B4FB-4A1E-8805-CF96FDAECAFA--

--Apple-Mail=_6624B05D-9F1D-482C-B913-2F7EC3B6C184
Content-Disposition: attachment;
	filename=smime.p7s
Content-Type: application/pkcs7-signature;
	name=smime.p7s
Content-Transfer-Encoding: base64
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--Apple-Mail=_6624B05D-9F1D-482C-B913-2F7EC3B6C184--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27872; Package emacs. Full text available.

Message received at 27872 <at> debbugs.gnu.org:


Received: (at 27872) by debbugs.gnu.org; 30 Jul 2017 17:03:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 13:03:29 2017
Received: from localhost ([127.0.0.1]:34453 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dbrcm-0001Pt-D2
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2017 13:03:29 -0400
Received: from mail-wr0-f173.google.com ([209.85.128.173]:37925)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nvivod@HIDDEN>) id 1dbnYc-0001fk-OW
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 08:42:55 -0400
Received: by mail-wr0-f173.google.com with SMTP id f21so113236237wrf.5
 for <27872 <at> debbugs.gnu.org>; Sun, 30 Jul 2017 05:42:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:message-id:mime-version:subject:date:in-reply-to:cc:to
 :references; bh=QZW5iPpjHVp5sOsdig3XwRtZ2/rQCPd+iaRSGp61RtA=;
 b=s1BArs49hBL4TMpUzuUMZivexBTRfy4iAPjHlL4HfHmr3i1qMrzbWbbKgD689FGAmq
 s35oI1rMv4XnSc5lBud1FkeEifbi/HckHjstl/D02Ut8vCrr5kDVBYRUsbXTm6lfDClo
 ekBS8HIWZ1Oa0fthZZpGCHyX+ZCZYclGpEcNW8O9n88yRBQgqhEel6QRYv6IEl2EA6ya
 9ovMdveY2Iau4C75YPdDjlA9AE/9Sy7MmUsrsyEWKv8BjQAfQuHQxSnX6UZOuC5NLQAt
 kI/tttVudN7xPp0eo8OGFvhLr6FgncH1getzIpPcTApHGG/Evkxmc/xrbFS4oklrgNpK
 iOQQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:message-id:mime-version:subject:date
 :in-reply-to:cc:to:references;
 bh=QZW5iPpjHVp5sOsdig3XwRtZ2/rQCPd+iaRSGp61RtA=;
 b=O/A0x12BtXDTxT/8hNUalJL8NkYkIlxKCTE7A128ZFuFCaOpawz5fozzCgrqKZ+pm5
 6a/W+nfEsejp/E9V4YjsoKpqDeiOQy+EGz5SrAL8HqvcjQPbviTL6yAnXOYZkQ72qllt
 lpzq/kwi3LoM7lcrC3uxRxq3X5pNXLKwcCpGI6XaoKiEMfXmBoVgrOyNNNm7XlRxAvrZ
 jK8rcRrfdnjRnuG3xdy3UABouFmaytxNAimsyZ/TbFtvphT1x9auBNPwOipTtp3xrDJh
 HnRlgA9HL3l6zrZ4845DztmW9yx0RChVFJamGO/znWiZeiipIohIHbfnZ3laddAL1kKA
 Nadg==
X-Gm-Message-State: AIVw1118Th7SVu24WXsh9odIn0WR/EFUFm1YPNCUeSfTd1Q6/X3o389D
 GUBaWldgk3KS3A==
X-Received: by 10.223.154.203 with SMTP id a69mr10192862wrc.139.1501418569110; 
 Sun, 30 Jul 2017 05:42:49 -0700 (PDT)
Received: from [192.168.3.103] ([77.38.106.199])
 by smtp.gmail.com with ESMTPSA id r108sm12862289wrb.29.2017.07.30.05.42.46
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 30 Jul 2017 05:42:47 -0700 (PDT)
From: Nejc Vivod <nvivod@HIDDEN>
Message-Id: <DF01DF05-F40D-4A4E-8335-C7159FF99056@HIDDEN>
Content-Type: multipart/signed;
 boundary="Apple-Mail=_C8BA200E-ED8A-43F0-B6CC-9F45F1AB2FC0";
 protocol="application/pkcs7-signature"; micalg=sha1
Mime-Version: 1.0 (Mac OS X Mail 10.3 \(3273\))
Subject: Re: bug#27872: 26.0.50; freeze when opening file with emojis
Date: Sun, 30 Jul 2017 14:42:45 +0200
In-Reply-To: <20170730123416.GC2137@HIDDEN>
To: Alan Third <alan@HIDDEN>
References: <81029CAB-B75D-4396-B174-1B929A8D2CBB@HIDDEN>
 <20170730115513.GA2137@HIDDEN>
 <C2A4055F-10D3-4C42-AB97-B8BF7E3E16E1@HIDDEN>
 <20170730123416.GC2137@HIDDEN>
X-Mailer: Apple Mail (2.3273)
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 27872
X-Mailman-Approved-At: Sun, 30 Jul 2017 13:03:26 -0400
Cc: 27872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)


--Apple-Mail=_C8BA200E-ED8A-43F0-B6CC-9F45F1AB2FC0
Content-Type: multipart/mixed;
	boundary="Apple-Mail=_E2BCCC07-123B-444B-A548-B22264D38323"


--Apple-Mail=_E2BCCC07-123B-444B-A548-B22264D38323
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

I=E2=80=99m running in gui mode yes. I=E2=80=99ve ran it from lldb, =
attaching the backtrace.=20

Thank you for taking the time


--Apple-Mail=_E2BCCC07-123B-444B-A548-B22264D38323
Content-Disposition: attachment;
	filename=backtrace.txt
Content-Type: text/plain;
	x-unix-mode=0644;
	name="backtrace.txt"
Content-Transfer-Encoding: quoted-printable

(lldb) target create "Emacs-x86_64-10_9"
Current executable set to 'Emacs-x86_64-10_9' (x86_64).
(lldb) run
Process 17175 launched: =
'/Applications/Emacs.app/Contents/MacOS/Emacs-x86_64-10_9' (x86_64)
Warning: arch-dependent data dir =
'/Users/build/workspace/Emacs-Multi-Build/label/mavericks/emacs-source/nex=
tstep/Emacs.app/Contents/MacOS/libexec/': No such file or directory
Process 17175 stopped
* thread #1, queue =3D 'com.apple.main-thread', stop reason =3D signal =
SIGSTOP
    frame #0: 0x00007fffde8b446a =
libsystem_kernel.dylib`host_create_mach_voucher_trap + 10
libsystem_kernel.dylib`host_create_mach_voucher_trap:
->  0x7fffde8b446a <+10>: retq
    0x7fffde8b446b <+11>: nop

libsystem_kernel.dylib`mach_voucher_extract_attr_recipe_trap:
    0x7fffde8b446c <+0>:  movq   %rcx, %r10
    0x7fffde8b446f <+3>:  movl   $0x1000048, %eax          ; imm =3D =
0x1000048
(lldb) bt all
* thread #1, queue =3D 'com.apple.main-thread', stop reason =3D signal =
SIGSTOP
  * frame #0: 0x00007fffde8b446a =
libsystem_kernel.dylib`host_create_mach_voucher_trap + 10
    frame #1: 0x00007fffde8b334d =
libsystem_kernel.dylib`host_create_mach_voucher + 27
    frame #2: 0x00007fffde75d35c =
libdispatch.dylib`_voucher_create_mach_voucher_with_priority + 395
    frame #3: 0x00007fffde75cd17 =
libdispatch.dylib`_dispatch_mach_msg_send + 471
    frame #4: 0x00007fffde75db55 =
libdispatch.dylib`_dispatch_mach_send_drain + 280
    frame #5: 0x00007fffde7742a9 =
libdispatch.dylib`_dispatch_mach_send_push_and_trydrain + 487
    frame #6: 0x00007fffde771804 =
libdispatch.dylib`_dispatch_mach_send_msg + 282
    frame #7: 0x00007fffde771a82 =
libdispatch.dylib`_dispatch_mach_send_and_wait_for_reply + 318
    frame #8: 0x00007fffde771ff9 =
libdispatch.dylib`dispatch_mach_send_with_result_and_wait_for_reply + 45
    frame #9: 0x00007fffde9e05b8 =
libxpc.dylib`xpc_connection_send_message_with_reply_sync + 154
    frame #10: 0x00007fffcaca80da =
Foundation`__NSXPCCONNECTION_IS_WAITING_FOR_A_SYNCHRONOUS_REPLY__ + 9
    frame #11: 0x00007fffca9fa737 Foundation`-[NSXPCConnection =
_sendInvocation:withProxy:remoteInterface:withErrorHandler:timeout:userInf=
o:] + 3665
    frame #12: 0x00007fffca9f98e0 Foundation`-[NSXPCConnection =
_sendInvocation:withProxy:remoteInterface:withErrorHandler:] + 32
    frame #13: 0x00007fffc8fda54a CoreFoundation`___forwarding___ + 538
    frame #14: 0x00007fffc8fda2a8 CoreFoundation`__forwarding_prep_0___ =
+ 120
    frame #15: 0x00007fffc7adfafb =
libFontRegistry.dylib`__83-[XTypeXPCClient =
XTCopyPropertiesForFontsMatchingRequest:properties:scope:options:]_block_i=
nvoke + 109
    frame #16: 0x00007fffc7adbbd9 libFontRegistry.dylib`-[XTypeXPCClient =
run:errorHandler:] + 103
    frame #17: 0x00007fffc7adfa52 libFontRegistry.dylib`-[XTypeXPCClient =
XTCopyPropertiesForFontsMatchingRequest:properties:scope:options:] + 231
    frame #18: 0x00007fffc7ab8735 =
libFontRegistry.dylib`XTCopyFontsWithProperties + 160
    frame #19: 0x00007fffca5e55e1 =
CoreText`TDescriptorSource::CopyDescriptorsForRequest(__CFDictionary =
const*, __CFSet const*, CFComparisonResult (*)(void const*, void const*, =
void*), void*, unsigned long, TCFRef<__CFArray const*>*) const + 1087
    frame #20: 0x00007fffca58c0ca =
CoreText`TDescriptor::CreateMatchingDescriptors(__CFSet const*, unsigned =
long) const + 168
    frame #21: 0x00007fffca5c94a0 =
CoreText`CTFontDescriptorCreateMatchingFontDescriptors + 97
    frame #22: 0x00000001001d7fe5 Emacs-x86_64-10_9`macfont_list + 2053
    frame #23: 0x0000000100151941 Emacs-x86_64-10_9`font_list_entities + =
673
    frame #24: 0x0000000100153983 Emacs-x86_64-10_9`font_find_for_lface =
+ 1955
    frame #25: 0x00000001001a78da Emacs-x86_64-10_9`fontset_find_font + =
1626
    frame #26: 0x00000001001a46fb Emacs-x86_64-10_9`fontset_font + 811
    frame #27: 0x00000001001a4336 Emacs-x86_64-10_9`face_for_char + 358
    frame #28: 0x000000010001cc3b =
Emacs-x86_64-10_9`get_next_display_element + 3051
    frame #29: 0x000000010002bb38 Emacs-x86_64-10_9`display_line + 1240
    frame #30: 0x000000010002b468 Emacs-x86_64-10_9`try_window + 216
    frame #31: 0x000000010004f23b Emacs-x86_64-10_9`redisplay_window + =
11083
    frame #32: 0x00000001000578d6 Emacs-x86_64-10_9`redisplay_window_0 + =
38
    frame #33: 0x000000010013ea9b =
Emacs-x86_64-10_9`internal_condition_case_1 + 91
    frame #34: 0x000000010004c670 Emacs-x86_64-10_9`redisplay_windows + =
160
    frame #35: 0x0000000100029670 Emacs-x86_64-10_9`redisplay_internal + =
5008
    frame #36: 0x00000001000c5f4b Emacs-x86_64-10_9`read_char + 2043
    frame #37: 0x00000001000c39f5 Emacs-x86_64-10_9`read_key_sequence + =
1941
    frame #38: 0x00000001000c21e2 Emacs-x86_64-10_9`command_loop_1 + =
1186
    frame #39: 0x000000010013ea17 =
Emacs-x86_64-10_9`internal_condition_case + 87
    frame #40: 0x00000001000d2f90 Emacs-x86_64-10_9`command_loop_2 + 48
    frame #41: 0x000000010013e2ce Emacs-x86_64-10_9`internal_catch + 78
    frame #42: 0x00000001000c13ee Emacs-x86_64-10_9`command_loop + 158
    frame #43: 0x00000001000c1312 Emacs-x86_64-10_9`recursive_edit_1 + =
130
    frame #44: 0x00000001000c1535 Emacs-x86_64-10_9`Frecursive_edit + =
229
    frame #45: 0x00000001000c014a Emacs-x86_64-10_9`main + 6506
    frame #46: 0x00007fffde78d235 libdyld.dylib`start + 1
    frame #47: 0x00007fffde78d235 libdyld.dylib`start + 1

  thread #7
    frame #0: 0x00007fffde8bbeb6 libsystem_kernel.dylib`__select + 10
    frame #1: 0x00000001001b94b8 Emacs-x86_64-10_9`-[EmacsApp =
fd_handler:] + 264
    frame #2: 0x00007fffcaa018ad Foundation`__NSThread__start__ + 1243
    frame #3: 0x00007fffde9a693b libsystem_pthread.dylib`_pthread_body + =
180
    frame #4: 0x00007fffde9a6887 libsystem_pthread.dylib`_pthread_start =
+ 286
    frame #5: 0x00007fffde9a608d libsystem_pthread.dylib`thread_start + =
13

  thread #8, name =3D 'com.apple.NSEventThread'
    frame #0: 0x00007fffde8b434a libsystem_kernel.dylib`mach_msg_trap + =
10
    frame #1: 0x00007fffde8b3797 libsystem_kernel.dylib`mach_msg + 55
    frame #2: 0x00007fffc8fdf434 =
CoreFoundation`__CFRunLoopServiceMachPort + 212
    frame #3: 0x00007fffc8fde8c1 CoreFoundation`__CFRunLoopRun + 1361
    frame #4: 0x00007fffc8fde114 CoreFoundation`CFRunLoopRunSpecific + =
420
    frame #5: 0x00007fffc6c24f02 AppKit`_NSEventThread + 205
    frame #6: 0x00007fffde9a693b libsystem_pthread.dylib`_pthread_body + =
180
    frame #7: 0x00007fffde9a6887 libsystem_pthread.dylib`_pthread_start =
+ 286
    frame #8: 0x00007fffde9a608d libsystem_pthread.dylib`thread_start + =
13

  thread #14
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a648e =
libsystem_pthread.dylib`_pthread_wqthread + 1023
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #23
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a648e =
libsystem_pthread.dylib`_pthread_wqthread + 1023
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #27
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a6621 =
libsystem_pthread.dylib`_pthread_wqthread + 1426
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #29
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a6621 =
libsystem_pthread.dylib`_pthread_wqthread + 1426
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #30
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a6621 =
libsystem_pthread.dylib`_pthread_wqthread + 1426
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #31
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a6621 =
libsystem_pthread.dylib`_pthread_wqthread + 1426
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13

  thread #32
    frame #0: 0x00007fffde8bc44e =
libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fffde9a648e =
libsystem_pthread.dylib`_pthread_wqthread + 1023
    frame #2: 0x00007fffde9a607d libsystem_pthread.dylib`start_wqthread =
+ 13
(lldb)

--Apple-Mail=_E2BCCC07-123B-444B-A548-B22264D38323
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8



> On 30 Jul 2017, at 14:34, Alan Third <alan@HIDDEN> wrote:
>=20
> On Sun, Jul 30, 2017 at 02:10:38PM +0200, Nejc Vivod wrote:
>> Tried downloading from emacsformacosx.com
>> <http://emacsformacosx.com/> (both the nightly and the stable
>> version), still have the same issue - I=E2=80=99ve also recreated the =
file
>> with your echo command. Not sure why it breaks like this, since the
>> preinstalled emacs opens the file just fine.
>=20
> The preinstalled Emacs is ancient. Version 22 or something. Quite a
> lot has changed since then. It also only works in the terminal so the
> glyph display code is completely different.
>=20
>> What I did notice is, it seems to allocate a bunch of memory every
>> second or so when opening that test file (looking at activity
>> monitor -> Info about the process); before I force-killed it, it was
>> taking up 2,39GB of ram and it didn=E2=80=99t seem like it would =
stop.
>>=20
>> I=E2=80=99m attaching a sample of the process, maybe this can be of =
help.=20
>=20
> I don=E2=80=99t really understand what that=E2=80=99s telling me. Is =
it possible for
> you to run it under a debugger and send me a backtrace?
>=20
> You=E2=80=99ll probably have lldb installed already, so all you need =
to do is
> run
>=20
>    lldb /path/to/emacs
>> run
>=20
> and once it freezes hit ctrl=E2=80=90c and
>=20
>> bt all
>=20
> and send me the output.
>=20
> You are running it in GUI mode, and not in the terminal, right?
>=20
> --=20
> Alan Third


--Apple-Mail=_E2BCCC07-123B-444B-A548-B22264D38323--

--Apple-Mail=_C8BA200E-ED8A-43F0-B6CC-9F45F1AB2FC0
Content-Disposition: attachment;
	filename=smime.p7s
Content-Type: application/pkcs7-signature;
	name=smime.p7s
Content-Transfer-Encoding: base64
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--Apple-Mail=_C8BA200E-ED8A-43F0-B6CC-9F45F1AB2FC0--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27872; Package emacs. Full text available.

Message received at 27872 <at> debbugs.gnu.org:


Received: (at 27872) by debbugs.gnu.org; 30 Jul 2017 17:03:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 13:03:28 2017
Received: from localhost ([127.0.0.1]:34452 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dbrcm-0001Pm-7T
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2017 13:03:28 -0400
Received: from mail-wr0-f181.google.com ([209.85.128.181]:33849)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nvivod@HIDDEN>) id 1dbn3X-0000uE-Mk
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 08:10:48 -0400
Received: by mail-wr0-f181.google.com with SMTP id 12so169756376wrb.1
 for <27872 <at> debbugs.gnu.org>; Sun, 30 Jul 2017 05:10:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:message-id:mime-version:subject:date:in-reply-to:cc:to
 :references; bh=+xvMjWSnNQINUFTwzwdhl/XMKvUGk7Pl3+q6T0xiWWE=;
 b=SxRbxUXIVf7BU3r3zrcs8kMc8kxhRCHiqFbHpuaafcdJQJoi2SGWGyw3ZRmJr+UAAh
 j7W2SPhVcffRrL5ahWk/4gilvi9/FILFBBt6Q5YZO1rxoTO80zodevkjT6mCGTVhtWNa
 SmDf80MR5GIqWOzIXieAa2ONae970byv1EFDWu+mTqLDZMoCY4q8kmOjMRFJQ4m+tPKt
 p2eZZx1M1YE/xXLDf/blcA8dWSNc+Xhk5HCMABdmDgGaP/x9uDfmlflXmwnYEDKaU7HQ
 nbx1KJCKWJ/HyaqPExkTgCG48tFJSUqrmFoNkFhZhOAMUqh3opgmHAGyQ5KzQp+OkC7a
 raWQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:message-id:mime-version:subject:date
 :in-reply-to:cc:to:references;
 bh=+xvMjWSnNQINUFTwzwdhl/XMKvUGk7Pl3+q6T0xiWWE=;
 b=H3dHyEEzFPbNTpvYr+zfa1Q1E2Bm2c/Nb/lblCqpsDley0qnVVjPG1tNe8CnVJ2881
 +D1n28vYB1gGiAix21wCrlj9gVrbsVbNwdPHy/0DW6YsSJX4cUDHgsuEaBiF0IZBhXIo
 RiEs/QeNs/dzRRM+/ZzHzg+/brvMXyniOswOjE09c37dJtX7DXpCYmYeSjcbWHemWfsy
 0nmsMFtQxYQ6AqRedtzPjT+moyw2amMqmW6p4v7H0LmwIiVKivpizB8sZk0XG6VDvVuo
 ItqlWPB5pHUSQoZWbks2GDCxAYhpnJOgerBhT0LlFeAztNQ7lPI6OYAJTk/23Sq2KQnS
 +wqQ==
X-Gm-Message-State: AIVw111iiPFYNyCXHXX4B6xdBFRWIejEe3pST2psN8Q7uGbhY/EKg7wj
 FXBFPsY7LVqRpg==
X-Received: by 10.223.178.212 with SMTP id g78mr9882521wrd.144.1501416641776; 
 Sun, 30 Jul 2017 05:10:41 -0700 (PDT)
Received: from [192.168.3.103] ([77.38.106.199])
 by smtp.gmail.com with ESMTPSA id p19sm21899900wma.40.2017.07.30.05.10.39
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 30 Jul 2017 05:10:40 -0700 (PDT)
From: Nejc Vivod <nvivod@HIDDEN>
Message-Id: <C2A4055F-10D3-4C42-AB97-B8BF7E3E16E1@HIDDEN>
Content-Type: multipart/signed;
 boundary="Apple-Mail=_0F8106A7-45B6-4BF5-B571-AF9F740AB493";
 protocol="application/pkcs7-signature"; micalg=sha1
Mime-Version: 1.0 (Mac OS X Mail 10.3 \(3273\))
Subject: Re: bug#27872: 26.0.50; freeze when opening file with emojis
Date: Sun, 30 Jul 2017 14:10:38 +0200
In-Reply-To: <20170730115513.GA2137@HIDDEN>
To: Alan Third <alan@HIDDEN>
References: <81029CAB-B75D-4396-B174-1B929A8D2CBB@HIDDEN>
 <20170730115513.GA2137@HIDDEN>
X-Mailer: Apple Mail (2.3273)
X-Debbugs-Envelope-To: 27872
X-Mailman-Approved-At: Sun, 30 Jul 2017 13:03:26 -0400
Cc: 27872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>


--Apple-Mail=_0F8106A7-45B6-4BF5-B571-AF9F740AB493
Content-Type: multipart/alternative;
	boundary="Apple-Mail=_487C3158-341E-444A-919F-D5EDBCBD01E3"


--Apple-Mail=_487C3158-341E-444A-919F-D5EDBCBD01E3
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

Tried downloading from emacsformacosx.com <http://emacsformacosx.com/> =
(both the nightly and the stable version), still have the same issue - =
I=E2=80=99ve also recreated the file with your echo command. Not sure =
why it breaks like this, since the preinstalled emacs opens the file =
just fine.=20
What I did notice is, it seems to allocate a bunch of memory every =
second or so when opening that test file (looking at activity monitor -> =
Info about the process); before I force-killed it, it was taking up =
2,39GB of ram and it didn=E2=80=99t seem like it would stop.

I=E2=80=99m attaching a sample of the process, maybe this can be of =
help.=20

Thanks for trying to help!






> On 30 Jul 2017, at 13:55, Alan Third <alan@HIDDEN> wrote:
>=20
> On Sun, Jul 30, 2017 at 12:44:24AM +0200, Nejc Vivod wrote:
>> Emacs installed via homebrew (--with-cocoa enabled) freezes with 100%
>> CPU usage when opening a file that contains unicode emojis. Other
>> editors handle the file just fine (and default mac emacs opens it, =
but
>> doesn't display emojis).
>> Steps to reproduce:
>> 1. emacs -Q
>> 2. open a file that contains a unicode emoji (my test file has a =
burger icon in it - =F0=9F=8D=94)
>> 3. emacs will stop responding and keep the CPU at 100%
>=20
> I can=E2=80=99t reproduce this with the master branch. Are you sure =
it=E2=80=99s just
> the presence of the emoji and not something else?
>=20
> I used this command to create a test file:
>=20
>    echo "=F0=9F=8D=94" > /tmp/test.txt
>=20
>> Is there a way to at least not display emojis (I=E2=80=99m fine with =
blocks)?
>=20
> GUI Emacs doesn=E2=80=99t display emojis. It=E2=80=99s possible =
homebrew have included
> a patch to enable them.
>=20
> Can you test with a build direct from git, or a nightly build from
> emacsformacosx.com?
> --=20
> Alan Third


--Apple-Mail=_487C3158-341E-444A-919F-D5EDBCBD01E3
Content-Type: multipart/mixed;
	boundary="Apple-Mail=_85F2124C-3B7C-498A-AC6F-D9E14EE48552"


--Apple-Mail=_85F2124C-3B7C-498A-AC6F-D9E14EE48552
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; -webkit-line-break: after-white-space;" =
class=3D""><div class=3D"">Tried downloading from <a =
href=3D"http://emacsformacosx.com" =
class=3D"">emacsformacosx.com</a>&nbsp;(both the nightly and the stable =
version), still have the same issue - I=E2=80=99ve also recreated the =
file with your echo command. Not sure why it breaks like this, since the =
preinstalled emacs opens the file just fine.&nbsp;</div><div =
class=3D"">What I did notice is, it seems to allocate a bunch of memory =
every second or so when opening that test file (looking at activity =
monitor -&gt; Info about the process); before I force-killed it, it was =
taking up 2,39GB of ram and it didn=E2=80=99t seem like it would =
stop.</div><div class=3D""><br class=3D""></div><div class=3D"">I=E2=80=99=
m attaching a sample of the process, maybe this can be of =
help.&nbsp;</div><div class=3D""><br class=3D""></div><div =
class=3D"">Thanks for trying to help!</div><div class=3D""><br =
class=3D""></div><div class=3D""><br class=3D""></div><div =
class=3D""></div></body></html>=

--Apple-Mail=_85F2124C-3B7C-498A-AC6F-D9E14EE48552
Content-Disposition: attachment;
	filename=sample.txt
Content-Type: text/plain;
	x-unix-mode=0644;
	name="sample.txt"
Content-Transfer-Encoding: quoted-printable

Sampling process 16670 for 3 seconds with 1 millisecond of run time =
between samples
Sampling completed, processing symbols...
Analysis of sampling Emacs-x86_64-10_9 (pid 16670) every 1 millisecond
Process:         Emacs-x86_64-10_9 [16670]
Path:            =
/Applications/Emacs.app/Contents/MacOS/./Emacs-x86_64-10_9
Load Address:    0x100000000
Identifier:      org.gnu.Emacs
Version:         Version 25.2 (9.0)
Code Type:       X86-64
Parent Process:  zsh [871]

Date/Time:       2017-07-30 14:03:04.877 +0200
Launch Time:     2017-07-30 14:02:34.398 +0200
OS Version:      Mac OS X 10.12.6 (16G29)
Report Version:  7
Analysis Tool:   /usr/bin/sample
----

Call graph:
    2786 Thread_268029   DispatchQueue_1: com.apple.main-thread  =
(serial)
    + 2786 start  (in libdyld.dylib) + 1  [0x7fffde78d235]
    +   2786 main  (in Emacs-x86_64-10_9) + 5875  [0x1000bb7b3]
    +     2786 Frecursive_edit  (in Emacs-x86_64-10_9) + 220  =
[0x1000bcadc]
    +       2786 recursive_edit_1  (in Emacs-x86_64-10_9) + 117  =
[0x1000bc8b5]
    +         2786 command_loop  (in Emacs-x86_64-10_9) + 158  =
[0x1000bc99e]
    +           2786 internal_catch  (in Emacs-x86_64-10_9) + 54  =
[0x100138ae6]
    +             2786 command_loop_2  (in Emacs-x86_64-10_9) + 48  =
[0x1000ce370]
    +               2786 internal_condition_case  (in Emacs-x86_64-10_9) =
+ 70  [0x100138f86]
    +                 2786 command_loop_1  (in Emacs-x86_64-10_9) + 1154 =
 [0x1000bd752]
    +                   2786 read_key_sequence  (in Emacs-x86_64-10_9) + =
2092  [0x1000bf03c]
    +                     2786 read_char  (in Emacs-x86_64-10_9) + 2105  =
[0x1000c17a9]
    +                       2786 redisplay_internal  (in =
Emacs-x86_64-10_9) + 5357  [0x1000281ad]
    +                         2786 redisplay_windows  (in =
Emacs-x86_64-10_9) + 160  [0x10004a770]
    +                           2786 internal_condition_case_1  (in =
Emacs-x86_64-10_9) + 76  [0x100138fec]
    +                             2786 redisplay_window_0  (in =
Emacs-x86_64-10_9) + 38  [0x100054e56]
    +                               2786 redisplay_window  (in =
Emacs-x86_64-10_9) + 13626  [0x10004dd2a]
    +                                 2786 try_window  (in =
Emacs-x86_64-10_9) + 230  [0x100029d96]
    +                                   2786 display_line  (in =
Emacs-x86_64-10_9) + 776  [0x10002a278]
    +                                     2786 get_next_display_element  =
(in Emacs-x86_64-10_9) + 2955  [0x10001c08b]
    +                                       2786 face_for_char  (in =
Emacs-x86_64-10_9) + 358  [0x1001995f6]
    +                                         2786 fontset_font  (in =
Emacs-x86_64-10_9) + 811  [0x1001999bb]
    +                                           2786 fontset_find_font  =
(in Emacs-x86_64-10_9) + 1657  [0x10019cb89]
    +                                             2784 font_open_entity  =
(in Emacs-x86_64-10_9) + 314  [0x10014cc4a]
    +                                             ! 1956 macfont_open  =
(in Emacs-x86_64-10_9) + 804  [0x1001c8f04]
    +                                             ! : 1785 =
macfont_glyph_extents  (in Emacs-x86_64-10_9) + 439  [0x1001cc5b7]
    +                                             ! : | 1446 =
CTFontGetAdvancesForGlyphs  (in CoreText) + 216  [0x7fffca57c788]
    +                                             ! : | + 1238 =
TFont::GetAdvancesForGlyphs(unsigned short const*, CGSize*, long, =
CTFontOrientation) const  (in CoreText) + 92  [0x7fffca56c3f8]
    +                                             ! : | + ! 1201 =
GetUnscaledAdvances(TFont const&, unsigned short const*, CGSize*, long, =
CTFontOrientation)  (in CoreText) + 95  [0x7fffca55c708]
    +                                             ! : | + ! : 637 =
TBaseFont::GetUnscaledAdvances(unsigned short const*, CGSize*, long) =
const  (in CoreText) + 124  [0x7fffca55c858]
    +                                             ! : | + ! : | 411 =
CGFontGetGlyphAdvances  (in CoreGraphics) + 237  [0x7fffc93f906c]
    +                                             ! : | + ! : | + 169 =
xt_font_get_glyph_advances  (in CoreGraphics) + 598,508,...  =
[0x7fffc9568072,0x7fffc9568018,...]
    +                                             ! : | + ! : | + 113 =
xt_font_get_glyph_advances  (in CoreGraphics) + 638  [0x7fffc956809a]
    +                                             ! : | + ! : | + ! 113 =
CGAffineTransformScale  (in CoreGraphics) + 38,23,...  =
[0x7fffc943dbe7,0x7fffc943dbd8,...]
    +                                             ! : | + ! : | + 33 =
xt_font_get_glyph_advances  (in CoreGraphics) + 392  [0x7fffc9567fa4]
    +                                             ! : | + ! : | + ! 33 =
CGFontIndexMapGetValue  (in CoreGraphics) + 63,39,...  =
[0x7fffc9847cf9,0x7fffc9847ce1,...]
    +                                             ! : | + ! : | + 22 =
xt_font_get_glyph_advances  (in CoreGraphics) + 715  [0x7fffc95680e7]
    +                                             ! : | + ! : | + ! 22 =
round  (in libsystem_m.dylib) + 16,95,...  =
[0x7fffde8c615d,0x7fffde8c61ac,...]
    +                                             ! : | + ! : | + 16 =
xt_font_get_glyph_advances  (in CoreGraphics) + 141  [0x7fffc9567ea9]
    +                                             ! : | + ! : | + ! 14 =
TFPFont::IsBitmapOnly() const  (in libFontParser.dylib) + 268,281,...  =
[0x7fffc798e88a,0x7fffc798e897,...]
    +                                             ! : | + ! : | + ! 2 =
FPFontIsBitmapOnly  (in libFontParser.dylib) + 1  [0x7fffc798e775]
    +                                             ! : | + ! : | + 16 =
xt_font_get_glyph_advances  (in CoreGraphics) + 579  [0x7fffc956805f]
    +                                             ! : | + ! : | + ! 11 =
TFPFont::GetUnitsPerEm() const  (in libFontParser.dylib) + 16,39,...  =
[0x7fffc798baec,0x7fffc798bb03,...]
    +                                             ! : | + ! : | + ! 5 =
FPFontGetUnitsPerEm  (in libFontParser.dylib) + 0,4  =
[0x7fffc798bad1,0x7fffc798bad5]
    +                                             ! : | + ! : | + 13 =
xt_font_get_glyph_advances  (in CoreGraphics) + 729  [0x7fffc95680f5]
    +                                             ! : | + ! : | + ! 13 =
round  (in libsystem_m.dylib) + 28,0,...  =
[0x7fffde8c6169,0x7fffde8c614d,...]
    +                                             ! : | + ! : | + 10 =
xt_font_get_glyph_advances  (in CoreGraphics) + 109  [0x7fffc9567e89]
    +                                             ! : | + ! : | + ! 10 =
xt_font_get_font  (in CoreGraphics) + 9,1,...  =
[0x7fffc9704d0c,0x7fffc9704d04,...]
    +                                             ! : | + ! : | + 7 =
get_glyph_advances  (in CoreGraphics) + 0,4  =
[0x7fffc96fc071,0x7fffc96fc075]
    +                                             ! : | + ! : | + 7 =
xt_font_get_glyph_advances  (in CoreGraphics) + 374  [0x7fffc9567f92]
    +                                             ! : | + ! : | + ! 7 =
xt_font_get_advance_map  (in CoreGraphics) + 50,15,...  =
[0x7fffc9704d3f,0x7fffc9704d1c,...]
    +                                             ! : | + ! : | + 4 =
DYLD-STUB$$round  (in CoreGraphics) + 0  [0x7fffc98592ac]
    +                                             ! : | + ! : | + 1 =
xt_font_get_glyph_advances  (in CoreGraphics) + 267  [0x7fffc9567f27]
    +                                             ! : | + ! : | +   1 =
xt_font_get_font  (in CoreGraphics) + 0  [0x7fffc9704d03]
    +                                             ! : | + ! : | 161 =
CGFontGetGlyphAdvances  (in CoreGraphics) + 83,93,...  =
[0x7fffc93f8fd2,0x7fffc93f8fdc,...]
    +                                             ! : | + ! : | 38 =
CGFontGetGlyphAdvances  (in CoreGraphics) + 52  [0x7fffc93f8fb3]
    +                                             ! : | + ! : | + 29 =
CGFontGetUnitsPerEm  (in CoreGraphics) + 9  [0x7fffc974376d]
    +                                             ! : | + ! : | + ! 29 =
get_font_info  (in CoreGraphics) + 87,24,...  =
[0x7fffc974375d,0x7fffc974371e,...]
    +                                             ! : | + ! : | + 9 =
CGFontGetUnitsPerEm  (in CoreGraphics) + 0,14  =
[0x7fffc9743764,0x7fffc9743772]
    +                                             ! : | + ! : | 23 =
CGFontGetGlyphAdvances  (in CoreGraphics) + 72  [0x7fffc93f8fc7]
    +                                             ! : | + ! : | + 23 =
CGAffineTransformMakeScale  (in CoreGraphics) + 17,8,...  =
[0x7fffc943dac4,0x7fffc943dabb,...]
    +                                             ! : | + ! : | 4 =
get_glyph_advances  (in CoreGraphics) + 5  [0x7fffc96fc076]
    +                                             ! : | + ! : 172 =
TBaseFont::GetUnscaledAdvances(unsigned short const*, CGSize*, long) =
const  (in CoreText) + 243,265,...  [0x7fffca55c8cf,0x7fffca55c8e5,...]
    +                                             ! : | + ! : 145 =
TBaseFont::GetUnscaledAdvances(unsigned short const*, CGSize*, long) =
const  (in CoreText) + 99  [0x7fffca55c83f]
    +                                             ! : | + ! : | 130 =
TBaseFont::CopyGraphicsFont() const  (in CoreText) + 18  =
[0x7fffca554380]
    +                                             ! : | + ! : | + 99 =
TBaseFont::CopyNativeFont() const  (in CoreText) + 51  [0x7fffca5543d9]
    +                                             ! : | + ! : | + ! 85 =
_CFRetain  (in CoreFoundation) + 90,43,...  =
[0x7fffc8f5e2ca,0x7fffc8f5e29b,...]
    +                                             ! : | + ! : | + ! 14 =
CFRetain  (in CoreFoundation) + 19,0,...  =
[0x7fffc8f5e203,0x7fffc8f5e1f0,...]
    +                                             ! : | + ! : | + 29 =
TBaseFont::CopyNativeFont() const  (in CoreText) + 303,34,...  =
[0x7fffca5544d5,0x7fffca5543c8,...]
    +                                             ! : | + ! : | + 2 =
DYLD-STUB$$CFRetain  (in CoreText) + 0  [0x7fffca66434e]
    +                                             ! : | + ! : | 15 =
TBaseFont::CopyGraphicsFont() const  (in CoreText) + 4,0,...  =
[0x7fffca554372,0x7fffca55436e,...]
    +                                             ! : | + ! : 136 =
TBaseFont::GetUnscaledAdvances(unsigned short const*, CGSize*, long) =
const  (in CoreText) + 253  [0x7fffca55c8d9]
    +                                             ! : | + ! : | 98 =
_CFRelease  (in CoreFoundation) + 171,512,...  =
[0x7fffc90ac12b,0x7fffc90ac280,...]
    +                                             ! : | + ! : | 38 =
CFRelease  (in CoreFoundation) + 50,74,...  =
[0x7fffc8f64b52,0x7fffc8f64b6a,...]
    +                                             ! : | + ! : 83 =
TBaseFont::GetUnscaledAdvances(unsigned short const*, CGSize*, long) =
const  (in CoreText) + 79  [0x7fffca55c82b]
    +                                             ! : | + ! : | 61 =
std::__1::vector<int, TInlineBufferAllocator<int, 30ul> =
>::vector(unsigned long, int const&)  (in CoreText) + 83,8,...  =
[0x7fffca57fd9b,0x7fffca57fd50,...]
    +                                             ! : | + ! : | 22 =
std::__1::vector<int, TInlineBufferAllocator<int, 30ul> =
>::vector(unsigned long, int const&)  (in CoreText) + 69  =
[0x7fffca57fd8d]
    +                                             ! : | + ! : |   22 =
std::__1::vector<int, TInlineBufferAllocator<int, 30ul> =
>::allocate(unsigned long)  (in CoreText) + 6,7,...  =
[0x7fffca57fdc2,0x7fffca57fdc3,...]
    +                                             ! : | + ! : 23 =
TBaseFont::GetUnscaledAdvances(unsigned short const*, CGSize*, long) =
const  (in CoreText) + 265  [0x7fffca55c8e5]
    +                                             ! : | + ! : | 18 =
std::__1::__vector_base<unsigned int, TInlineBufferAllocator<unsigned =
int, 30ul> >::~__vector_base()  (in CoreText) + 31,15,...  =
[0x7fffca5611a7,0x7fffca561197,...]
    +                                             ! : | + ! : | 5 =
std::__1::__vector_base<LtagStringRange, =
TInlineBufferAllocator<LtagStringRange, 30ul> >::~__vector_base()  (in =
CoreText) + 0  [0x7fffca561186]
    +                                             ! : | + ! : 5 =
DYLD-STUB$$CFRelease  (in CoreText) + 0  [0x7fffca664348]
    +                                             ! : | + ! 37 =
GetUnscaledAdvances(TFont const&, unsigned short const*, CGSize*, long, =
CTFontOrientation)  (in CoreText) + 8,4,...  =
[0x7fffca55c6b1,0x7fffca55c6ad,...]
    +                                             ! : | + 73 =
TFont::GetAdvancesForGlyphs(unsigned short const*, CGSize*, long, =
CTFontOrientation) const  (in CoreText) + 332,659,...  =
[0x7fffca56c4e8,0x7fffca56c62f,...]
    +                                             ! : | + 37 =
TFont::GetAdvancesForGlyphs(unsigned short const*, CGSize*, long, =
CTFontOrientation) const  (in CoreText) + 116  [0x7fffca56c410]
    +                                             ! : | + ! 33 =
TFont::GetEffectiveMatrix() const  (in CoreText) + 342,329,...  =
[0x7fffca552ca2,0x7fffca552c95,...]
    +                                             ! : | + ! 4 =
TFont::GetEffectiveMatrix() const  (in CoreText) + 36  [0x7fffca552b70]
    +                                             ! : | + !   4 =
TBaseFont::GetFontMatrix() const  (in CoreText) + 4,6,...  =
[0x7fffca56cf8a,0x7fffca56cf8c,...]
    +                                             ! : | + 36 =
TFont::GetAdvancesForGlyphs(unsigned short const*, CGSize*, long, =
CTFontOrientation) const  (in CoreText) + 226  [0x7fffca56c47e]
    +                                             ! : | + ! 36 =
CGAffineTransformIsIdentity  (in CoreGraphics) + 9,0,...  =
[0x7fffc943db18,0x7fffc943db0f,...]
    +                                             ! : | + 24 =
TFont::GetAdvancesForGlyphs(unsigned short const*, CGSize*, long, =
CTFontOrientation) const  (in CoreText) + 140  [0x7fffca56c428]
    +                                             ! : | + ! 24 =
TFont::GetUnscaledTrackAmount() const  (in CoreText) + 8,221,...  =
[0x7fffca55d9a0,0x7fffca55da75,...]
    +                                             ! : | + 20 =
TFont::GetAdvancesForGlyphs(unsigned short const*, CGSize*, long, =
CTFontOrientation) const  (in CoreText) + 165  [0x7fffca56c441]
    +                                             ! : | + ! 20 =
TBaseFont::IsAppleColorEmoji() const  (in CoreText) + 0,50,...  =
[0x7fffca55200e,0x7fffca552040,...]
    +                                             ! : | + 15 =
TFont::GetAdvancesForGlyphs(unsigned short const*, CGSize*, long, =
CTFontOrientation) const  (in CoreText) + 124  [0x7fffca56c418]
    +                                             ! : | + ! 15 =
TFont::GetScaleFactor() const  (in CoreText) + 0,21,...  =
[0x7fffca55c9a4,0x7fffca55c9b9,...]
    +                                             ! : | + 3 =
DYLD-STUB$$CGAffineTransformIsIdentity  (in CoreText) + 0  =
[0x7fffca664510]
    +                                             ! : | 215 =
CTFontGetAdvancesForGlyphs  (in CoreText) + 188  [0x7fffca57c76c]
    +                                             ! : | + 86 =
std::__1::vector<CGSize, TInlineBufferAllocator<CGSize, 30ul> =
>::__append(unsigned long)  (in CoreText) + 227,116,...  =
[0x7fffca56c1f9,0x7fffca56c18a,...]
    +                                             ! : | + 67 =
std::__1::vector<CGSize, TInlineBufferAllocator<CGSize, 30ul> =
>::__append(unsigned long)  (in CoreText) + 306  [0x7fffca56c248]
    +                                             ! : | + ! 45 =
std::__1::vector<std::__1::pair<long, unsigned int const*>, =
std::__1::allocator<std::__1::pair<long, unsigned int const*> > =
>::__swap_out_circular_buffer(std::__1::__split_buffer<std::__1::pair<long=
, unsigned int const*>, std::__1::allocator<std::__1::pair<long, =
unsigned int const*> >&>&)  (in CoreText) + 6,54,...  =
[0x7fffca59ffbc,0x7fffca59ffec,...]
    +                                             ! : | + ! 7 =
std::__1::vector<unsigned short, TInlineBufferAllocator<unsigned short, =
3ul> >::__swap_out_circular_buffer(std::__1::__split_buffer<unsigned =
short, TInlineBufferAllocator<unsigned short, 3ul>&>&)  (in CoreText) + =
0  [0x7fffca59ffb2]
    +                                             ! : | + ! 6 =
std::__1::vector<std::__1::tuple<long, =
MyanmarShapingEngine::ClusterType, bool>, =
TInlineBufferAllocator<std::__1::tuple<long, =
MyanmarShapingEngine::ClusterType, bool>, 30ul> =
>::__swap_out_circular_buffer(std::__1::__split_buffer<std::__1::tuple<lon=
g, MyanmarShapingEngine::ClusterType, bool>, =
TInlineBufferAllocator<std::__1::tuple<long, =
MyanmarShapingEngine::ClusterType, bool>, 30ul>&>&)  (in CoreText) + 0  =
[0x7fffca59ffaa]
    +                                             ! : | + ! 5 =
std::__1::vector<__CTFontDescriptor const*, =
TInlineBufferAllocator<__CTFontDescriptor const*, 30ul> =
>::__swap_out_circular_buffer(std::__1::__split_buffer<__CTFontDescriptor =
const*, TInlineBufferAllocator<__CTFontDescriptor const*, 30ul>&>&)  (in =
CoreText) + 0  [0x7fffca59ffae]
    +                                             ! : | + ! 2 =
std::__1::vector<std::__1::pair<unsigned short, unsigned int>, =
TInlineBufferAllocator<std::__1::pair<unsigned short, unsigned int>, =
30ul> =
>::__swap_out_circular_buffer(std::__1::__split_buffer<std::__1::pair<unsi=
gned short, unsigned int>, =
TInlineBufferAllocator<std::__1::pair<unsigned short, unsigned int>, =
30ul>&>&)  (in CoreText) + 0  [0x7fffca59ffa6]
    +                                             ! : | + ! 1 =
std::__1::vector<std::__1::tuple<unsigned short, unsigned short, long>, =
TInlineBufferAllocator<std::__1::tuple<unsigned short, unsigned short, =
long>, 30ul> =
>::__swap_out_circular_buffer(std::__1::__split_buffer<std::__1::tuple<uns=
igned short, unsigned short, long>, =
TInlineBufferAllocator<std::__1::tuple<unsigned short, unsigned short, =
long>, 30ul>&>&)  (in CoreText) + 0  [0x7fffca59ffa2]
    +                                             ! : | + ! 1 =
std::__1::vector<unsigned char const*, TInlineBufferAllocator<unsigned =
char const*, 30ul> =
>::__swap_out_circular_buffer(std::__1::__split_buffer<unsigned char =
const*, TInlineBufferAllocator<unsigned char const*, 30ul>&>&)  (in =
CoreText) + 0  [0x7fffca59ffa0]
    +                                             ! : | + 33 =
std::__1::vector<CGSize, TInlineBufferAllocator<CGSize, 30ul> =
>::__append(unsigned long)  (in CoreText) + 287  [0x7fffca56c235]
    +                                             ! : | + ! 33 =
_platform_bzero$VARIANT$Haswell  (in libsystem_platform.dylib) + =
142,115,...  [0x7fffde9a0c2e,0x7fffde9a0c13,...]
    +                                             ! : | + 13 =
std::__1::vector<CGSize, TInlineBufferAllocator<CGSize, 30ul> =
>::__append(unsigned long)  (in CoreText) + 314  [0x7fffca56c250]
    +                                             ! : | + ! 6 =
std::__1::__split_buffer<std::__1::tuple<long, =
MyanmarShapingEngine::ClusterType, bool>, =
TInlineBufferAllocator<std::__1::tuple<long, =
MyanmarShapingEngine::ClusterType, bool>, 30ul>&>::~__split_buffer()  =
(in CoreText) + 4,38,...  [0x7fffca5568e8,0x7fffca55690a,...]
    +                                             ! : | + ! 4 =
std::__1::__split_buffer<std::__1::pair<unsigned int, OTL::LangSysTable =
const*>, TInlineBufferAllocator<std::__1::pair<unsigned int, =
OTL::LangSysTable const*>, 30ul>&>::~__split_buffer()  (in CoreText) + 0 =
 [0x7fffca5568dc]
    +                                             ! : | + ! 2 =
std::__1::__split_buffer<DecompEntry, =
TInlineBufferAllocator<DecompEntry, 30ul>&>::~__split_buffer()  (in =
CoreText) + 0  [0x7fffca5568e2]
    +                                             ! : | + ! 1 =
std::__1::__split_buffer<TAATDeltaYListEntry, =
TInlineBufferAllocator<TAATDeltaYListEntry, 30ul>&>::~__split_buffer()  =
(in CoreText) + 0  [0x7fffca5568e0]
    +                                             ! : | + 9 =
std::__1::vector<CGSize, TInlineBufferAllocator<CGSize, 30ul> =
>::resize(unsigned long)  (in CoreText) + 0,7,...  =
[0x7fffca56c0ce,0x7fffca56c0d5,...]
    +                                             ! : | + 7 =
DYLD-STUB$$__bzero  (in libsystem_platform.dylib) + 0  [0x7fffde9a12ee]
    +                                             ! : | 73 =
CTFontGetAdvancesForGlyphs  (in CoreText) + 284,291,...  =
[0x7fffca57c7cc,0x7fffca57c7d3,...]
    +                                             ! : | 30 =
CTFontGetAdvancesForGlyphs  (in CoreText) + 236  [0x7fffca57c79c]
    +                                             ! : | + 27 =
std::__1::__vector_base<std::__1::tuple<unsigned short, unsigned short, =
long>, TInlineBufferAllocator<std::__1::tuple<unsigned short, unsigned =
short, long>, 30ul> >::~__vector_base()  (in CoreText) + 41,1,...  =
[0x7fffca557fb3,0x7fffca557f8b,...]
    +                                             ! : | + 3 =
std::__1::__vector_base<std::__1::pair<unsigned int, OTL::ScriptTable =
const*>, TInlineBufferAllocator<std::__1::pair<unsigned int, =
OTL::ScriptTable const*>, 30ul> >::~__vector_base()  (in CoreText) + 1  =
[0x7fffca557f87]
    +                                             ! : | 19 =
CTFontGetAdvancesForGlyphs  (in CoreText) + 102  [0x7fffca57c716]
    +                                             ! : | + 19 _CFIsObjC  =
(in CoreFoundation) + 0,22,...  [0x7fffc8ff7370,0x7fffc8ff7386,...]
    +                                             ! : | 2 =
DYLD-STUB$$_CFIsObjC  (in CoreText) + 0  [0x7fffca6649c6]
    +                                             ! : 142 =
macfont_glyph_extents  (in Emacs-x86_64-10_9) + 299,161,...  =
[0x1001cc52b,0x1001cc4a1,...]
    +                                             ! : 16 =
macfont_glyph_extents  (in Emacs-x86_64-10_9) + 558  [0x1001cc62e]
    +                                             ! : | 16 llround  (in =
libsystem_m.dylib) + 92,18,...  [0x7fffde8c692c,0x7fffde8c68e2,...]
    +                                             ! : 7 =
macfont_glyph_extents  (in Emacs-x86_64-10_9) + 507  [0x1001cc5fb]
    +                                             ! : | 7 llround  (in =
libsystem_m.dylib) + 92,18  [0x7fffde8c692c,0x7fffde8c68e2]
    +                                             ! : 3 =
DYLD-STUB$$CTFontGetAdvancesForGlyphs  (in Emacs-x86_64-10_9) + 0  =
[0x1001deaf6]
    +                                             ! : 3 =
DYLD-STUB$$lround  (in Emacs-x86_64-10_9) + 0  [0x1001de6d6]
    +                                             ! 283 macfont_open  =
(in Emacs-x86_64-10_9) + 220  [0x1001c8cbc]
    +                                             ! : 103 =
font_build_object  (in Emacs-x86_64-10_9) + 93  [0x100146f9d]
    +                                             ! : | 64 =
font_unparse_xlfd  (in Emacs-x86_64-10_9) + 1079  [0x1001477b7]
    +                                             ! : | + 64 snprintf  =
(in libsystem_c.dylib) + 188  [0x7fffde806d83]
    +                                             ! : | +   64 =
vsnprintf_l  (in libsystem_c.dylib) + 41  [0x7fffde81697d]
    +                                             ! : | +     62 =
_vsnprintf  (in libsystem_c.dylib) + 586  [0x7fffde81692a]
    +                                             ! : | +     ! 60 =
__v2printf  (in libsystem_c.dylib) + 699  [0x7fffde832423]
    +                                             ! : | +     ! : 30 =
__vfprintf  (in libsystem_c.dylib) + 428,12010,...  =
[0x7fffde808563,0x7fffde80b2a1,...]
    +                                             ! : | +     ! : 23 =
__vfprintf  (in libsystem_c.dylib) + 17634  [0x7fffde80c899]
    +                                             ! : | +     ! : | 14 =
__sfvwrite  (in libsystem_c.dylib) + 518,116,...  =
[0x7fffde802488,0x7fffde8022f6,...]
    +                                             ! : | +     ! : | 6 =
__sfvwrite  (in libsystem_c.dylib) + 438  [0x7fffde802438]
    +                                             ! : | +     ! : | + 6 =
_platform_memmove$VARIANT$Haswell  (in libsystem_platform.dylib) + =
201,151,...  [0x7fffde99ff69,0x7fffde99ff37,...]
    +                                             ! : | +     ! : | 2 =
DYLD-STUB$$sigvec__  (in libsystem_c.dylib) + 0  [0x7fffde8488a4]
    +                                             ! : | +     ! : | 1 =
DYLD-STUB$$_platform_memmove  (in libsystem_platform.dylib) + 0  =
[0x7fffde9a1348]
    +                                             ! : | +     ! : 6 =
__vfprintf  (in libsystem_c.dylib) + 5701  [0x7fffde8099fc]
    +                                             ! : | +     ! : | 6 =
strlen  (in libsystem_c.dylib) + 14,44,...  =
[0x7fffde7c3b4e,0x7fffde7c3b6c,...]
    +                                             ! : | +     ! : 1 =
__vfprintf  (in libsystem_c.dylib) + 148  [0x7fffde80844b]
    +                                             ! : | +     ! :   1 =
localeconv_l  (in libsystem_c.dylib) + 0  [0x7fffde7f7434]
    +                                             ! : | +     ! 2 =
__v2printf  (in libsystem_c.dylib) + 812,176  =
[0x7fffde832494,0x7fffde832218]
    +                                             ! : | +     2 =
_vsnprintf  (in libsystem_c.dylib) + 494,68  =
[0x7fffde8168ce,0x7fffde816724]
    +                                             ! : | 16 =
font_unparse_xlfd  (in Emacs-x86_64-10_9) + 679  [0x100147627]
    +                                             ! : | + 15 sprintf  =
(in libsystem_c.dylib) + 186  [0x7fffde806eec]
    +                                             ! : | + ! 15 =
vsprintf_l  (in libsystem_c.dylib) + 368  [0x7fffde816b50]
    +                                             ! : | + !   14 =
__v2printf  (in libsystem_c.dylib) + 699  [0x7fffde832423]
    +                                             ! : | + !   : 9 =
__vfprintf  (in libsystem_c.dylib) + 428,10446,...  =
[0x7fffde808563,0x7fffde80ac85,...]
    +                                             ! : | + !   : 2 =
__vfprintf  (in libsystem_c.dylib) + 148  [0x7fffde80844b]
    +                                             ! : | + !   : | 2 =
localeconv_l  (in libsystem_c.dylib) + 426,7  =
[0x7fffde7f75de,0x7fffde7f743b]
    +                                             ! : | + !   : 2 =
__vfprintf  (in libsystem_c.dylib) + 17634  [0x7fffde80c899]
    +                                             ! : | + !   : | 1 =
__sfvwrite  (in libsystem_c.dylib) + 438  [0x7fffde802438]
    +                                             ! : | + !   : | + 1 =
_platform_memmove$VARIANT$Haswell  (in libsystem_platform.dylib) + 186  =
[0x7fffde99ff5a]
    +                                             ! : | + !   : | 1 =
__sfvwrite  (in libsystem_c.dylib) + 442  [0x7fffde80243c]
    +                                             ! : | + !   : 1 =
__vfprintf  (in libsystem_c.dylib) + 8835  [0x7fffde80a63a]
    +                                             ! : | + !   :   1 =
__ultoa  (in libsystem_c.dylib) + 238  [0x7fffde80cf00]
    +                                             ! : | + !   1 =
__v2printf  (in libsystem_c.dylib) + 694  [0x7fffde83241e]
    +                                             ! : | + 1 sprintf  (in =
libsystem_c.dylib) + 70  [0x7fffde806e78]
    +                                             ! : | 12 =
font_unparse_xlfd  (in Emacs-x86_64-10_9) + 936  [0x100147728]
    +                                             ! : | + 11 sprintf  =
(in libsystem_c.dylib) + 186  [0x7fffde806eec]
    +                                             ! : | + ! 11 =
vsprintf_l  (in libsystem_c.dylib) + 368  [0x7fffde816b50]
    +                                             ! : | + !   9 =
__v2printf  (in libsystem_c.dylib) + 699  [0x7fffde832423]
    +                                             ! : | + !   : 8 =
__vfprintf  (in libsystem_c.dylib) + 12010,17645,...  =
[0x7fffde80b2a1,0x7fffde80c8a4,...]
    +                                             ! : | + !   : 1 =
__vfprintf  (in libsystem_c.dylib) + 17634  [0x7fffde80c899]
    +                                             ! : | + !   :   1 =
__sfvwrite  (in libsystem_c.dylib) + 438  [0x7fffde802438]
    +                                             ! : | + !   2 =
__v2printf  (in libsystem_c.dylib) + 117,13  =
[0x7fffde8321dd,0x7fffde832175]
    +                                             ! : | + 1 sprintf  (in =
libsystem_c.dylib) + 6  [0x7fffde806e38]
    +                                             ! : | 10 =
font_unparse_xlfd  (in Emacs-x86_64-10_9) + 438,555,...  =
[0x100147536,0x1001475ab,...]
    +                                             ! : | 1 =
font_unparse_xlfd  (in Emacs-x86_64-10_9) + 413  [0x10014751d]
    +                                             ! : |   1 =
font_style_symbolic  (in Emacs-x86_64-10_9) + 100  [0x100147d64]
    +                                             ! : 47 =
font_build_object  (in Emacs-x86_64-10_9) + 56  [0x100146f78]
    +                                             ! : | 38 =
font_make_object  (in Emacs-x86_64-10_9) + 43  [0x100146e8b]
    +                                             ! : | + 37 =
allocate_pseudovector  (in Emacs-x86_64-10_9) + 34  [0x10011a5b2]
    +                                             ! : | + ! 32 =
allocate_vectorlike  (in Emacs-x86_64-10_9) + 366,269,...  =
[0x10011a43e,0x10011a3dd,...]
    +                                             ! : | + ! 4 =
allocate_vectorlike  (in Emacs-x86_64-10_9) + 359  [0x10011a437]
    +                                             ! : | + ! : 4 =
mem_insert  (in Emacs-x86_64-10_9) + 113,171  [0x100121541,0x10012157b]
    +                                             ! : | + ! 1 =
allocate_vectorlike  (in Emacs-x86_64-10_9) + 305  [0x10011a401]
    +                                             ! : | + !   1 =
unexec_malloc  (in Emacs-x86_64-10_9) + 29  [0x10017432d]
    +                                             ! : | + !     1 malloc =
 (in libsystem_malloc.dylib) + 24  [0x7fffde90e200]
    +                                             ! : | + !       1 =
malloc_zone_malloc  (in libsystem_malloc.dylib) + 107  [0x7fffde90f282]
    +                                             ! : | + !         1 =
szone_malloc_should_clear  (in libsystem_malloc.dylib) + 1649  =
[0x7fffde90f953]
    +                                             ! : | + !           1 =
small_malloc_from_free_list  (in libsystem_malloc.dylib) + 513  =
[0x7fffde911985]
    +                                             ! : | + 1 =
allocate_pseudovector  (in Emacs-x86_64-10_9) + 53  [0x10011a5c5]
    +                                             ! : | +   1 =
_platform_bzero$VARIANT$Haswell  (in libsystem_platform.dylib) + 0  =
[0x7fffde9a0ba0]
    +                                             ! : | 9 =
font_make_object  (in Emacs-x86_64-10_9) + 176  [0x100146f10]
    +                                             ! : |   5 Fcopy_alist  =
(in Emacs-x86_64-10_9) + 59  [0x10013f42b]
    +                                             ! : |   ! 3 concat  =
(in Emacs-x86_64-10_9) + 1085  [0x10013e37d]
    +                                             ! : |   ! : 3 =
Fmake_list  (in Emacs-x86_64-10_9) + 1,243,...  =
[0x100119e91,0x100119f83,...]
    +                                             ! : |   ! 2 concat  =
(in Emacs-x86_64-10_9) + 1400,1212  [0x10013e4b8,0x10013e3fc]
    +                                             ! : |   4 Fcopy_alist  =
(in Emacs-x86_64-10_9) + 110  [0x10013f45e]
    +                                             ! : |     4 Fcons  (in =
Emacs-x86_64-10_9) + 64  [0x100118f70]
    +                                             ! : |       2 =
lisp_align_malloc  (in Emacs-x86_64-10_9) + 208  [0x100118ec0]
    +                                             ! : |       : 1 =
mem_insert  (in Emacs-x86_64-10_9) + 129  [0x100121551]
    +                                             ! : |       : | 1 =
unexec_malloc  (in Emacs-x86_64-10_9) + 29  [0x10017432d]
    +                                             ! : |       : |   1 =
malloc  (in libsystem_malloc.dylib) + 24  [0x7fffde90e200]
    +                                             ! : |       : |     1 =
malloc_zone_malloc  (in libsystem_malloc.dylib) + 107  [0x7fffde90f282]
    +                                             ! : |       : |       =
1 szone_malloc_should_clear  (in libsystem_malloc.dylib) + 164  =
[0x7fffde90f386]
    +                                             ! : |       : 1 =
mem_insert  (in Emacs-x86_64-10_9) + 113  [0x100121541]
    +                                             ! : |       2 =
lisp_align_malloc  (in Emacs-x86_64-10_9) + 96,154  =
[0x100118e50,0x100118e8a]
    +                                             ! : 43 =
font_build_object  (in Emacs-x86_64-10_9) + 706  [0x100147202]
    +                                             ! : | 42 snprintf  (in =
libsystem_c.dylib) + 188  [0x7fffde806d83]
    +                                             ! : | + 42 vsnprintf_l =
 (in libsystem_c.dylib) + 41  [0x7fffde81697d]
    +                                             ! : | +   36 =
_vsnprintf  (in libsystem_c.dylib) + 586  [0x7fffde81692a]
    +                                             ! : | +   ! 34 =
__v2printf  (in libsystem_c.dylib) + 699  [0x7fffde832423]
    +                                             ! : | +   ! : 22 =
__vfprintf  (in libsystem_c.dylib) + 428,12010,...  =
[0x7fffde808563,0x7fffde80b2a1,...]
    +                                             ! : | +   ! : 9 =
__vfprintf  (in libsystem_c.dylib) + 17634  [0x7fffde80c899]
    +                                             ! : | +   ! : | 4 =
__sfvwrite  (in libsystem_c.dylib) + 438  [0x7fffde802438]
    +                                             ! : | +   ! : | + 4 =
_platform_memmove$VARIANT$Haswell  (in libsystem_platform.dylib) + =
151,217,...  [0x7fffde99ff37,0x7fffde99ff79,...]
    +                                             ! : | +   ! : | 4 =
__sfvwrite  (in libsystem_c.dylib) + 438,245,...  =
[0x7fffde802438,0x7fffde802377,...]
    +                                             ! : | +   ! : | 1 =
DYLD-STUB$$sigvec__  (in libsystem_c.dylib) + 0  [0x7fffde8488a4]
    +                                             ! : | +   ! : 2 =
__vfprintf  (in libsystem_c.dylib) + 17876  [0x7fffde80c98b]
    +                                             ! : | +   ! : | 2 free =
 (in libsystem_malloc.dylib) + 13,6  [0x7fffde910de2,0x7fffde910ddb]
    +                                             ! : | +   ! : 1 =
__vfprintf  (in libsystem_c.dylib) + 5701  [0x7fffde8099fc]
    +                                             ! : | +   ! :   1 =
strlen  (in libsystem_c.dylib) + 14  [0x7fffde7c3b4e]
    +                                             ! : | +   ! 2 =
__v2printf  (in libsystem_c.dylib) + 8,131  =
[0x7fffde832170,0x7fffde8321eb]
    +                                             ! : | +   6 _vsnprintf =
 (in libsystem_c.dylib) + 526,550,...  =
[0x7fffde8168ee,0x7fffde816906,...]
    +                                             ! : | 1 snprintf  (in =
libsystem_c.dylib) + 156  [0x7fffde806d63]
    +                                             ! : |   1 =
pthread_getspecific  (in libsystem_pthread.dylib) + 9  [0x7fffde9a49df]
    +                                             ! : 33 =
font_build_object  (in Emacs-x86_64-10_9) + 1012  [0x100147334]
    +                                             ! : | 17 make_string  =
(in Emacs-x86_64-10_9) + 76  [0x100118a8c]
    +                                             ! : | + 16 =
make_uninit_multibyte_string  (in Emacs-x86_64-10_9) + 304  =
[0x100118610]
    +                                             ! : | + ! 14 =
allocate_string_data  (in Emacs-x86_64-10_9) + 373,290,...  =
[0x100118235,0x1001181e2,...]
    +                                             ! : | + ! 2 =
allocate_string_data  (in Emacs-x86_64-10_9) + 248  [0x1001181b8]
    +                                             ! : | + !   1 =
unexec_malloc  (in Emacs-x86_64-10_9) + 29  [0x10017432d]
    +                                             ! : | + !   | 1 malloc =
 (in libsystem_malloc.dylib) + 24  [0x7fffde90e200]
    +                                             ! : | + !   |   1 =
malloc_zone_malloc  (in libsystem_malloc.dylib) + 107  [0x7fffde90f282]
    +                                             ! : | + !   |     1 =
szone_malloc_should_clear  (in libsystem_malloc.dylib) + 2822  =
[0x7fffde90fde8]
    +                                             ! : | + !   1 =
unexec_malloc  (in Emacs-x86_64-10_9) + 1  [0x100174311]
    +                                             ! : | + 1 =
make_uninit_multibyte_string  (in Emacs-x86_64-10_9) + 80  [0x100118530]
    +                                             ! : | +   1 =
unexec_malloc  (in Emacs-x86_64-10_9) + 0  [0x100174310]
    +                                             ! : | 16 make_string  =
(in Emacs-x86_64-10_9) + 32  [0x100118a60]
    +                                             ! : |   16 =
parse_str_as_multibyte  (in Emacs-x86_64-10_9) + 64,324,...  =
[0x100096fa0,0x1000970a4,...]
    +                                             ! : 19 =
font_build_object  (in Emacs-x86_64-10_9) + 112  [0x100146fb0]
    +                                             ! : | 14 make_string  =
(in Emacs-x86_64-10_9) + 32  [0x100118a60]
    +                                             ! : | + 14 =
parse_str_as_multibyte  (in Emacs-x86_64-10_9) + 372,324,...  =
[0x1000970d4,0x1000970a4,...]
    +                                             ! : | 5 make_string  =
(in Emacs-x86_64-10_9) + 76  [0x100118a8c]
    +                                             ! : |   2 =
make_uninit_multibyte_string  (in Emacs-x86_64-10_9) + 112  =
[0x100118550]
    +                                             ! : |   ! 2 mem_insert =
 (in Emacs-x86_64-10_9) + 163  [0x100121573]
    +                                             ! : |   2 =
make_uninit_multibyte_string  (in Emacs-x86_64-10_9) + 184,6  =
[0x100118598,0x1001184e6]
    +                                             ! : |   1 =
make_uninit_multibyte_string  (in Emacs-x86_64-10_9) + 304  =
[0x100118610]
    +                                             ! : |     1 =
allocate_string_data  (in Emacs-x86_64-10_9) + 373  [0x100118235]
    +                                             ! : 11 =
font_build_object  (in Emacs-x86_64-10_9) + 480  [0x100147120]
    +                                             ! : | 10 snprintf  (in =
libsystem_c.dylib) + 188  [0x7fffde806d83]
    +                                             ! : | + 10 vsnprintf_l =
 (in libsystem_c.dylib) + 41  [0x7fffde81697d]
    +                                             ! : | +   8 _vsnprintf =
 (in libsystem_c.dylib) + 586  [0x7fffde81692a]
    +                                             ! : | +   ! 7 =
__v2printf  (in libsystem_c.dylib) + 699  [0x7fffde832423]
    +                                             ! : | +   ! : 3 =
__vfprintf  (in libsystem_c.dylib) + 17634  [0x7fffde80c899]
    +                                             ! : | +   ! : | 1 =
DYLD-STUB$$_platform_memmove  (in libsystem_platform.dylib) + 0  =
[0x7fffde9a1348]
    +                                             ! : | +   ! : | 1 =
__sfvwrite  (in libsystem_c.dylib) + 438  [0x7fffde802438]
    +                                             ! : | +   ! : | + 1 =
_platform_memmove$VARIANT$Haswell  (in libsystem_platform.dylib) + 151  =
[0x7fffde99ff37]
    +                                             ! : | +   ! : | 1 =
__sfvwrite  (in libsystem_c.dylib) + 214  [0x7fffde802358]
    +                                             ! : | +   ! : 3 =
__vfprintf  (in libsystem_c.dylib) + 12010,744,...  =
[0x7fffde80b2a1,0x7fffde80869f,...]
    +                                             ! : | +   ! : 1 =
__vfprintf  (in libsystem_c.dylib) + 8835  [0x7fffde80a63a]
    +                                             ! : | +   ! :   1 =
__ultoa  (in libsystem_c.dylib) + 207  [0x7fffde80cee1]
    +                                             ! : | +   ! 1 =
__v2printf  (in libsystem_c.dylib) + 56  [0x7fffde8321a0]
    +                                             ! : | +   2 _vsnprintf =
 (in libsystem_c.dylib) + 92,534  [0x7fffde81673c,0x7fffde8168f6]
    +                                             ! : | 1 snprintf  (in =
libsystem_c.dylib) + 96  [0x7fffde806d27]
    +                                             ! : 10 =
font_build_object  (in Emacs-x86_64-10_9) + 884  [0x1001472b4]
    +                                             ! : | 9 snprintf  (in =
libsystem_c.dylib) + 188  [0x7fffde806d83]
    +                                             ! : | + 9 vsnprintf_l  =
(in libsystem_c.dylib) + 41  [0x7fffde81697d]
    +                                             ! : | +   6 _vsnprintf =
 (in libsystem_c.dylib) + 586  [0x7fffde81692a]
    +                                             ! : | +   ! 6 =
__v2printf  (in libsystem_c.dylib) + 699  [0x7fffde832423]
    +                                             ! : | +   !   5 =
__vfprintf  (in libsystem_c.dylib) + 17634  [0x7fffde80c899]
    +                                             ! : | +   !   : 3 =
__sfvwrite  (in libsystem_c.dylib) + 505,214  =
[0x7fffde80247b,0x7fffde802358]
    +                                             ! : | +   !   : 2 =
__sfvwrite  (in libsystem_c.dylib) + 438  [0x7fffde802438]
    +                                             ! : | +   !   :   2 =
_platform_memmove$VARIANT$Haswell  (in libsystem_platform.dylib) + =
210,71  [0x7fffde99ff72,0x7fffde99fee7]
    +                                             ! : | +   !   1 =
__vfprintf  (in libsystem_c.dylib) + 340  [0x7fffde80850b]
    +                                             ! : | +   3 _vsnprintf =
 (in libsystem_c.dylib) + 51,615,...  =
[0x7fffde816713,0x7fffde816947,...]
    +                                             ! : | 1 snprintf  (in =
libsystem_c.dylib) + 6  [0x7fffde806ccd]
    +                                             ! : 7 =
font_build_object  (in Emacs-x86_64-10_9) + 317  [0x10014707d]
    +                                             ! : | 6 snprintf  (in =
libsystem_c.dylib) + 188  [0x7fffde806d83]
    +                                             ! : | + 6 vsnprintf_l  =
(in libsystem_c.dylib) + 41  [0x7fffde81697d]
    +                                             ! : | +   5 _vsnprintf =
 (in libsystem_c.dylib) + 586  [0x7fffde81692a]
    +                                             ! : | +   ! 4 =
__v2printf  (in libsystem_c.dylib) + 699  [0x7fffde832423]
    +                                             ! : | +   ! : 4 =
__vfprintf  (in libsystem_c.dylib) + 8,473,...  =
[0x7fffde8083bf,0x7fffde808590,...]
    +                                             ! : | +   ! 1 =
__v2printf  (in libsystem_c.dylib) + 8  [0x7fffde832170]
    +                                             ! : | +   1 _vsnprintf =
 (in libsystem_c.dylib) + 394  [0x7fffde81686a]
    +                                             ! : | 1 snprintf  (in =
libsystem_c.dylib) + 202  [0x7fffde806d91]
    +                                             ! : 6 =
font_build_object  (in Emacs-x86_64-10_9) + 966  [0x100147306]
    +                                             ! : | 6 snprintf  (in =
libsystem_c.dylib) + 188  [0x7fffde806d83]
    +                                             ! : |   6 vsnprintf_l  =
(in libsystem_c.dylib) + 41  [0x7fffde81697d]
    +                                             ! : |     6 _vsnprintf =
 (in libsystem_c.dylib) + 586  [0x7fffde81692a]
    +                                             ! : |       5 =
__v2printf  (in libsystem_c.dylib) + 699  [0x7fffde832423]
    +                                             ! : |       + 4 =
__vfprintf  (in libsystem_c.dylib) + 428,368,...  =
[0x7fffde808563,0x7fffde808527,...]
    +                                             ! : |       + 1 =
__vfprintf  (in libsystem_c.dylib) + 17820  [0x7fffde80c953]
    +                                             ! : |       +   1 =
__sfvwrite  (in libsystem_c.dylib) + 438  [0x7fffde802438]
    +                                             ! : |       +     1 =
_platform_memmove$VARIANT$Haswell  (in libsystem_platform.dylib) + 71  =
[0x7fffde99fee7]
    +                                             ! : |       1 =
__v2printf  (in libsystem_c.dylib) + 117  [0x7fffde8321dd]
    +                                             ! : 2 =
font_build_object  (in Emacs-x86_64-10_9) + 451,490  =
[0x100147103,0x10014712a]
    +                                             ! : 1 =
DYLD-STUB$$snprintf  (in Emacs-x86_64-10_9) + 0  [0x1001de86e]
    +                                             ! : 1 =
font_build_object  (in Emacs-x86_64-10_9) + 237  [0x10014702d]
    +                                             ! :   1 =
font_style_symbolic  (in Emacs-x86_64-10_9) + 131  [0x100147d83]
    +                                             ! 213 macfont_open  =
(in Emacs-x86_64-10_9) + 147  [0x1001c8c73]
    +                                             ! : 178 =
CTFontCreateWithName  (in CoreText) + 97  [0x7fffca550c7d]
    +                                             ! : | 173 =
TFont::TFont(__CFString const*, double, CGAffineTransform const*, char =
const*, unsigned long)  (in CoreText) + 29  [0x7fffca550cb5]
    +                                             ! : | + 163 =
TFont::InitDescriptor(__CFString const*, char const*, unsigned long)  =
(in CoreText) + 236  [0x7fffca550ed0]
    +                                             ! : | + ! 156 =
TDescriptorSource::CopyFontDescriptorPerPostScriptName(__CFString =
const*, unsigned long, unsigned long) const  (in CoreText) + 82  =
[0x7fffca5e5ff8]
    +                                             ! : | + ! : 129 =
TDescriptorSource::CopyCachedDescriptor(__CFString const*, unsigned =
long, TCFRef<__CTFontDescriptor const*>&) const  (in CoreText) + 192  =
[0x7fffca551018]
    +                                             ! : | + ! : | 89 =
TDescriptorSource::CopyDescriptor(__CFURL const*, bool, __CFString =
const*) const  (in CoreText) + 56  [0x7fffca5510d6]
    +                                             ! : | + ! : | + 64 =
-[NSCache setObject:forKey:cost:]  (in CoreFoundation) + 162  =
[0x7fffc8fbddd2]
    +                                             ! : | + ! : | + ! 62 =
-[NSObject conformsToProtocol:]  (in libobjc.A.dylib) + 52  =
[0x7fffdde9f3a1]
    +                                             ! : | + ! : | + ! : 24 =
class_conformsToProtocol  (in libobjc.A.dylib) + 161  [0x7fffdde9f455]
    +                                             ! : | + ! : | + ! : | =
20 getProtocol(char const*)  (in libobjc.A.dylib) + 26  [0x7fffdde964f1]
    +                                             ! : | + ! : | + ! : | =
+ 17 NXMapGet  (in libobjc.A.dylib) + 17  [0x7fffdde96542]
    +                                             ! : | + ! : | + ! : | =
+ ! 11 _NXMapMember(_NXMapTable*, void const*, void**)  (in =
libobjc.A.dylib) + 57,104,...  [0x7fffdde9658f,0x7fffdde965be,...]
    +                                             ! : | + ! : | + ! : | =
+ ! 6 _NXMapMember(_NXMapTable*, void const*, void**)  (in =
libobjc.A.dylib) + 38  [0x7fffdde9657c]
    +                                             ! : | + ! : | + ! : | =
+ !   6 _mapStrHash(_NXMapTable*, void const*)  (in libobjc.A.dylib) + =
97,41,...  [0x7fffdde96693,0x7fffdde9665b,...]
    +                                             ! : | + ! : | + ! : | =
+ 3 NXMapGet  (in libobjc.A.dylib) + 28,36,...  =
[0x7fffdde9654d,0x7fffdde96555,...]
    +                                             ! : | + ! : | + ! : | =
2 getProtocol(char const*)  (in libobjc.A.dylib) + 15  [0x7fffdde964e6]
    +                                             ! : | + ! : | + ! : | =
+ 2 protocols()  (in libobjc.A.dylib) + 95,16  =
[0x7fffdde96425,0x7fffdde963d6]
    +                                             ! : | + ! : | + ! : | =
2 getProtocol(char const*)  (in libobjc.A.dylib) + 10  [0x7fffdde964e1]
    +                                             ! : | + ! : | + ! : 17 =
class_conformsToProtocol  (in libobjc.A.dylib) + 276  [0x7fffdde9f4c8]
    +                                             ! : | + ! : | + ! : | =
14 rwlock_tt<false>::unlockRead()  (in libobjc.A.dylib) + 11  =
[0x7fffdde9abf7]
    +                                             ! : | + ! : | + ! : | =
+ 14 pthread_rwlock_unlock  (in libsystem_pthread.dylib) + 384,219,...  =
[0x7fffde9a5139,0x7fffde9a5094,...]
    +                                             ! : | + ! : | + ! : | =
2 rwlock_tt<false>::unlockRead()  (in libobjc.A.dylib) + 67,26  =
[0x7fffdde9ac2f,0x7fffdde9ac06]
    +                                             ! : | + ! : | + ! : | =
1 DYLD-STUB$$pthread_rwlock_unlock  (in libobjc.A.dylib) + 0  =
[0x7fffddeb4874]
    +                                             ! : | + ! : | + ! : 11 =
class_conformsToProtocol  (in libobjc.A.dylib) + 187  [0x7fffdde9f46f]
    +                                             ! : | + ! : | + ! : | =
5 protocol_conformsToProtocol_nolock(protocol_t*, protocol_t*)  (in =
libobjc.A.dylib) + 74,94,...  [0x7fffdde9f650,0x7fffdde9f664,...]
    +                                             ! : | + ! : | + ! : | =
2 protocol_conformsToProtocol_nolock(protocol_t*, protocol_t*)  (in =
libobjc.A.dylib) + 79  [0x7fffdde9f655]
    +                                             ! : | + ! : | + ! : | =
+ 1 getProtocol(char const*)  (in libobjc.A.dylib) + 15  =
[0x7fffdde964e6]
    +                                             ! : | + ! : | + ! : | =
+ ! 1 protocols()  (in libobjc.A.dylib) + 16  [0x7fffdde963d6]
    +                                             ! : | + ! : | + ! : | =
+ 1 getProtocol(char const*)  (in libobjc.A.dylib) + 26  =
[0x7fffdde964f1]
    +                                             ! : | + ! : | + ! : | =
+   1 NXMapGet  (in libobjc.A.dylib) + 17  [0x7fffdde96542]
    +                                             ! : | + ! : | + ! : | =
+     1 _NXMapMember(_NXMapTable*, void const*, void**)  (in =
libobjc.A.dylib) + 46  [0x7fffdde96584]
    +                                             ! : | + ! : | + ! : | =
2 protocol_conformsToProtocol_nolock(protocol_t*, protocol_t*)  (in =
libobjc.A.dylib) + 114  [0x7fffdde9f678]
    +                                             ! : | + ! : | + ! : | =
+ 1 protocol_conformsToProtocol_nolock(protocol_t*, protocol_t*)  (in =
libobjc.A.dylib) + 43  [0x7fffdde9f631]
    +                                             ! : | + ! : | + ! : | =
+ ! 1 _platform_strcmp  (in libsystem_platform.dylib) + 33  =
[0x7fffde99c2a1]
    +                                             ! : | + ! : | + ! : | =
+ 1 protocol_conformsToProtocol_nolock(protocol_t*, protocol_t*)  (in =
libobjc.A.dylib) + 11  [0x7fffdde9f611]
    +                                             ! : | + ! : | + ! : | =
1 protocol_conformsToProtocol_nolock(protocol_t*, protocol_t*)  (in =
libobjc.A.dylib) + 43  [0x7fffdde9f631]
    +                                             ! : | + ! : | + ! : | =
+ 1 _platform_strcmp  (in libsystem_platform.dylib) + 38  =
[0x7fffde99c2a6]
    +                                             ! : | + ! : | + ! : | =
1 protocol_conformsToProtocol_nolock(protocol_t*, protocol_t*)  (in =
libobjc.A.dylib) + 99  [0x7fffdde9f669]
    +                                             ! : | + ! : | + ! : |  =
 1 _platform_strcmp  (in libsystem_platform.dylib) + 44  =
[0x7fffde99c2ac]
    +                                             ! : | + ! : | + ! : 8 =
class_conformsToProtocol  (in libobjc.A.dylib) + 56  [0x7fffdde9f3ec]
    +                                             ! : | + ! : | + ! : | =
8 rwlock_tt<false>::read()  (in libobjc.A.dylib) + 112  [0x7fffdde9a998]
    +                                             ! : | + ! : | + ! : |  =
 7 _pthread_rwlock_lock  (in libsystem_pthread.dylib) + 410,347,...  =
[0x7fffde9a4d33,0x7fffde9a4cf4,...]
    +                                             ! : | + ! : | + ! : |  =
 1 pthread_rwlock_rdlock  (in libsystem_pthread.dylib) + 0  =
[0x7fffde9a5231]
    +                                             ! : | + ! : | + ! : 2 =
class_conformsToProtocol  (in libobjc.A.dylib) + 284,156  =
[0x7fffdde9f4d0,0x7fffdde9f450]
    +                                             ! : | + ! : | + ! 2 =
-[NSObject conformsToProtocol:]  (in libobjc.A.dylib) + 32,60  =
[0x7fffdde9f38d,0x7fffdde9f3a9]
    +                                             ! : | + ! : | + 17 =
-[NSCache setObject:forKey:cost:]  (in CoreFoundation) + 223  =
[0x7fffc8fbde0f]
    +                                             ! : | + ! : | + ! 10 =
cache_set_and_retain  (in libcache.dylib) + 1049  [0x7fffde6b2b05]
    +                                             ! : | + ! : | + ! : 8 =
_entry_get_optionally_checking_collisions  (in libcache.dylib) + 43  =
[0x7fffde6b3bec]
    +                                             ! : | + ! : | + ! : | =
7 __CFStringHash  (in CoreFoundation) + 183,200  =
[0x7fffc8f60137,0x7fffc8f60148]
    +                                             ! : | + ! : | + ! : | =
1 CFHash  (in CoreFoundation) + 43  [0x7fffc8f5ff1b]
    +                                             ! : | + ! : | + ! : 2 =
_entry_get_optionally_checking_collisions  (in libcache.dylib) + 114,72  =
[0x7fffde6b3c33,0x7fffde6b3c09]
    +                                             ! : | + ! : | + ! 2 =
cache_set_and_retain  (in libcache.dylib) + 175  [0x7fffde6b279b]
    +                                             ! : | + ! : | + ! : 1 =
_value_entry_get  (in libcache.dylib) + 27  [0x7fffde6b2eae]
    +                                             ! : | + ! : | + ! : | =
1 super_fast_hash  (in libcache.dylib) + 251  [0x7fffde6b4547]
    +                                             ! : | + ! : | + ! : 1 =
_value_entry_get  (in libcache.dylib) + 45  [0x7fffde6b2ec0]
    +                                             ! : | + ! : | + ! 1 =
cache_set_and_retain  (in libcache.dylib) + 85  [0x7fffde6b2741]
    +                                             ! : | + ! : | + ! : 1 =
__NSCacheKeyRetain  (in CoreFoundation) + 5  [0x7fffc8fbdeb5]
    +                                             ! : | + ! : | + ! 1 =
cache_set_and_retain  (in libcache.dylib) + 1412  [0x7fffde6b2c70]
    +                                             ! : | + ! : | + ! : 1 =
_value_entry_unmap  (in libcache.dylib) + 42  [0x7fffde6b2d7e]
    +                                             ! : | + ! : | + ! 1 =
cache_set_and_retain  (in libcache.dylib) + 1548  [0x7fffde6b2cf8]
    +                                             ! : | + ! : | + ! : 1 =
_entry_add_to_list  (in libcache.dylib) + 250  [0x7fffde6b41c3]
    +                                             ! : | + ! : | + ! 1 =
cache_set_and_retain  (in libcache.dylib) + 1603  [0x7fffde6b2d2f]
    +                                             ! : | + ! : | + ! : 1 =
cache_release  (in libcache.dylib) + 22  [0x7fffde6b25f2]
    +                                             ! : | + ! : | + ! 1 =
cache_set_and_retain  (in libcache.dylib) + 111  [0x7fffde6b275b]
    +                                             ! : | + ! : | + 4 =
cache_release_value  (in libcache.dylib) + 260,81,...  =
[0x7fffde6b2e92,0x7fffde6b2ddf,...]
    +                                             ! : | + ! : | + 2 =
cache_release_value  (in libcache.dylib) + 92  [0x7fffde6b2dea]
    +                                             ! : | + ! : | + ! 2 =
_value_entry_get  (in libcache.dylib) + 27  [0x7fffde6b2eae]
    +                                             ! : | + ! : | + !   2 =
super_fast_hash  (in libcache.dylib) + 97,59  =
[0x7fffde6b44ad,0x7fffde6b4487]
    +                                             ! : | + ! : | + 1 =
cache_release_value  (in libcache.dylib) + 81  [0x7fffde6b2ddf]
    +                                             ! : | + ! : | + ! 1 =
pthread_mutex_lock  (in libsystem_pthread.dylib) + 85  [0x7fffde9a43e1]
    +                                             ! : | + ! : | + 1 =
cache_release_value  (in libcache.dylib) + 249  [0x7fffde6b2e87]
    +                                             ! : | + ! : | +   1 =
cache_release  (in libcache.dylib) + 22  [0x7fffde6b25f2]
    +                                             ! : | + ! : | 40 =
TDescriptorSource::CopyDescriptor(__CFURL const*, bool, __CFString =
const*) const  (in CoreText) + 26  [0x7fffca5510b8]
    +                                             ! : | + ! : |   36 =
TDescriptorSource::CopyDescriptorUncached(__CFURL const*, bool, =
__CFString const*) const  (in CoreText) + 50  [0x7fffca551128]
    +                                             ! : | + ! : |   ! 28 =
TPurgeableCache::RetainedValueForKey(void const*)  (in CoreText) + 54  =
[0x7fffca5e4122]
    +                                             ! : | + ! : |   ! : 13 =
-[NSCache objectForKey:]  (in CoreFoundation) + 64  [0x7fffc8fbbd30]
    +                                             ! : | + ! : |   ! : | =
6 cache_get_and_retain  (in libcache.dylib) + 152  [0x7fffde6b215c]
    +                                             ! : | + ! : |   ! : | =
+ 4 _entry_get_optionally_checking_collisions  (in libcache.dylib) + 43  =
[0x7fffde6b3bec]
    +                                             ! : | + ! : |   ! : | =
+ ! 4 __CFStringHash  (in CoreFoundation) + 183,245,...  =
[0x7fffc8f60137,0x7fffc8f60175,...]
    +                                             ! : | + ! : |   ! : | =
+ 2 _entry_get_optionally_checking_collisions  (in libcache.dylib) + =
72,114  [0x7fffde6b3c09,0x7fffde6b3c33]
    +                                             ! : | + ! : |   ! : | =
5 cache_get_and_retain  (in libcache.dylib) + 388,23,...  =
[0x7fffde6b2248,0x7fffde6b20db,...]
    +                                             ! : | + ! : |   ! : | =
1 cache_get_and_retain  (in libcache.dylib) + 574  [0x7fffde6b2302]
    +                                             ! : | + ! : |   ! : | =
+ 1 _cache_update_limits  (in libcache.dylib) + 16  [0x7fffde6b2574]
    +                                             ! : | + ! : |   ! : | =
1 cache_get_and_retain  (in libcache.dylib) + 615  [0x7fffde6b232b]
    +                                             ! : | + ! : |   ! : |  =
 1 cache_release  (in libcache.dylib) + 22  [0x7fffde6b25f2]
    +                                             ! : | + ! : |   ! : 5 =
-[NSCache objectForKey:]  (in CoreFoundation) + 235  [0x7fffc8fbbddb]
    +                                             ! : | + ! : |   ! : | =
2 cache_release_value  (in libcache.dylib) + 222,49  =
[0x7fffde6b2e6c,0x7fffde6b2dbf]
    +                                             ! : | + ! : |   ! : | =
1 cache_release_value  (in libcache.dylib) + 81  [0x7fffde6b2ddf]
    +                                             ! : | + ! : |   ! : | =
+ 1 pthread_mutex_lock  (in libsystem_pthread.dylib) + 85  =
[0x7fffde9a43e1]
    +                                             ! : | + ! : |   ! : | =
1 cache_release_value  (in libcache.dylib) + 92  [0x7fffde6b2dea]
    +                                             ! : | + ! : |   ! : | =
+ 1 _value_entry_get  (in libcache.dylib) + 27  [0x7fffde6b2eae]
    +                                             ! : | + ! : |   ! : | =
+   1 super_fast_hash  (in libcache.dylib) + 223  [0x7fffde6b452b]
    +                                             ! : | + ! : |   ! : | =
1 cache_release_value  (in libcache.dylib) + 249  [0x7fffde6b2e87]
    +                                             ! : | + ! : |   ! : |  =
 1 cache_release  (in libcache.dylib) + 0  [0x7fffde6b25dc]
    +                                             ! : | + ! : |   ! : 4 =
-[NSCache objectForKey:]  (in CoreFoundation) + 209  [0x7fffc8fbbdc1]
    +                                             ! : | + ! : |   ! : | =
3 -[NSCTFontDescriptor retain]  (in UIFoundation) + 14  [0x7fffdbc9513c]
    +                                             ! : | + ! : |   ! : | =
+ 2 CFRetain  (in CoreFoundation) + 50,0  =
[0x7fffc8f5e222,0x7fffc8f5e1f0]
    +                                             ! : | + ! : |   ! : | =
+ 1 _CFRetain  (in CoreFoundation) + 90  [0x7fffc8f5e2ca]
    +                                             ! : | + ! : |   ! : | =
1 -[NSCTFontDescriptor retain]  (in UIFoundation) + 0  [0x7fffdbc9512e]
    +                                             ! : | + ! : |   ! : 3 =
objc_msgSend  (in libobjc.A.dylib) + 46,33  =
[0x7fffdde9906e,0x7fffdde99061]
    +                                             ! : | + ! : |   ! : 2 =
-[NSCache objectForKey:]  (in CoreFoundation) + 221  [0x7fffc8fbbdcd]
    +                                             ! : | + ! : |   ! : | =
2 objc_object::rootAutorelease2()  (in libobjc.A.dylib) + 0,35  =
[0x7fffdde9daba,0x7fffdde9dadd]
    +                                             ! : | + ! : |   ! : 1 =
-[NSCache objectForKey:]  (in CoreFoundation) + 83  [0x7fffc8fbbd43]
    +                                             ! : | + ! : |   ! :   =
1 objc_msgSend  (in libobjc.A.dylib) + 33  [0x7fffdde99061]
    +                                             ! : | + ! : |   ! 3 =
TPurgeableCache::RetainedValueForKey(void const*)  (in CoreText) + 65  =
[0x7fffca5e412d]
    +                                             ! : | + ! : |   ! : 2 =
TCFRef<void const*>::Retain(void const*)  (in CoreText) + 32  =
[0x7fffca551220]
    +                                             ! : | + ! : |   ! : | =
2 _CFRetain  (in CoreFoundation) + 90  [0x7fffc8f5e2ca]
    +                                             ! : | + ! : |   ! : 1 =
TCFRef<void const*>::Retain(void const*)  (in CoreText) + 0  =
[0x7fffca551200]
    +                                             ! : | + ! : |   ! 2 =
TPurgeableCache::RetainedValueForKey(void const*)  (in CoreText) + 32  =
[0x7fffca5e410c]
    +                                             ! : | + ! : |   ! : 2 =
objc_autoreleasePoolPush  (in libobjc.A.dylib) + 5,0  =
[0x7fffdde9be46,0x7fffdde9be41]
    +                                             ! : | + ! : |   ! 2 =
TPurgeableCache::RetainedValueForKey(void const*)  (in CoreText) + 73  =
[0x7fffca5e4135]
    +                                             ! : | + ! : |   ! : 1 =
(anonymous namespace)::AutoreleasePoolPage::pop(void*)  (in =
libobjc.A.dylib) + 781  [0x7fffdde9c3bd]
    +                                             ! : | + ! : |   ! : | =
1 objc_msgSend  (in libobjc.A.dylib) + 60  [0x7fffdde9907c]
    +                                             ! : | + ! : |   ! : 1 =
(anonymous namespace)::AutoreleasePoolPage::pop(void*)  (in =
libobjc.A.dylib) + 791  [0x7fffdde9c3c7]
    +                                             ! : | + ! : |   ! 1 =
TPurgeableCache::RetainedValueForKey(void const*)  (in CoreText) + 45  =
[0x7fffca5e4119]
    +                                             ! : | + ! : |   4 =
TDescriptorSource::CopyDescriptorUncached(__CFURL const*, bool, =
__CFString const*) const  (in CoreText) + 228,66,...  =
[0x7fffca5511da,0x7fffca551138,...]
    +                                             ! : | + ! : 12 =
TDescriptorSource::CopyCachedDescriptor(__CFString const*, unsigned =
long, TCFRef<__CTFontDescriptor const*>&) const  (in CoreText) + 57  =
[0x7fffca550f91]
    +                                             ! : | + ! : | 7 =
TDescriptorSource::HasMissedRequest(void const*, unsigned long, =
CFComparisonResult (*)(void const*, void const*, void*))  (in CoreText) =
+ 81  [0x7fffca5e4ad7]
    +                                             ! : | + ! : | + 4 =
std::__1::__hash_iterator<std::__1::__hash_node<TMissedRequest, void*>*> =
std::__1::__hash_table<TMissedRequest, TMissedRequestHasher, =
std::__1::equal_to<TMissedRequest>, std::__1::allocator<TMissedRequest> =
>::find<TMissedRequest>(TMissedRequest const&)  (in CoreText) + 30  =
[0x7fffca5e88ea]
    +                                             ! : | + ! : | + ! 4 =
TMissedRequestHasher::operator()(TMissedRequest const&) const  (in =
CoreText) + 17  [0x7fffca5e89b3]
    +                                             ! : | + ! : | + !   3 =
__CFStringHash  (in CoreFoundation) + 200,1667,...  =
[0x7fffc8f60148,0x7fffc8f60703,...]
    +                                             ! : | + ! : | + !   1 =
CFHash  (in CoreFoundation) + 0  [0x7fffc8f5fef0]
    +                                             ! : | + ! : | + 3 =
std::__1::__hash_iterator<std::__1::__hash_node<TMissedRequest, void*>*> =
std::__1::__hash_table<TMissedRequest, TMissedRequestHasher, =
std::__1::equal_to<TMissedRequest>, std::__1::allocator<TMissedRequest> =
>::find<TMissedRequest>(TMissedRequest const&)  (in CoreText) + 89,25  =
[0x7fffca5e8925,0x7fffca5e88e5]
    +                                             ! : | + ! : | 2 =
TDescriptorSource::HasMissedRequest(void const*, unsigned long, =
CFComparisonResult (*)(void const*, void const*, void*))  (in CoreText) =
+ 93,6  [0x7fffca5e4ae3,0x7fffca5e4a8c]
    +                                             ! : | + ! : | 1 =
DYLD-STUB$$OSSpinLockLock  (in CoreText) + 0  [0x7fffca6648d0]
    +                                             ! : | + ! : | 1 =
TDescriptorSource::HasMissedRequest(void const*, unsigned long, =
CFComparisonResult (*)(void const*, void const*, void*))  (in CoreText) =
+ 57  [0x7fffca5e4abf]
    +                                             ! : | + ! : | + 1 =
_CFRetain  (in CoreFoundation) + 90  [0x7fffc8f5e2ca]
    +                                             ! : | + ! : | 1 =
TDescriptorSource::HasMissedRequest(void const*, unsigned long, =
CFComparisonResult (*)(void const*, void const*, void*))  (in CoreText) =
+ 103  [0x7fffca5e4aed]
    +                                             ! : | + ! : |   1 =
CFRelease  (in CoreFoundation) + 50  [0x7fffc8f64b52]
    +                                             ! : | + ! : 9 =
TDescriptorSource::CopyCachedDescriptor(__CFString const*, unsigned =
long, TCFRef<__CTFontDescriptor const*>&) const  (in CoreText) + 116  =
[0x7fffca550fcc]
    +                                             ! : | + ! : | 6 =
TRequestCache::CopyResultForRequest(void const*, unsigned long, =
TCFRef<void const*>&, CFComparisonResult (*)(void const*, void const*, =
void*))  (in CoreText) + 143  [0x7fffca54ab09]
    +                                             ! : | + ! : | + 3 =
TRequestCacheNode::~TRequestCacheNode()  (in CoreText) + 51  =
[0x7fffca5e75e5]
    +                                             ! : | + ! : | + ! 2 =
_CFRelease  (in CoreFoundation) + 171  [0x7fffc90ac12b]
    +                                             ! : | + ! : | + ! 1 =
CFRelease  (in CoreFoundation) + 19  [0x7fffc8f64b33]
    +                                             ! : | + ! : | + 2 =
TRequestCacheNode::~TRequestCacheNode()  (in CoreText) + 25  =
[0x7fffca5e75cb]
    +                                             ! : | + ! : | + 1 =
DYLD-STUB$$CFRelease  (in CoreText) + 0  [0x7fffca664348]
    +                                             ! : | + ! : | 1 =
TRequestCache::CopyResultForRequest(void const*, unsigned long, =
TCFRef<void const*>&, CFComparisonResult (*)(void const*, void const*, =
void*))  (in CoreText) + 61  [0x7fffca54aab7]
    +                                             ! : | + ! : | + 1 =
CFRetain  (in CoreFoundation) + 19  [0x7fffc8f5e203]
    +                                             ! : | + ! : | 1 =
TRequestCache::CopyResultForRequest(void const*, unsigned long, =
TCFRef<void const*>&, CFComparisonResult (*)(void const*, void const*, =
void*))  (in CoreText) + 94  [0x7fffca54aad8]
    +                                             ! : | + ! : | + 1 =
TLRUCacheImp<TRequestCacheNode, 16ul>::FindNode(TRequestCacheNode =
const&)  (in CoreText) + 92  [0x7fffca54ab76]
    +                                             ! : | + ! : | 1 =
TRequestCache::CopyResultForRequest(void const*, unsigned long, =
TCFRef<void const*>&, CFComparisonResult (*)(void const*, void const*, =
void*))  (in CoreText) + 111  [0x7fffca54aae9]
    +                                             ! : | + ! : |   1 =
TCFRef<void const*>::Retain(void const*)  (in CoreText) + 35  =
[0x7fffca551223]
    +                                             ! : | + ! : 4 =
TDescriptorSource::CopyCachedDescriptor(__CFString const*, unsigned =
long, TCFRef<__CTFontDescriptor const*>&) const  (in CoreText) + 196,34  =
[0x7fffca55101c,0x7fffca550f7a]
    +                                             ! : | + ! : 1 =
TDescriptorSource::CopyCachedDescriptor(__CFString const*, unsigned =
long, TCFRef<__CTFontDescriptor const*>&) const  (in CoreText) + 153  =
[0x7fffca550ff1]
    +                                             ! : | + ! : | 1 =
CFGetTypeID  (in CoreFoundation) + 36  [0x7fffc8f84964]
    +                                             ! : | + ! : 1 =
TDescriptorSource::CopyCachedDescriptor(__CFString const*, unsigned =
long, TCFRef<__CTFontDescriptor const*>&) const  (in CoreText) + 307  =
[0x7fffca55108b]
    +                                             ! : | + ! :   1 =
CFRelease  (in CoreFoundation) + 0  [0x7fffc8f64b20]
    +                                             ! : | + ! 6 =
TDescriptorSource::CopyFontDescriptorPerPostScriptName(__CFString =
const*, unsigned long, unsigned long) const  (in CoreText) + 197  =
[0x7fffca5e606b]
    +                                             ! : | + ! : 6 =
TSplicedFontStash::TSplicedFontStash()  (in CoreText) + 141  =
[0x7fffca54ac79]
    +                                             ! : | + ! :   5 =
TSplicedFontStashImp::CreateSplicedFonts()  (in CoreText) + 210  =
[0x7fffca54ad8a]
    +                                             ! : | + ! :   | 5 =
XTCopyFontsWithProperties  (in libFontRegistry.dylib) + 104  =
[0x7fffc7ab86fd]
    +                                             ! : | + ! :   |   5 =
TLocalFontRegistryImp::CopyPropertiesForFontsMatchingRequest(__CFDictionar=
y const*, __CFSet const*, TFontQueryOptions const&) const  (in =
libFontRegistry.dylib) + 47  [0x7fffc7accc2d]
    +                                             ! : | + ! :   |     5 =
TLocalFontRegistryImp::CopyFontsForRequest(__CFDictionary const*, =
TFontQueryOptions const&) const  (in libFontRegistry.dylib) + 25  =
[0x7fffc7acc041]
    +                                             ! : | + ! :   |       =
5 __CFArray const* =
TFontRegistryImp::CopyFontRefsForRequest<TLocalFontRegistryImp, =
TClientFontEntity>(__CFDictionary const*, TFontQueryOptions const&) =
const  (in libFontRegistry.dylib) + 658  [0x7fffc7acc424]
    +                                             ! : | + ! :   |        =
 4 void =
TFontRegistryImp::CopyFontRefsWithPropertiesForRequest<TLocalFontRegistryI=
mp, TClientFontEntity>(__CFDictionary const*, TStackBuffer<void const*, =
30ul>&, TCFMutableSet&, bool) const  (in libFontRegistry.dylib) + 315  =
[0x7fffc7ad5d45]
    +                                             ! : | + ! :   |        =
 + 4 TFontEntity::MatchesProperty(__CFString const*, void const*) const  =
(in libFontRegistry.dylib) + 55  [0x7fffc7abba37]
    +                                             ! : | + ! :   |        =
 +   4 TClientFontEntity::CopyProperty(__CFString const*, bool) const  =
(in libFontRegistry.dylib) + 305  [0x7fffc7abc2df]
    +                                             ! : | + ! :   |        =
 +     3 TClientFontEntity::CopyFormat() const  (in =
libFontRegistry.dylib) + 99  [0x7fffc7ad9815]
    +                                             ! : | + ! :   |        =
 +     ! 3 CFURLCopyResourcePropertyForKey  (in CoreFoundation) + 238  =
[0x7fffc8fc2b9e]
    +                                             ! : | + ! :   |        =
 +     !   3 _FSURLCopyResourcePropertyForKeyInternal(__CFURL const*, =
__CFString const*, void*, void*, __CFError**, unsigned char)  (in =
CoreServicesInternal) + 199  [0x7fffd4964069]
    +                                             ! : | + ! :   |        =
 +     !     3 prepareValuesForBitmap(__CFURL const*, __FileCache*, =
_FilePropertyBitmap*, __CFError**)  (in CoreServicesInternal) + 227  =
[0x7fffd49663b1]
    +                                             ! : | + ! :   |        =
 +     !       1 LSPropertyProviderPrepareValues(__CFURL const*, =
__FileCache*, __CFString const* const*, void const**, long, void const*, =
__CFError**)  (in LaunchServices) + 502  [0x7fffca194e12]
    +                                             ! : | + ! :   |        =
 +     !       : 1 prepareTypeIdentifierValue(_LSOnDemandContext&, =
FSNode*, __FileCache*, __CFString const*, __CFError**)  (in =
LaunchServices) + 106  [0x7fffca19e6f3]
    +                                             ! : | + ! :   |        =
 +     !       :   1 copyAttributeValueForKey(_LSOnDemandContext&, =
FSNode*, __FileCache*, __CFString const*, void const**, __CFError**)  =
(in LaunchServices) + 247  [0x7fffca19e838]
    +                                             ! : | + ! :   |        =
 +     !       :     1 _LSFindBundleAndCopyNodeAttributes  (in =
LaunchServices) + 179  [0x7fffca19e9be]
    +                                             ! : | + ! :   |        =
 +     !       :       1 _LSCopyNodeAttributes  (in LaunchServices) + =
228  [0x7fffca19ec0a]
    +                                             ! : | + ! :   |        =
 +     !       :         1 CFDictionaryAddValue  (in CoreFoundation) + =
221  [0x7fffc8f98dad]
    +                                             ! : | + ! :   |        =
 +     !       :           1 CFBasicHashAddValue  (in CoreFoundation) + =
311  [0x7fffc8f5f127]
    +                                             ! : | + ! :   |        =
 +     !       :             1 __CFBasicHashAddValue  (in =
CoreFoundation) + 103  [0x7fffc8f60927]
    +                                             ! : | + ! :   |        =
 +     !       :               1 __CFBasicHashRehash  (in =
CoreFoundation) + 288  [0x7fffc8f5a660]
    +                                             ! : | + ! :   |        =
 +     !       :                 1 malloc_zone_malloc  (in =
libsystem_malloc.dylib) + 107  [0x7fffde90f282]
    +                                             ! : | + ! :   |        =
 +     !       :                   1 szone_malloc_should_clear  (in =
libsystem_malloc.dylib) + 75  [0x7fffde90f32d]
    +                                             ! : | + ! :   |        =
 +     !       1 LSPropertyProviderPrepareValues(__CFURL const*, =
__FileCache*, __CFString const* const*, void const**, long, void const*, =
__CFError**)  (in LaunchServices) + 589  [0x7fffca194e69]
    +                                             ! : | + ! :   |        =
 +     !       : 1 _CFRelease  (in CoreFoundation) + 1093  =
[0x7fffc90ac4c5]
    +                                             ! : | + ! :   |        =
 +     !       :   1 free_tiny  (in libsystem_malloc.dylib) + 683  =
[0x7fffde9270e1]
    +                                             ! : | + ! :   |        =
 +     !       1 corePropertyProviderPrepareValues(__CFURL const*, =
__FileCache*, __CFString const* const*, void const**, long, void const*, =
__CFError**)  (in CoreServicesInternal) + 621  [0x7fffd496dc87]
    +                                             ! : | + ! :   |        =
 +     !         1 __getattrlist  (in libsystem_kernel.dylib) + 10  =
[0x7fffde8bb42a]
    +                                             ! : | + ! :   |        =
 +     1 TClientFontEntity::CopyFormat() const  (in =
libFontRegistry.dylib) + 142  [0x7fffc7ad9840]
    +                                             ! : | + ! :   |        =
 +       1 UTTypeConformsTo  (in LaunchServices) + 57  [0x7fffca19e015]
    +                                             ! : | + ! :   |        =
 +         1 _XCFStringEqualCaseInsensitive  (in LaunchServices) + 14  =
[0x7fffca1d2ed2]
    +                                             ! : | + ! :   |        =
 +           1 CFStringCompare  (in CoreFoundation) + 27  =
[0x7fffc8f7a11b]
    +                                             ! : | + ! :   |        =
 1 void =
TFontRegistryImp::CopyFontRefsWithPropertiesForRequest<TLocalFontRegistryI=
mp, TClientFontEntity>(__CFDictionary const*, TStackBuffer<void const*, =
30ul>&, TCFMutableSet&, bool) const  (in libFontRegistry.dylib) + 447  =
[0x7fffc7ad5dc9]
    +                                             ! : | + ! :   |        =
   1 TClientFontEntity::~TClientFontEntity()  (in libFontRegistry.dylib) =
+ 57  [0x7fffc7abca07]
    +                                             ! : | + ! :   |        =
     1 _CFRelease  (in CoreFoundation) + 291  [0x7fffc90ac1a3]
    +                                             ! : | + ! :   |        =
       1 __CFURLDeallocate  (in CoreFoundation) + 100  [0x7fffc8f71f84]
    +                                             ! : | + ! :   |        =
         1 _CFRelease  (in CoreFoundation) + 291  [0x7fffc90ac1a3]
    +                                             ! : | + ! :   |        =
           1 _FileCacheFinalize(void const*)  (in CoreServicesInternal) =
+ 20  [0x7fffd496bd45]
    +                                             ! : | + ! :   |        =
             1 _FileCacheReleaseContents(__FileCache*, unsigned char, =
unsigned char, unsigned char)  (in CoreServicesInternal) + 214  =
[0x7fffd4966e8b]
    +                                             ! : | + ! :   |        =
               1 _CFRelease  (in CoreFoundation) + 291  [0x7fffc90ac1a3]
    +                                             ! : | + ! :   |        =
                 1 __CFBasicHashDrain  (in CoreFoundation) + 553  =
[0x7fffc8f7c969]
    +                                             ! : | + ! :   |        =
                   1 free_tiny  (in libsystem_malloc.dylib) + 671  =
[0x7fffde9270d5]
    +                                             ! : | + ! :   |        =
                     1 tiny_free_no_lock  (in libsystem_malloc.dylib) + =
1050  [0x7fffde926762]
    +                                             ! : | + ! :   |        =
                       1 get_tiny_free_size  (in libsystem_malloc.dylib) =
+ 75  [0x7fffde911de8]
    +                                             ! : | + ! :   1 =
TSplicedFontStashImp::CreateSplicedFonts()  (in CoreText) + 69  =
[0x7fffca54acfd]
    +                                             ! : | + ! :     1 =
CreateSyntheticSystemUISplicedFontStash(TCFMutableArray&)  (in CoreText) =
+ 41  [0x7fffca54af9a]
    +                                             ! : | + ! :       1 =
objc_msgSend  (in libobjc.A.dylib) + 41  [0x7fffdde99069]
    +                                             ! : | + ! 1 =
TDescriptorSource::CopyFontDescriptorPerPostScriptName(__CFString =
const*, unsigned long, unsigned long) const  (in CoreText) + 218  =
[0x7fffca5e6080]
    +                                             ! : | + !   1 =
TSplicedFontStashImp::CopySplicedDescriptorForName(__CFString const*, =
bool) const  (in CoreText) + 61  [0x7fffca54bff3]
    +                                             ! : | + !     1 =
TDescriptorSource::FallbackFontNameForName(__CFString const*, bool)  (in =
CoreText) + 60  [0x7fffca5ee628]
    +                                             ! : | + !       1 =
CFDictionaryGetValue  (in CoreFoundation) + 124  [0x7fffc8f629ec]
    +                                             ! : | + !         1 =
CFBasicHashFindBucket  (in CoreFoundation) + 184  [0x7fffc8f62af8]
    +                                             ! : | + !           1 =
CFHash  (in CoreFoundation) + 135  [0x7fffc8f5ff77]
    +                                             ! : | + 6 =
TFont::InitDescriptor(__CFString const*, char const*, unsigned long)  =
(in CoreText) + 89  [0x7fffca550e3d]
    +                                             ! : | + ! 6 =
CFStringFind  (in CoreFoundation) + 207  [0x7fffc8f8560f]
    +                                             ! : | + !   3 =
CFStringFindWithOptionsAndLocale  (in CoreFoundation) + 607,862,...  =
[0x7fffc8f673cf,0x7fffc8f674ce,...]
    +                                             ! : | + !   2 =
CFStringFindWithOptionsAndLocale  (in CoreFoundation) + 418  =
[0x7fffc8f67312]
    +                                             ! : | + !   : 2 =
CFStringGetCStringPtr  (in CoreFoundation) + 0,371  =
[0x7fffc8f6acf0,0x7fffc8f6ae63]
    +                                             ! : | + !   1 =
CFStringFindWithOptionsAndLocale  (in CoreFoundation) + 435  =
[0x7fffc8f67323]
    +                                             ! : | + !     1 =
CFStringGetCStringPtr  (in CoreFoundation) + 452  [0x7fffc8f6aeb4]
    +                                             ! : | + 2 =
TFont::InitDescriptor(__CFString const*, char const*, unsigned long)  =
(in CoreText) + 43  [0x7fffca550e0f]
    +                                             ! : | + ! 2 =
CFStringGetLength  (in CoreFoundation) + 1  [0x7fffc8f66f41]
    +                                             ! : | + 2 =
TFont::InitDescriptor(__CFString const*, char const*, unsigned long)  =
(in CoreText) + 363,343  [0x7fffca550f4f,0x7fffca550f3b]
    +                                             ! : | 5 =
TFont::TFont(__CFString const*, double, CGAffineTransform const*, char =
const*, unsigned long)  (in CoreText) + 276  [0x7fffca550dac]
    +                                             ! : |   2 =
TFont::InitBaseFont(TCFRef<__CTFontDescriptor const*> const&)  (in =
CoreText) + 44  [0x7fffca54f23e]
    +                                             ! : |   ! 2 CFRetain  =
(in CoreFoundation) + 14,28  [0x7fffc8f5e1fe,0x7fffc8f5e20c]
    +                                             ! : |   2 =
TFont::InitBaseFont(TCFRef<__CTFontDescriptor const*> const&)  (in =
CoreText) + 83  [0x7fffca54f265]
    +                                             ! : |   1 =
TFont::InitBaseFont(TCFRef<__CTFontDescriptor const*> const&)  (in =
CoreText) + 93  [0x7fffca54f26f]
    +                                             ! : |     1 CFRelease  =
(in CoreFoundation) + 19  [0x7fffc8f64b33]
    +                                             ! : 34 =
CTFontCreateWithName  (in CoreText) + 31  [0x7fffca550c3b]
    +                                             ! : | 21 =
_CFRuntimeCreateInstance  (in CoreFoundation) + 378  [0x7fffc8f5a2ea]
    +                                             ! : | + 21 =
_platform_bzero$VARIANT$Haswell  (in libsystem_platform.dylib) + =
84,80,...  [0x7fffde9a0bf4,0x7fffde9a0bf0,...]
    +                                             ! : | 7 =
_CFRuntimeCreateInstance  (in CoreFoundation) + 295  [0x7fffc8f5a297]
    +                                             ! : | + 5 =
malloc_zone_malloc  (in libsystem_malloc.dylib) + 107  [0x7fffde90f282]
    +                                             ! : | + ! 2 =
default_zone_malloc  (in libsystem_malloc.dylib) + 41,0  =
[0x7fffde91e903,0x7fffde91e8da]
    +                                             ! : | + ! 2 =
szone_malloc_should_clear  (in libsystem_malloc.dylib) + 400  =
[0x7fffde90f472]
    +                                             ! : | + ! : 2 =
tiny_malloc_from_free_list  (in libsystem_malloc.dylib) + 12,984  =
[0x7fffde91077c,0x7fffde910b48]
    +                                             ! : | + ! 1 =
szone_malloc_should_clear  (in libsystem_malloc.dylib) + 164  =
[0x7fffde90f386]
    +                                             ! : | + 1 =
__CFAllocatorSystemAllocate  (in CoreFoundation) + 4  [0x7fffc8f5a474]
    +                                             ! : | + 1 =
malloc_zone_malloc  (in libsystem_malloc.dylib) + 86  [0x7fffde90f26d]
    +                                             ! : | 3 =
_CFRuntimeCreateInstance  (in CoreFoundation) + 558  [0x7fffc8f5a39e]
    +                                             ! : | + 3 =
object_setClass  (in libobjc.A.dylib) + 1,64  =
[0x7fffdde9cb30,0x7fffdde9cb6f]
    +                                             ! : | 1 =
TCFBase<TFont>::Allocate(unsigned long)  (in CoreText) + 0  =
[0x7fffca54ec40]
    +                                             ! : | 1 =
_CFRuntimeCreateInstance  (in CoreFoundation) + 126  [0x7fffc8f5a1ee]
    +                                             ! : | + 1 =
_CFGetTSDCreateIfNeeded  (in CoreFoundation) + 111  [0x7fffc90a932f]
    +                                             ! : | 1 =
_CFRuntimeCreateInstance  (in CoreFoundation) + 562  [0x7fffc8f5a3a2]
    +                                             ! : 1 =
CTFontCreateWithName  (in CoreText) + 97  [0x7fffca550c7d]
    +                                             ! 140 macfont_open  =
(in Emacs-x86_64-10_9) + 749  [0x1001c8ecd]
    +                                             ! : 84 =
macfont_glyph_extents  (in Emacs-x86_64-10_9) + 192,197,...  =
[0x1001cc4c0,0x1001cc4c5,...]
    +                                             ! : 41 =
macfont_glyph_extents  (in Emacs-x86_64-10_9) + 439  [0x1001cc5b7]
    +                                             ! : | 30 =
CTFontGetAdvancesForGlyphs  (in CoreText) + 216  [0x7fffca57c788]
    +                                             ! : | + 23 =
TFont::GetAdvancesForGlyphs(unsigned short const*, CGSize*, long, =
CTFontOrientation) const  (in CoreText) + 92  [0x7fffca56c3f8]
    +                                             ! : | + ! 23 =
GetUnscaledAdvances(TFont const&, unsigned short const*, CGSize*, long, =
CTFontOrientation)  (in CoreText) + 95  [0x7fffca55c708]
    +                                             ! : | + !   17 =
TBaseFont::GetUnscaledAdvances(unsigned short const*, CGSize*, long) =
const  (in CoreText) + 124  [0x7fffca55c858]
    +                                             ! : | + !   : 13 =
CGFontGetGlyphAdvances  (in CoreGraphics) + 237  [0x7fffc93f906c]
    +                                             ! : | + !   : | 6 =
xt_font_get_glyph_advances  (in CoreGraphics) + 12,4,...  =
[0x7fffc9567e28,0x7fffc9567e20,...]
    +                                             ! : | + !   : | 2 =
xt_font_get_glyph_advances  (in CoreGraphics) + 638  [0x7fffc956809a]
    +                                             ! : | + !   : | + 2 =
CGAffineTransformScale  (in CoreGraphics) + 4,38  =
[0x7fffc943dbc5,0x7fffc943dbe7]
    +                                             ! : | + !   : | 1 =
xt_font_get_glyph_advances  (in CoreGraphics) + 109  [0x7fffc9567e89]
    +                                             ! : | + !   : | + 1 =
xt_font_get_font  (in CoreGraphics) + 8  [0x7fffc9704d0b]
    +                                             ! : | + !   : | 1 =
xt_font_get_glyph_advances  (in CoreGraphics) + 141  [0x7fffc9567ea9]
    +                                             ! : | + !   : | + 1 =
FPFontIsBitmapOnly  (in libFontParser.dylib) + 0  [0x7fffc798e774]
    +                                             ! : | + !   : | 1 =
xt_font_get_glyph_advances  (in CoreGraphics) + 267  [0x7fffc9567f27]
    +                                             ! : | + !   : | + 1 =
xt_font_get_font  (in CoreGraphics) + 9  [0x7fffc9704d0c]
    +                                             ! : | + !   : | 1 =
xt_font_get_glyph_advances  (in CoreGraphics) + 392  [0x7fffc9567fa4]
    +                                             ! : | + !   : | + 1 =
CGFontIndexMapGetValue  (in CoreGraphics) + 63  [0x7fffc9847cf9]
    +                                             ! : | + !   : | 1 =
xt_font_get_glyph_advances  (in CoreGraphics) + 715  [0x7fffc95680e7]
    +                                             ! : | + !   : |   1 =
round  (in libsystem_m.dylib) + 9  [0x7fffde8c6156]
    +                                             ! : | + !   : 2 =
CGFontGetGlyphAdvances  (in CoreGraphics) + 113,83  =
[0x7fffc93f8ff0,0x7fffc93f8fd2]
    +                                             ! : | + !   : 1 =
CGFontGetGlyphAdvances  (in CoreGraphics) + 52  [0x7fffc93f8fb3]
    +                                             ! : | + !   : | 1 =
CGFontGetUnitsPerEm  (in CoreGraphics) + 9  [0x7fffc974376d]
    +                                             ! : | + !   : |   1 =
get_font_info  (in CoreGraphics) + 88  [0x7fffc974375e]
    +                                             ! : | + !   : 1 =
CGFontGetGlyphAdvances  (in CoreGraphics) + 72  [0x7fffc93f8fc7]
    +                                             ! : | + !   :   1 =
CGAffineTransformMakeScale  (in CoreGraphics) + 0  [0x7fffc943dab3]
    +                                             ! : | + !   2 =
TBaseFont::GetUnscaledAdvances(unsigned short const*, CGSize*, long) =
const  (in CoreText) + 253  [0x7fffca55c8d9]
    +                                             ! : | + !   : 1 =
CFRelease  (in CoreFoundation) + 19  [0x7fffc8f64b33]
    +                                             ! : | + !   : 1 =
_CFRelease  (in CoreFoundation) + 171  [0x7fffc90ac12b]
    +                                             ! : | + !   2 =
TBaseFont::GetUnscaledAdvances(unsigned short const*, CGSize*, long) =
const  (in CoreText) + 287,0  [0x7fffca55c8fb,0x7fffca55c7dc]
    +                                             ! : | + !   1 =
TBaseFont::GetUnscaledAdvances(unsigned short const*, CGSize*, long) =
const  (in CoreText) + 79  [0x7fffca55c82b]
    +                                             ! : | + !   : 1 =
std::__1::vector<int, TInlineBufferAllocator<int, 30ul> =
>::vector(unsigned long, int const&)  (in CoreText) + 1  =
[0x7fffca57fd49]
    +                                             ! : | + !   1 =
TBaseFont::GetUnscaledAdvances(unsigned short const*, CGSize*, long) =
const  (in CoreText) + 99  [0x7fffca55c83f]
    +                                             ! : | + !     1 =
TBaseFont::CopyGraphicsFont() const  (in CoreText) + 18  =
[0x7fffca554380]
    +                                             ! : | + !       1 =
TBaseFont::CopyNativeFont() const  (in CoreText) + 1  [0x7fffca5543a7]
    +                                             ! : | + 5 =
TFont::GetAdvancesForGlyphs(unsigned short const*, CGSize*, long, =
CTFontOrientation) const  (in CoreText) + 124  [0x7fffca56c418]
    +                                             ! : | + ! 5 =
TFont::GetScaleFactor() const  (in CoreText) + 62  [0x7fffca55c9e2]
    +                                             ! : | + !   4 =
TFont::InitStrikeMetrics() const  (in CoreText) + 164  [0x7fffca55cc34]
    +                                             ! : | + !   : 3 =
TBaseFont::GetStrikeMetrics(double, CGAffineTransform const*, bool) =
const  (in CoreText) + 77,99,...  [0x7fffca55cca9,0x7fffca55ccbf,...]
    +                                             ! : | + !   : 1 =
TBaseFont::GetStrikeMetrics(double, CGAffineTransform const*, bool) =
const  (in CoreText) + 135  [0x7fffca55cce3]
    +                                             ! : | + !   :   1 =
TBaseFont::GetOpticalLeading(double, double) const  (in CoreText) + 0  =
[0x7fffca56cf8e]
    +                                             ! : | + !   1 =
TFont::InitStrikeMetrics() const  (in CoreText) + 178  [0x7fffca55cc42]
    +                                             ! : | + 1 =
TFont::GetAdvancesForGlyphs(unsigned short const*, CGSize*, long, =
CTFontOrientation) const  (in CoreText) + 116  [0x7fffca56c410]
    +                                             ! : | + ! 1 =
TFont::GetEffectiveMatrix() const  (in CoreText) + 298  [0x7fffca552c76]
    +                                             ! : | + 1 =
TFont::GetAdvancesForGlyphs(unsigned short const*, CGSize*, long, =
CTFontOrientation) const  (in CoreText) + 226  [0x7fffca56c47e]
    +                                             ! : | +   1 =
CGAffineTransformIsIdentity  (in CoreGraphics) + 85  [0x7fffc943db64]
    +                                             ! : | 7 =
CTFontGetAdvancesForGlyphs  (in CoreText) + 13,266,...  =
[0x7fffca57c6bd,0x7fffca57c7ba,...]
    +                                             ! : | 2 =
CTFontGetAdvancesForGlyphs  (in CoreText) + 188  [0x7fffca57c76c]
    +                                             ! : | + 1 =
DYLD-STUB$$__bzero  (in libsystem_platform.dylib) + 0  [0x7fffde9a12ee]
    +                                             ! : | + 1 =
std::__1::vector<CGSize, TInlineBufferAllocator<CGSize, 30ul> =
>::__append(unsigned long)  (in CoreText) + 172  [0x7fffca56c1c2]
    +                                             ! : | 1 =
CTFontGetAdvancesForGlyphs  (in CoreText) + 102  [0x7fffca57c716]
    +                                             ! : | + 1 _CFIsObjC  =
(in CoreFoundation) + 53  [0x7fffc8ff73a5]
    +                                             ! : | 1 =
CTFontGetAdvancesForGlyphs  (in CoreText) + 236  [0x7fffca57c79c]
    +                                             ! : |   1 =
std::__1::__vector_base<std::__1::tuple<unsigned short, unsigned short, =
long>, TInlineBufferAllocator<std::__1::tuple<unsigned short, unsigned =
short, long>, 30ul> >::~__vector_base()  (in CoreText) + 15  =
[0x7fffca557f99]
    +                                             ! : 8 =
macfont_glyph_extents  (in Emacs-x86_64-10_9) + 103  [0x1001cc467]
    +                                             ! : | 8 xrealloc  (in =
Emacs-x86_64-10_9) + 33  [0x100117a61]
    +                                             ! : |   8 =
unexec_malloc  (in Emacs-x86_64-10_9) + 29  [0x10017432d]
    +                                             ! : |     7 malloc  =
(in libsystem_malloc.dylib) + 24  [0x7fffde90e200]
    +                                             ! : |     + 7 =
malloc_zone_malloc  (in libsystem_malloc.dylib) + 107  [0x7fffde90f282]
    +                                             ! : |     +   5 =
szone_malloc_should_clear  (in libsystem_malloc.dylib) + 400  =
[0x7fffde90f472]
    +                                             ! : |     +   ! 5 =
tiny_malloc_from_free_list  (in libsystem_malloc.dylib) + 492,474,...  =
[0x7fffde91095c,0x7fffde91094a,...]
    +                                             ! : |     +   1 =
default_zone_malloc  (in libsystem_malloc.dylib) + 41  [0x7fffde91e903]
    +                                             ! : |     +   1 =
szone_malloc_should_clear  (in libsystem_malloc.dylib) + 1328  =
[0x7fffde90f812]
    +                                             ! : |     1 malloc  =
(in libsystem_malloc.dylib) + 0  [0x7fffde90e1e8]
    +                                             ! : 6 =
macfont_glyph_extents  (in Emacs-x86_64-10_9) + 176  [0x1001cc4b0]
    +                                             ! : | 6 xmalloc  (in =
Emacs-x86_64-10_9) + 15  [0x1001179bf]
    +                                             ! : |   6 =
unexec_malloc  (in Emacs-x86_64-10_9) + 29  [0x10017432d]
    +                                             ! : |     6 malloc  =
(in libsystem_malloc.dylib) + 24  [0x7fffde90e200]
    +                                             ! : |       6 =
malloc_zone_malloc  (in libsystem_malloc.dylib) + 107  [0x7fffde90f282]
    +                                             ! : |         5 =
szone_malloc_should_clear  (in libsystem_malloc.dylib) + 2835,287,...  =
[0x7fffde90fdf5,0x7fffde90f401,...]
    +                                             ! : |         1 =
szone_malloc_should_clear  (in libsystem_malloc.dylib) + 3576  =
[0x7fffde9100da]
    +                                             ! : |           1 =
allocate_pages_securely  (in libsystem_malloc.dylib) + 420  =
[0x7fffde910d95]
    +                                             ! : |             1 =
allocate_pages  (in libsystem_malloc.dylib) + 227  [0x7fffde90edd3]
    +                                             ! : |               1 =
mach_vm_map  (in libsystem_kernel.dylib) + 82  [0x7fffde8ba9f8]
    +                                             ! : |                 =
1 _kernelrpc_mach_vm_map_trap  (in libsystem_kernel.dylib) + 10  =
[0x7fffde8b4296]
    +                                             ! : 1 =
macfont_glyph_extents  (in Emacs-x86_64-10_9) + 558  [0x1001cc62e]
    +                                             ! :   1 llround  (in =
libsystem_m.dylib) + 0  [0x7fffde8c68d0]
    +                                             ! 84 macfont_open  (in =
Emacs-x86_64-10_9) + 778  [0x1001c8eea]
    +                                             ! : 84 =
macfont_get_glyph_for_character  (in Emacs-x86_64-10_9) + 1337,1332,...  =
[0x1001cbfb9,0x1001cbfb4,...]
    +                                             ! 37 macfont_open  (in =
Emacs-x86_64-10_9) + 1429  [0x1001c9175]
    +                                             ! : 32 =
CTFontCopyFamilyName  (in CoreText) + 109  [0x7fffca594154]
    +                                             ! : | 16 =
TBaseFont::CopyName(__CFString const*) const  (in CoreText) + 63  =
[0x7fffca5517a7]
    +                                             ! : | + 13 =
TBaseFont::CopyAttributeInternal(void const*) const  (in CoreText) + 68  =
[0x7fffca54d774]
    +                                             ! : | + ! 11 =
CFDictionaryGetValue  (in CoreFoundation) + 124  [0x7fffc8f629ec]
    +                                             ! : | + ! : 6 =
CFBasicHashFindBucket  (in CoreFoundation) + 84,3058,...  =
[0x7fffc8f62a94,0x7fffc8f63632,...]
    +                                             ! : | + ! : 5 =
CFBasicHashFindBucket  (in CoreFoundation) + 184  [0x7fffc8f62af8]
    +                                             ! : | + ! :   4 =
__CFStringHash  (in CoreFoundation) + 125,216,...  =
[0x7fffc8f600fd,0x7fffc8f60158,...]
    +                                             ! : | + ! :   1 CFHash =
 (in CoreFoundation) + 122  [0x7fffc8f5ff6a]
    +                                             ! : | + ! 2 =
CFDictionaryGetValue  (in CoreFoundation) + 31,51  =
[0x7fffc8f6298f,0x7fffc8f629a3]
    +                                             ! : | + 2 =
TBaseFont::CopyAttributeInternal(void const*) const  (in CoreText) + 32  =
[0x7fffca54d750]
    +                                             ! : | + ! 2 =
OSSpinLockLock  (in libsystem_platform.dylib) + 11  [0x7fffde99bcad]
    +                                             ! : | + 1 =
TBaseFont::CopyAttributeInternal(void const*) const  (in CoreText) + 63  =
[0x7fffca54d76f]
    +                                             ! : | 7 =
TBaseFont::CopyName(__CFString const*) const  (in CoreText) + 154  =
[0x7fffca551802]
    +                                             ! : | + 7 =
CFDictionaryGetValue  (in CoreFoundation) + 124  [0x7fffc8f629ec]
    +                                             ! : | +   6 =
CFBasicHashFindBucket  (in CoreFoundation) + 207,3058,...  =
[0x7fffc8f62b0f,0x7fffc8f63632,...]
    +                                             ! : | +   1 =
CFBasicHashFindBucket  (in CoreFoundation) + 184  [0x7fffc8f62af8]
    +                                             ! : | +     1 CFHash  =
(in CoreFoundation) + 127  [0x7fffc8f5ff6f]
    +                                             ! : | 5 =
TBaseFont::CopyName(__CFString const*) const  (in CoreText) + 88,74,...  =
[0x7fffca5517c0,0x7fffca5517b2,...]
    +                                             ! : | 2 =
TBaseFont::CopyName(__CFString const*) const  (in CoreText) + 167  =
[0x7fffca55180f]
    +                                             ! : | + 2 _CFRetain  =
(in CoreFoundation) + 24,90  [0x7fffc8f5e288,0x7fffc8f5e2ca]
    +                                             ! : | 2 =
TBaseFont::CopyName(__CFString const*) const  (in CoreText) + 190  =
[0x7fffca551826]
    +                                             ! : |   1 CFRelease  =
(in CoreFoundation) + 74  [0x7fffc8f64b6a]
    +                                             ! : |   1 _CFRelease  =
(in CoreFoundation) + 171  [0x7fffc90ac12b]
    +                                             ! : 4 =
CTFontCopyFamilyName  (in CoreText) + 1,92,...  =
[0x7fffca5940e8,0x7fffca594143,...]
    +                                             ! : 1 =
CTFontCopyFamilyName  (in CoreText) + 49  [0x7fffca594118]
    +                                             ! :   1 _CFIsObjC  (in =
CoreFoundation) + 42  [0x7fffc8ff739a]
    +                                             ! 18 macfont_open  (in =
Emacs-x86_64-10_9) + 807,778,...  [0x1001c8f07,0x1001c8eea,...]
    +                                             ! 11 macfont_open  (in =
Emacs-x86_64-10_9) + 424  [0x1001c8d88]
    +                                             ! : 9 =
macfont_lookup_cache  (in Emacs-x86_64-10_9) + 33  [0x1001ccb61]
    +                                             ! : | 9 =
CFDictionaryGetValue  (in CoreFoundation) + 124  [0x7fffc8f629ec]
    +                                             ! : |   6 =
CFBasicHashFindBucket  (in CoreFoundation) + 207,996,...  =
[0x7fffc8f62b0f,0x7fffc8f62e24,...]
    +                                             ! : |   3 =
CFBasicHashFindBucket  (in CoreFoundation) + 184  [0x7fffc8f62af8]
    +                                             ! : |     3 =
__CFStringHash  (in CoreFoundation) + 1,66,...  =
[0x7fffc8f60081,0x7fffc8f600c2,...]
    +                                             ! : 2 =
macfont_lookup_cache  (in Emacs-x86_64-10_9) + 25,0  =
[0x1001ccb59,0x1001ccb40]
    +                                             ! 10 macfont_open  (in =
Emacs-x86_64-10_9) + 289  [0x1001c8d01]
    +                                             ! : 8 =
CTFontCopyGraphicsFont  (in CoreText) + 128,31,...  =
[0x7fffca567b33,0x7fffca567ad2,...]
    +                                             ! : 2 =
CTFontCopyGraphicsFont  (in CoreText) + 116  [0x7fffca567b27]
    +                                             ! :   1 =
TBaseFont::CopyGraphicsFont() const  (in CoreText) + 18  =
[0x7fffca554380]
    +                                             ! :   + 1 =
TBaseFont::CopyNativeFont() const  (in CoreText) + 29  [0x7fffca5543c3]
    +                                             ! :   1 =
TBaseFont::CopyGraphicsFont() const  (in CoreText) + 0  [0x7fffca55436e]
    +                                             ! 8 macfont_open  (in =
Emacs-x86_64-10_9) + 1707  [0x1001c928b]
    +                                             ! : 6 =
TFont::GetUnderlineThickness() const  (in CoreText) + 59  =
[0x7fffca598be7]
    +                                             ! : | 3 =
TBaseFont::GetUnderlineThickness(CGAffineTransform const&) const  (in =
CoreText) + 31  [0x7fffca598c77]
    +                                             ! : | + 3 =
TBaseFont::CopyGraphicsFont() const  (in CoreText) + 18  =
[0x7fffca554380]
    +                                             ! : | +   3 =
TBaseFont::CopyNativeFont() const  (in CoreText) + 51  [0x7fffca5543d9]
    +                                             ! : | +     2 =
_CFRetain  (in CoreFoundation) + 90,249  [0x7fffc8f5e2ca,0x7fffc8f5e369]
    +                                             ! : | +     1 CFRetain =
 (in CoreFoundation) + 0  [0x7fffc8f5e1f0]
    +                                             ! : | 2 =
TBaseFont::GetUnderlineThickness(CGAffineTransform const&) const  (in =
CoreText) + 84  [0x7fffca598cac]
    +                                             ! : | + 2 _CFRelease  =
(in CoreFoundation) + 171  [0x7fffc90ac12b]
    +                                             ! : | 1 =
TBaseFont::GetUnderlineThickness(CGAffineTransform const&) const  (in =
CoreText) + 69  [0x7fffca598c9d]
    +                                             ! : 2 =
TFont::GetUnderlineThickness() const  (in CoreText) + 50  =
[0x7fffca598bde]
    +                                             ! :   1 =
TFont::GetScaledMatrix() const  (in CoreText) + 45  [0x7fffca568481]
    +                                             ! :   + 1 =
TFont::GetEffectiveMatrix() const  (in CoreText) + 314  [0x7fffca552c86]
    +                                             ! :   1 =
TFont::GetScaledMatrix() const  (in CoreText) + 178  [0x7fffca568506]
    +                                             ! :     1 =
CGAffineTransformConcat  (in CoreGraphics) + 0  [0x7fffc943dc8d]
    +                                             ! 7 macfont_open  (in =
Emacs-x86_64-10_9) + 1676  [0x1001c926c]
    +                                             ! : 7 =
TFont::GetUnderlinePosition() const  (in CoreText) + 59  =
[0x7fffca5d5e77]
    +                                             ! :   3 =
TBaseFont::GetUnderlinePosition(CGAffineTransform const&) const  (in =
CoreText) + 84  [0x7fffca629718]
    +                                             ! :   | 2 CFRelease  =
(in CoreFoundation) + 14,19  [0x7fffc8f64b2e,0x7fffc8f64b33]
    +                                             ! :   | 1 _CFRelease  =
(in CoreFoundation) + 495  [0x7fffc90ac26f]
    +                                             ! :   2 =
TBaseFont::GetUnderlinePosition(CGAffineTransform const&) const  (in =
CoreText) + 31  [0x7fffca6296e3]
    +                                             ! :   | 1 =
TBaseFont::CopyGraphicsFont() const  (in CoreText) + 18  =
[0x7fffca554380]
    +                                             ! :   | + 1 =
TBaseFont::CopyNativeFont() const  (in CoreText) + 51  [0x7fffca5543d9]
    +                                             ! :   | +   1 =
_CFRetain  (in CoreFoundation) + 90  [0x7fffc8f5e2ca]
    +                                             ! :   | 1 =
TBaseFont::CopyGraphicsFont() const  (in CoreText) + 0  [0x7fffca55436e]
    +                                             ! :   1 =
DYLD-STUB$$CGFontGetUnderlinePosition  (in CoreText) + 0  =
[0x7fffca66475c]
    +                                             ! :   1 =
TBaseFont::GetUnderlinePosition(CGAffineTransform const&) const  (in =
CoreText) + 63  [0x7fffca629703]
    +                                             ! 5 macfont_open  (in =
Emacs-x86_64-10_9) + 1826  [0x1001c9302]
    +                                             ! : 3 =
CFStringHasPrefix  (in CoreFoundation) + 194  [0x7fffc8f67162]
    +                                             ! : | 2 =
CFStringFindWithOptionsAndLocale  (in CoreFoundation) + 622,456  =
[0x7fffc8f673de,0x7fffc8f67338]
    +                                             ! : | 1 =
CFStringFindWithOptionsAndLocale  (in CoreFoundation) + 1080  =
[0x7fffc8f675a8]
    +                                             ! : |   1 =
CFStringGetCStringPtr  (in CoreFoundation) + 523  [0x7fffc8f6aefb]
    +                                             ! : 2 =
CFStringHasPrefix  (in CoreFoundation) + 49,37  =
[0x7fffc8f670d1,0x7fffc8f670c5]
    +                                             ! 3 macfont_open  (in =
Emacs-x86_64-10_9) + 1471  [0x1001c919f]
    +                                             ! : 2 CFEqual  (in =
CoreFoundation) + 432  [0x7fffc8f73870]
    +                                             ! : | 2 =
__CFStringEqual  (in CoreFoundation) + 20,111  =
[0x7fffc8f81334,0x7fffc8f8138f]
    +                                             ! : 1 CFEqual  (in =
CoreFoundation) + 61  [0x7fffc8f736fd]
    +                                             ! 2 macfont_open  (in =
Emacs-x86_64-10_9) + 1452  [0x1001c918c]
    +                                             ! : 1 CFEqual  (in =
CoreFoundation) + 432  [0x7fffc8f73870]
    +                                             ! : | 1 =
__CFStringEqual  (in CoreFoundation) + 1  [0x7fffc8f81321]
    +                                             ! : 1 CFEqual  (in =
CoreFoundation) + 0  [0x7fffc8f736c0]
    +                                             ! 2 macfont_open  (in =
Emacs-x86_64-10_9) + 1490  [0x1001c91b2]
    +                                             ! : 2 CFEqual  (in =
CoreFoundation) + 432  [0x7fffc8f73870]
    +                                             ! :   2 =
__CFStringEqual  (in CoreFoundation) + 172,76  =
[0x7fffc8f813cc,0x7fffc8f8136c]
    +                                             ! 1 =
DYLD-STUB$$CFStringHasPrefix  (in Emacs-x86_64-10_9) + 0  [0x1001decb2]
    +                                             ! 1 macfont_open  (in =
Emacs-x86_64-10_9) + 189  [0x1001c8c9d]
    +                                             ! : 1 unblock_input  =
(in Emacs-x86_64-10_9) + 13  [0x1000c737d]
    +                                             ! 1 macfont_open  (in =
Emacs-x86_64-10_9) + 1416  [0x1001c9168]
    +                                             ! : 1 CTFontGetLeading =
 (in CoreText) + 46  [0x7fffca56acd4]
    +                                             ! :   1 _CFIsObjC  (in =
CoreFoundation) + 42  [0x7fffc8ff739a]
    +                                             ! 1 macfont_open  (in =
Emacs-x86_64-10_9) + 1536  [0x1001c91e0]
    +                                             ! : 1 CFRelease  (in =
CoreFoundation) + 19  [0x7fffc8f64b33]
    +                                             ! 1 macfont_open  (in =
Emacs-x86_64-10_9) + 1731  [0x1001c92a3]
    +                                             !   1 unblock_input  =
(in Emacs-x86_64-10_9) + 69  [0x1000c73b5]
    +                                             !     1 gobble_input  =
(in Emacs-x86_64-10_9) + 336  [0x1000c0920]
    +                                             !       1 =
ns_read_socket  (in Emacs-x86_64-10_9) + 710  [0x1001b7716]
    +                                             !         1 -[EmacsApp =
run]  (in Emacs-x86_64-10_9) + 344  [0x1001ac128]
    +                                             !           1 =
-[NSApplication run]  (in AppKit) + 926  [0x7fffc6acc3db]
    +                                             !             1 =
-[NSApplication(NSEvent) =
_nextEventMatchingEventMask:untilDate:inMode:dequeue:]  (in AppKit) + =
2796  [0x7fffc72537ee]
    +                                             !               1 =
_DPSNextEvent  (in AppKit) + 1120  [0x7fffc6ad7a54]
    +                                             !                 1 =
_BlockUntilNextEventMatchingListInModeWithFilter  (in HIToolbox) + 71  =
[0x7fffc853eb26]
    +                                             !                   1 =
ReceiveNextEventCommon  (in HIToolbox) + 184  [0x7fffc853ebf9]
    +                                             !                     =
1 RunCurrentEventLoopInMode  (in HIToolbox) + 240  [0x7fffc853eebc]
    +                                             !                      =
 1 CFRunLoopRunSpecific  (in CoreFoundation) + 420  [0x7fffc8fde114]
    +                                             !                      =
   1 __CFRunLoopRun  (in CoreFoundation) + 873  [0x7fffc8fde6d9]
    +                                             !                      =
     1 __CFRunLoopDoObservers  (in CoreFoundation) + 391  =
[0x7fffc8ffdca7]
    +                                             !                      =
       1 __CFRUNLOOP_IS_CALLING_OUT_TO_AN_OBSERVER_CALLBACK_FUNCTION__  =
(in CoreFoundation) + 23  [0x7fffc8ffdd37]
    +                                             !                      =
         1 __37+[NSDisplayCycle currentDisplayCycle]_block_invoke.31  =
(in AppKit) + 323  [0x7fffc6f098b1]
    +                                             !                      =
           1 CA::Transaction::commit()  (in QuartzCore) + 475  =
[0x7fffceb0c7e1]
    +                                             !                      =
             1 CA::Context::commit_transaction(CA::Transaction*)  (in =
QuartzCore) + 2370  [0x7fffcec1815e]
    +                                             !                      =
               1 =
CA::Transaction::run_commit_handlers(CATransactionPhase)  (in =
QuartzCore) + 46  [0x7fffceb0dd06]
    +                                             !                      =
                 1 __39+[_NSCGSTransaction =
currentTransaction]_block_invoke  (in AppKit) + 34  [0x7fffc6c1a2f9]
    +                                             !                      =
                   1 NSCGSTransactionRunPreCommitActions_  (in AppKit) + =
31  [0x7fffc6c1a324]
    +                                             !                      =
                     1 NSCGSTransactionRunPreCommitActionsForOrder_  (in =
AppKit) + 289  [0x7fffc6c1a458]
    +                                             !                      =
                       1 __NSCGSWindowBackingStoreMark__block_invoke  =
(in AppKit) + 1133  [0x7fffc6c57095]
    +                                             !                      =
                         1 lock_device  (in AppKit) + 66  =
[0x7fffc6c871b9]
    +                                             !                      =
                           1 SLSDeviceLock  (in SkyLight) + 39  =
[0x7fffdac3707b]
    +                                             !                      =
                             1 CGSWindowSynchronizeBacking  (in =
SkyLight) + 154  [0x7fffdaabc822]
    +                                             !                      =
                               1 mach_msg  (in libsystem_kernel.dylib) + =
55  [0x7fffde8b3797]
    +                                             !                      =
                                 1 mach_msg_trap  (in =
libsystem_kernel.dylib) + 10  [0x7fffde8b434a]
    +                                             2 font_open_entity  =
(in Emacs-x86_64-10_9) + 300,320  [0x10014cc3c,0x10014cc50]
    2786 Thread_268049
    + 2786 thread_start  (in libsystem_pthread.dylib) + 13  =
[0x7fffde9a608d]
    +   2786 _pthread_start  (in libsystem_pthread.dylib) + 286  =
[0x7fffde9a6887]
    +     2786 _pthread_body  (in libsystem_pthread.dylib) + 180  =
[0x7fffde9a693b]
    +       2786 __NSThread__start__  (in Foundation) + 1243  =
[0x7fffcaa018ad]
    +         2786 -[EmacsApp fd_handler:]  (in Emacs-x86_64-10_9) + 264 =
 [0x1001ad4e8]
    +           2786 __select  (in libsystem_kernel.dylib) + 10  =
[0x7fffde8bbeb6]
    2786 Thread_268084: com.apple.NSEventThread
    + 2786 thread_start  (in libsystem_pthread.dylib) + 13  =
[0x7fffde9a608d]
    +   2786 _pthread_start  (in libsystem_pthread.dylib) + 286  =
[0x7fffde9a6887]
    +     2786 _pthread_body  (in libsystem_pthread.dylib) + 180  =
[0x7fffde9a693b]
    +       2786 _NSEventThread  (in AppKit) + 205  [0x7fffc6c24f02]
    +         2786 CFRunLoopRunSpecific  (in CoreFoundation) + 420  =
[0x7fffc8fde114]
    +           2786 __CFRunLoopRun  (in CoreFoundation) + 1361  =
[0x7fffc8fde8c1]
    +             2786 __CFRunLoopServiceMachPort  (in CoreFoundation) + =
212  [0x7fffc8fdf434]
    +               2786 mach_msg  (in libsystem_kernel.dylib) + 55  =
[0x7fffde8b3797]
    +                 2786 mach_msg_trap  (in libsystem_kernel.dylib) + =
10  [0x7fffde8b434a]
    2786 Thread_268382
    + 2786 start_wqthread  (in libsystem_pthread.dylib) + 13  =
[0x7fffde9a607d]
    +   1442 _pthread_wqthread  (in libsystem_pthread.dylib) + 1426  =
[0x7fffde9a6621]
    +   ! 1442 __workq_kernreturn  (in libsystem_kernel.dylib) + 10  =
[0x7fffde8bc44e]
    +   1344 _pthread_wqthread  (in libsystem_pthread.dylib) + 1023  =
[0x7fffde9a648e]
    +     1344 __workq_kernreturn  (in libsystem_kernel.dylib) + 10  =
[0x7fffde8bc44e]
    2776 Thread_268303
    + 2776 start_wqthread  (in libsystem_pthread.dylib) + 13  =
[0x7fffde9a607d]
    +   1442 _pthread_wqthread  (in libsystem_pthread.dylib) + 1023  =
[0x7fffde9a648e]
    +   ! 1442 __workq_kernreturn  (in libsystem_kernel.dylib) + 10  =
[0x7fffde8bc44e]
    +   1334 _pthread_wqthread  (in libsystem_pthread.dylib) + 1426  =
[0x7fffde9a6621]
    +     1334 __workq_kernreturn  (in libsystem_kernel.dylib) + 10  =
[0x7fffde8bc44e]
    10 Thread_268303   DispatchQueue_199: NSCGSDisableUpdates  (serial)
      10 start_wqthread  (in libsystem_pthread.dylib) + 13  =
[0x7fffde9a607d]
        10 _pthread_wqthread  (in libsystem_pthread.dylib) + 1299  =
[0x7fffde9a65a2]
          10 _dispatch_worker_thread3  (in libdispatch.dylib) + 99  =
[0x7fffde75948c]
            10 _dispatch_root_queue_drain  (in libdispatch.dylib) + 476  =
[0x7fffde7596b5]
              10 _dispatch_queue_override_invoke  (in libdispatch.dylib) =
+ 369  [0x7fffde766020]
                10 _dispatch_queue_invoke  (in libdispatch.dylib) + 1046 =
 [0x7fffde760306]
                  10 _dispatch_queue_serial_drain  (in =
libdispatch.dylib) + 896  [0x7fffde76d9a0]
                    10 _dispatch_client_callout  (in libdispatch.dylib) =
+ 8  [0x7fffde7578fc]
                      10 _dispatch_call_block_and_release  (in =
libdispatch.dylib) + 12  [0x7fffde760524]
                        10 CGSUpdateManager::enable_update(unsigned long =
long)  (in SkyLight) + 532  [0x7fffdab56dce]
                          10 _CGSReenableUpdateForConnectionSync  (in =
SkyLight) + 99  [0x7fffdab47aaf]
                            10 mach_msg  (in libsystem_kernel.dylib) + =
55  [0x7fffde8b3797]
                              10 mach_msg_trap  (in =
libsystem_kernel.dylib) + 10  [0x7fffde8b434a]

Total number in stack (recursive counted multiple, when >=3D5):
        9       CFRelease  (in CoreFoundation) + 0  [0x7fffc8f64b20]
        8       __v2printf  (in libsystem_c.dylib) + 699  =
[0x7fffde832423]
        8       __vfprintf  (in libsystem_c.dylib) + 0  [0x7fffde8083b7]
        7       _CFRetain  (in CoreFoundation) + 0  [0x7fffc8f5e270]
        7       __v2printf  (in libsystem_c.dylib) + 0  [0x7fffde832168]
        7       malloc_zone_malloc  (in libsystem_malloc.dylib) + 107  =
[0x7fffde90f282]
        6       _CFRelease  (in CoreFoundation) + 0  [0x7fffc90ac080]
        6       __sfvwrite  (in libsystem_c.dylib) + 0  [0x7fffde802282]
        6       __sfvwrite  (in libsystem_c.dylib) + 438  =
[0x7fffde802438]
        6       __vfprintf  (in libsystem_c.dylib) + 17634  =
[0x7fffde80c899]
        6       _platform_memmove$VARIANT$Haswell  (in =
libsystem_platform.dylib) + 0  [0x7fffde99fea0]
        6       _vsnprintf  (in libsystem_c.dylib) + 586  =
[0x7fffde81692a]
        6       snprintf  (in libsystem_c.dylib) + 188  [0x7fffde806d83]
        6       szone_malloc_should_clear  (in libsystem_malloc.dylib) + =
0  [0x7fffde90f2e2]
        6       vsnprintf_l  (in libsystem_c.dylib) + 41  =
[0x7fffde81697d]
        5       CFHash  (in CoreFoundation) + 0  [0x7fffc8f5fef0]
        5       CFRetain  (in CoreFoundation) + 0  [0x7fffc8f5e1f0]
        5       TBaseFont::CopyGraphicsFont() const  (in CoreText) + 18  =
[0x7fffca554380]
        5       __CFStringHash  (in CoreFoundation) + 0  =
[0x7fffc8f60080]
        5       _vsnprintf  (in libsystem_c.dylib) + 0  [0x7fffde8166e0]
        5       malloc  (in libsystem_malloc.dylib) + 24  =
[0x7fffde90e200]
        5       unexec_malloc  (in Emacs-x86_64-10_9) + 29  =
[0x10017432d]

Sort by top of stack, same collapsed (when >=3D 5):
        __workq_kernreturn  (in libsystem_kernel.dylib)        5562
        mach_msg_trap  (in libsystem_kernel.dylib)        2797
        __select  (in libsystem_kernel.dylib)        2786
        macfont_glyph_extents  (in Emacs-x86_64-10_9)        226
        xt_font_get_glyph_advances  (in CoreGraphics)        175
        TBaseFont::GetUnscaledAdvances(unsigned short const*, CGSize*, =
long) const  (in CoreText)        174
        CGFontGetGlyphAdvances  (in CoreGraphics)        163
        CGAffineTransformScale  (in CoreGraphics)        115
        _CFRelease  (in CoreFoundation)        105
        _CFRetain  (in CoreFoundation)        94
        std::__1::vector<CGSize, TInlineBufferAllocator<CGSize, 30ul> =
>::__append(unsigned long)  (in CoreText)        87
        macfont_get_glyph_for_character  (in Emacs-x86_64-10_9)        =
84
        __vfprintf  (in libsystem_c.dylib)        81
        CTFontGetAdvancesForGlyphs  (in CoreText)        80
        TFont::GetAdvancesForGlyphs(unsigned short const*, CGSize*, =
long, CTFontOrientation) const  (in CoreText)        73
        std::__1::vector<int, TInlineBufferAllocator<int, 30ul> =
>::vector(unsigned long, int const&)  (in CoreText)        62
        _platform_bzero$VARIANT$Haswell  (in libsystem_platform.dylib)   =
     55
        CFRelease  (in CoreFoundation)        47
        std::__1::vector<std::__1::pair<long, unsigned int const*>, =
std::__1::allocator<std::__1::pair<long, unsigned int const*> > =
>::__swap_out_circular_buffer(std::__1::__split_buffer<std::__1::pair<long=
, unsigned int const*>, std::__1::allocator<std::__1::pair<long, =
unsigned int const*> >&>&)  (in CoreText)        45
        CGAffineTransformIsIdentity  (in CoreGraphics)        37
        GetUnscaledAdvances(TFont const&, unsigned short const*, =
CGSize*, long, CTFontOrientation)  (in CoreText)        37
        round  (in libsystem_m.dylib)        36
        TFont::GetEffectiveMatrix() const  (in CoreText)        35
        CGFontIndexMapGetValue  (in CoreGraphics)        34
        allocate_vectorlike  (in Emacs-x86_64-10_9)        32
        TBaseFont::CopyNativeFont() const  (in CoreText)        31
        get_font_info  (in CoreGraphics)        30
        parse_str_as_multibyte  (in Emacs-x86_64-10_9)        30
        std::__1::__vector_base<std::__1::tuple<unsigned short, unsigned =
short, long>, TInlineBufferAllocator<std::__1::tuple<unsigned short, =
unsigned short, long>, 30ul> >::~__vector_base()  (in CoreText)        =
28
        CGAffineTransformMakeScale  (in CoreGraphics)        24
        TFont::GetUnscaledTrackAmount() const  (in CoreText)        24
        __sfvwrite  (in libsystem_c.dylib)        24
        llround  (in libsystem_m.dylib)        24
        _CFIsObjC  (in CoreFoundation)        22
        std::__1::vector<int, TInlineBufferAllocator<int, 30ul> =
>::allocate(unsigned long)  (in CoreText)        22
        __CFStringHash  (in CoreFoundation)        21
        CFRetain  (in CoreFoundation)        20
        TBaseFont::IsAppleColorEmoji() const  (in CoreText)        20
        CFBasicHashFindBucket  (in CoreFoundation)        18
        macfont_open  (in Emacs-x86_64-10_9)        18
        std::__1::__vector_base<unsigned int, =
TInlineBufferAllocator<unsigned int, 30ul> >::~__vector_base()  (in =
CoreText)        18
        TBaseFont::CopyGraphicsFont() const  (in CoreText)        17
        TFont::GetScaleFactor() const  (in CoreText)        15
        _platform_memmove$VARIANT$Haswell  (in libsystem_platform.dylib) =
       15
        allocate_string_data  (in Emacs-x86_64-10_9)        15
        TFPFont::IsBitmapOnly() const  (in libFontParser.dylib)        =
14
        _vsnprintf  (in libsystem_c.dylib)        14
        pthread_rwlock_unlock  (in libsystem_pthread.dylib)        14
        xt_font_get_font  (in CoreGraphics)        13
        _NXMapMember(_NXMapTable*, void const*, void**)  (in =
libobjc.A.dylib)        12
        TFPFont::GetUnitsPerEm() const  (in libFontParser.dylib)        =
11
        get_glyph_advances  (in CoreGraphics)        11
        __v2printf  (in libsystem_c.dylib)        10
        font_unparse_xlfd  (in Emacs-x86_64-10_9)        10
        szone_malloc_should_clear  (in libsystem_malloc.dylib)        10
        CGFontGetUnitsPerEm  (in CoreGraphics)        9
        std::__1::vector<CGSize, TInlineBufferAllocator<CGSize, 30ul> =
>::resize(unsigned long)  (in CoreText)        9
        CTFontCopyGraphicsFont  (in CoreText)        8
        DYLD-STUB$$__bzero  (in libsystem_platform.dylib)        8
        _pthread_rwlock_lock  (in libsystem_pthread.dylib)        7
        mem_insert  (in Emacs-x86_64-10_9)        7
        std::__1::vector<unsigned short, TInlineBufferAllocator<unsigned =
short, 3ul> =
>::__swap_out_circular_buffer(std::__1::__split_buffer<unsigned short, =
TInlineBufferAllocator<unsigned short, 3ul>&>&)  (in CoreText)        7
        strlen  (in libsystem_c.dylib)        7
        tiny_malloc_from_free_list  (in libsystem_malloc.dylib)        7
        xt_font_get_advance_map  (in CoreGraphics)        7
        DYLD-STUB$$CFRelease  (in CoreText)        6
        _mapStrHash(_NXMapTable*, void const*)  (in libobjc.A.dylib)     =
   6
        cache_release_value  (in libcache.dylib)        6
        objc_msgSend  (in libobjc.A.dylib)        6
        protocol_conformsToProtocol_nolock(protocol_t*, protocol_t*)  =
(in libobjc.A.dylib)        6
        std::__1::__split_buffer<std::__1::tuple<long, =
MyanmarShapingEngine::ClusterType, bool>, =
TInlineBufferAllocator<std::__1::tuple<long, =
MyanmarShapingEngine::ClusterType, bool>, 30ul>&>::~__split_buffer()  =
(in CoreText)        6
        std::__1::vector<std::__1::tuple<long, =
MyanmarShapingEngine::ClusterType, bool>, =
TInlineBufferAllocator<std::__1::tuple<long, =
MyanmarShapingEngine::ClusterType, bool>, 30ul> =
>::__swap_out_circular_buffer(std::__1::__split_buffer<std::__1::tuple<lon=
g, MyanmarShapingEngine::ClusterType, bool>, =
TInlineBufferAllocator<std::__1::tuple<long, =
MyanmarShapingEngine::ClusterType, bool>, 30ul>&>&)  (in CoreText)       =
 6
        CFHash  (in CoreFoundation)        5
        CFStringFindWithOptionsAndLocale  (in CoreFoundation)        5
        FPFontGetUnitsPerEm  (in libFontParser.dylib)        5
        TBaseFont::CopyName(__CFString const*) const  (in CoreText)      =
  5
        __CFStringEqual  (in CoreFoundation)        5
        cache_get_and_retain  (in libcache.dylib)        5
        std::__1::__vector_base<LtagStringRange, =
TInlineBufferAllocator<LtagStringRange, 30ul> >::~__vector_base()  (in =
CoreText)        5
        std::__1::vector<__CTFontDescriptor const*, =
TInlineBufferAllocator<__CTFontDescriptor const*, 30ul> =
>::__swap_out_circular_buffer(std::__1::__split_buffer<__CTFontDescriptor =
const*, TInlineBufferAllocator<__CTFontDescriptor const*, 30ul>&>&)  (in =
CoreText)        5

Binary Images:
       0x100000000 -        0x100213ff7 +Emacs-x86_64-10_9 (0) =
<114F6FDE-527F-3EAE-BD58-D0A8F4D32733> =
/Applications/Emacs.app/Contents/MacOS/Emacs-x86_64-10_9
       0x10071c000 -        0x100827fc7 +libgnutls.30.dylib (0) =
<0D2522FC-9A2B-300D-A2E2-9D2D4F95807A> =
/Applications/Emacs.app/Contents/MacOS/lib-x86_64-10_9/libgnutls.30.dylib
       0x100869000 -        0x100911ff7 +libp11-kit.0.dylib (0) =
<C52FEF00-55F3-313B-B8FC-7D6B82DC0AB9> =
/Applications/Emacs.app/Contents/MacOS/lib-x86_64-10_9/libp11-kit.0.dylib
       0x100960000 -        0x100ab5ff7 +libunistring.2.dylib (0) =
<7F7167EF-8B7D-37C4-9D5C-834C980F13E5> =
/Applications/Emacs.app/Contents/MacOS/lib-x86_64-10_9/libunistring.2.dyli=
b
       0x100acf000 -        0x100adbff7 +libtasn1.6.dylib (0) =
<445DB0AA-67BE-303B-831A-999C92677155> =
/Applications/Emacs.app/Contents/MacOS/lib-x86_64-10_9/libtasn1.6.dylib
       0x100ae2000 -        0x100b09ff7 +libnettle.6.dylib (0) =
<84223DBD-2614-3CE7-99E7-1394FB78B85B> =
/Applications/Emacs.app/Contents/MacOS/lib-x86_64-10_9/libnettle.6.dylib
       0x100b16000 -        0x100b3eff7 +libhogweed.4.dylib (0) =
<8C801F3C-B65B-3964-8085-077984A0EBC3> =
/Applications/Emacs.app/Contents/MacOS/lib-x86_64-10_9/libhogweed.4.dylib
       0x100b49000 -        0x100ba9fff +libgmp.10.dylib (0) =
<25568CD5-E53E-3044-BB5E-CFE382EBABD7> =
/Applications/Emacs.app/Contents/MacOS/lib-x86_64-10_9/libgmp.10.dylib
       0x100bb8000 -        0x100bbdfff +libffi.6.dylib (0) =
<CEB0C094-4678-3F83-8A8C-49FC6BACC2C2> =
/Applications/Emacs.app/Contents/MacOS/lib-x86_64-10_9/libffi.6.dylib
       0x1023c1000 -        0x1023d8ffb  libCGInterfaces.dylib (331.5) =
<17109679-A284-3C72-AA60-DBA815D3062B> =
/System/Library/Frameworks/Accelerate.framework/Frameworks/vImage.framewor=
k/Versions/A/Libraries/libCGInterfaces.dylib
       0x106f9d000 -        0x106fc7fff  GLRendererFloat (14.0.16) =
<6B57F70A-EFAC-3DB2-B9BA-E55D05D44DB5> =
/System/Library/Frameworks/OpenGL.framework/Resources/GLRendererFloat.bund=
le/GLRendererFloat
       0x1097f0000 -        0x1097f4fff  libFontRegistryUI.dylib (196.4) =
<4EEE5715-A024-3A4B-BF0E-D55325B8E129> =
/System/Library/Frameworks/ApplicationServices.framework/Frameworks/ATS.fr=
amework/Resources/libFontRegistryUI.dylib
       0x10b557000 -        0x10b6fdfff  GLEngine (14.0.16) =
<08F2E804-13D2-3E80-9322-1A23A84A55F3> =
/System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEn=
gine
       0x10b804000 -        0x10b805ff1 +cl_kernels (???) =
<13E1097D-299E-47BB-B56E-7877BE776FDD> cl_kernels
       0x10b810000 -        0x10b84ddc7  dyld (0.0 - ???) =
<322C06B7-8878-311D-888C-C8FD2CA96FF3> /usr/lib/dyld
       0x10ba00000 -        0x10bac6ffb  =
com.apple.AMDRadeonX4000GLDriver (1.51.8 - 1.5.1) =
<C418181A-A35B-3731-885E-ED060F6D7FD3> =
/System/Library/Extensions/AMDRadeonX4000GLDriver.bundle/Contents/MacOS/AM=
DRadeonX4000GLDriver
       0x10bae0000 -        0x10bb58ff7  =
com.apple.driver.AppleIntelHD5000GraphicsMTLDriver (10.25.17 - 10.2.5) =
<256C1732-C04F-3952-9630-9AE95BDCB245> =
/System/Library/Extensions/AppleIntelHD5000GraphicsMTLDriver.bundle/Conten=
ts/MacOS/AppleIntelHD5000GraphicsMTLDriver
       0x10c800000 -        0x10cd5bff7  =
com.apple.driver.AppleIntelHD5000GraphicsGLDriver (10.25.17 - 10.2.5) =
<37814D97-7FB0-3378-BF1E-375CE00043ED> =
/System/Library/Extensions/AppleIntelHD5000GraphicsGLDriver.bundle/Content=
s/MacOS/AppleIntelHD5000GraphicsGLDriver
       0x10cf6e000 -        0x10d4acff3  ATIRadeonX4000SCLib.dylib =
(1.51.8.1) <3442701F-DD75-3713-BB62-52C2157D628B> =
/System/Library/Extensions/AMDRadeonX4000GLDriver.bundle/Contents/MacOS/AT=
IRadeonX4000SCLib.dylib
       0x10f200000 -        0x10f2e6fff  unorm8_bgra.dylib (2.8.5) =
<74CB9618-8EDC-336E-A994-C5A1612BD32E> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/ImageForm=
ats/unorm8_bgra.dylib
       0x10f5c0000 -        0x10f6a0fe7  unorm8_rgba.dylib (2.8.5) =
<E3B3D1D1-73DA-3A20-884F-42FFFA59AFB9> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/ImageForm=
ats/unorm8_rgba.dylib
    0x7fffc3c08000 -     0x7fffc3f4dff7  com.apple.RawCamera.bundle =
(7.04 - 914) <86A67D11-9791-3CE6-9FF5-3387C0AB925B> =
/System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
    0x7fffc3f4e000 -     0x7fffc4081ffb  com.apple.AMDMTLBronzeDriver =
(1.51.8 - 1.5.1) <A2694FC9-B7A3-3537-A0AE-D84DBF3D4C2F> =
/System/Library/Extensions/AMDMTLBronzeDriver.bundle/Contents/MacOS/AMDMTL=
BronzeDriver
    0x7fffc5ab3000 -     0x7fffc5ab3fff  com.apple.Accelerate (1.11 - =
Accelerate 1.11) <916E360F-323C-3AE1-AB3D-D1F3B284AEE9> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fffc5acc000 -     0x7fffc5fe5feb  com.apple.vImage (8.1 - ???) =
<B58A7937-BEE2-38FE-87F4-5D5F40D31DC9> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vIma=
ge.framework/Versions/A/vImage
    0x7fffc5fe6000 -     0x7fffc6157ff3  libBLAS.dylib (1185.50.4) =
<4087FFE0-627E-3623-96B4-F0A9A1991E09> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libBLAS.dylib
    0x7fffc6158000 -     0x7fffc616cffb  libBNNS.dylib (15) =
<254698C7-7D36-3FFF-864E-ADEEEE543076> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libBNNS.dylib
    0x7fffc616d000 -     0x7fffc6563fef  libLAPACK.dylib (1185.50.4) =
<C35FFB2F-A0E6-3903-8A3C-113A74BCBCA2> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libLAPACK.dylib
    0x7fffc6564000 -     0x7fffc657afff  libLinearAlgebra.dylib =
(1185.50.4) <345CAACF-7263-36EF-B69B-793EA8B390AF> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libLinearAlgebra.dylib
    0x7fffc657b000 -     0x7fffc6581fff  libQuadrature.dylib (3) =
<EF56C8E6-DE22-3C69-B543-A8648F335FDD> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libQuadrature.dylib
    0x7fffc6582000 -     0x7fffc6596ff7  libSparseBLAS.dylib (1185.50.4) =
<67BA432E-FB59-3C78-A8BE-ED4274CBC359> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libSparseBLAS.dylib
    0x7fffc6597000 -     0x7fffc671efe7  libvDSP.dylib (600.60.1) =
<4155F45B-41CD-3782-AE8F-7AE740FD83C3> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libvDSP.dylib
    0x7fffc671f000 -     0x7fffc67d1fff  libvMisc.dylib (600.60.1) =
<E18365D7-DCC4-3304-A8D1-395E656D7B99> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libvMisc.dylib
    0x7fffc67d2000 -     0x7fffc67d2fff  com.apple.Accelerate.vecLib =
(3.11 - vecLib 3.11) <7C5733E7-0568-3E7D-AF61-160F19FED544> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/vecLib
    0x7fffc6a91000 -     0x7fffc786aff3  com.apple.AppKit (6.9 - =
1504.83.101) <AE51ACB3-D501-3F91-B369-3D3711F24D0A> =
/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fffc787c000 -     0x7fffc787cfff  com.apple.ApplicationServices =
(48 - 48) <DA687F9A-7B2D-342B-8796-16E45344F853> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Applic=
ationServices
    0x7fffc787d000 -     0x7fffc78ebff7  =
com.apple.ApplicationServices.ATS (377 - 422.2) =
<A31D17BE-F747-39FB-9A84-5F2F8891204C> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ATS.framework/Versions/A/ATS
    0x7fffc7985000 -     0x7fffc7ab4ff7  libFontParser.dylib (194.12) =
<73C3946D-EF92-3AC1-89C3-0E75B2A85325> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fffc7ab5000 -     0x7fffc7afffff  libFontRegistry.dylib (196.4) =
<EA96AE47-3369-3DEA-BB82-98348ADBD85B> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fffc7b5c000 -     0x7fffc7b8ffff  libTrueTypeScaler.dylib =
(194.12) <8944A23A-EE36-3657-9B4F-933231C8FDEC> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
    0x7fffc7bfc000 -     0x7fffc7ca6ff7  com.apple.ColorSync (4.12.0 - =
502.2) <ACA4001E-A0E3-33F6-9CD6-EEC2AA15E322> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ColorSync.framework/Versions/A/ColorSync
    0x7fffc7ca7000 -     0x7fffc7cf8fff  com.apple.HIServices (1.22 - =
593) <045870A9-1D92-3FEF-8722-671E99A35E71> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/HIServices.framework/Versions/A/HIServices
    0x7fffc7cf9000 -     0x7fffc7d08ff3  com.apple.LangAnalysis (1.7.0 - =
1.7.0) <2CBE7F61-2056-3F96-99A1-0D527796AFA6> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fffc7d09000 -     0x7fffc7d56fff  =
com.apple.print.framework.PrintCore (12 - 491) =
<5027FD58-F0EE-33E4-8577-934CA06CD2AF> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/PrintCore.framework/Versions/A/PrintCore
    0x7fffc7d57000 -     0x7fffc7d92fff  com.apple.QD (3.12 - 313) =
<B339C41D-8CDF-3342-8414-F9717DCCADD4> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/QD.framework/Versions/A/QD
    0x7fffc7d93000 -     0x7fffc7d9efff  =
com.apple.speech.synthesis.framework (6.6.2 - 6.6.2) =
<7853EFF4-62B9-394E-B7B8-41A645656820> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fffc7d9f000 -     0x7fffc7fabff7  =
com.apple.audio.toolbox.AudioToolbox (1.14 - 1.14) =
<01518CAB-7DAD-3F09-83F8-B9FE0ABE998F> =
/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fffc7fac000 -     0x7fffc7facfff  com.apple.audio.units.AudioUnit =
(1.14 - 1.14) <B92868F8-2F15-32C0-A5BE-4ABA546B8BE1> =
/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fffc8115000 -     0x7fffc84effff  com.apple.CFNetwork (811.5.4 - =
811.5.4) <46B1227B-F38C-3F8E-B0B5-5D9861ABF36B> =
/System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fffc850e000 -     0x7fffc8817fff  com.apple.HIToolbox (2.1.1 - =
857.8) <5367366E-747E-32CF-8E76-93CD8E7424C7> =
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbo=
x.framework/Versions/A/HIToolbox
    0x7fffc8822000 -     0x7fffc88b9ff3  com.apple.ink.framework (10.9 - =
219) <1BD40B45-FD33-3177-A935-565EE5FC79D7> =
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.fram=
ework/Versions/A/Ink
    0x7fffc88da000 -     0x7fffc88e0ff7  =
com.apple.speech.recognition.framework (6.0.1 - 6.0.1) =
<082895DC-3AC7-3DEF-ADCA-5B018C19C9D3> =
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRe=
cognition.framework/Versions/A/SpeechRecognition
    0x7fffc88e1000 -     0x7fffc89c0ffb  com.apple.cloudkit.CloudKit =
(651.14 - 651.14) <9F901E45-23E3-3F45-B66F-1BAB3AFC4462> =
/System/Library/Frameworks/CloudKit.framework/Versions/A/CloudKit
    0x7fffc89c1000 -     0x7fffc89c1fff  com.apple.Cocoa (6.11 - 22) =
<85EDFBE1-75F0-369E-8CA8-C6A639B98FA6> =
/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fffc8b0b000 -     0x7fffc8b98fff  com.apple.audio.CoreAudio =
(4.3.0 - 4.3.0) <78767F88-91D4-31CE-AAC6-1F9407F479BB> =
/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fffc8b99000 -     0x7fffc8bacfff  com.apple.CoreBluetooth (1.0 - =
1) <BCB78777-76F0-3CC1-8443-9E61AEF7EF63> =
/System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetoot=
h
    0x7fffc8bad000 -     0x7fffc8ea8fff  com.apple.CoreData (120 - =
754.2) <4C9CAB2C-60D4-3694-A0A0-5B04B14BD14E> =
/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fffc8ea9000 -     0x7fffc8f56ff7  com.apple.CoreDisplay (1.0 - 1) =
<53D1EAFE-23A4-398D-BF52-E4299E670DB6> =
/System/Library/Frameworks/CoreDisplay.framework/Versions/A/CoreDisplay
    0x7fffc8f57000 -     0x7fffc93f0ff7  com.apple.CoreFoundation (6.9 - =
1349.8) <09ED473E-5DE8-307F-B55C-16F6419236D5> =
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundat=
ion
    0x7fffc93f1000 -     0x7fffc9a73fff  com.apple.CoreGraphics (2.0 - =
1070.22) <FAB476BB-B5CD-3936-8AFC-41229DBDF0E8> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fffc9a74000 -     0x7fffc9cb7ffb  com.apple.CoreImage (12.4.0 - =
451.4.9) <BE4303C9-C9D9-361D-AC94-DBE40EB6700E> =
/System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fffc9cb8000 -     0x7fffc9d1dff7  com.apple.corelocation =
(2101.0.63) <C4C6BE27-85E2-34D5-AEDC-EBB5A7CB78D1> =
/System/Library/Frameworks/CoreLocation.framework/Versions/A/CoreLocation
    0x7fffc9e1c000 -     0x7fffc9e1cfff  com.apple.CoreServices (775.19 =
- 775.19) <7255917D-EFBB-3BE2-A8FD-DAD631BC0949> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fffc9e1d000 -     0x7fffc9e6efff  com.apple.AE (712.5 - 712.5) =
<61F2AE2C-E04E-3FDF-9E88-201325136C83> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE=
.framework/Versions/A/AE
    0x7fffc9e6f000 -     0x7fffca14aff7  =
com.apple.CoreServices.CarbonCore (1159.6 - 1159.6) =
<08AC074C-965B-3EDF-8E45-0707C8DE9EAD> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Ca=
rbonCore.framework/Versions/A/CarbonCore
    0x7fffca14b000 -     0x7fffca17efff  com.apple.DictionaryServices =
(1.2 - 274) <D23866E2-F7C8-3984-A9D4-96552CCDE573> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Di=
ctionaryServices.framework/Versions/A/DictionaryServices
    0x7fffca17f000 -     0x7fffca187ff3  com.apple.CoreServices.FSEvents =
(1230.50.1 - 1230.50.1) <2AD1B0E5-7214-37C4-8D11-A27C9CAC0F74> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FS=
Events.framework/Versions/A/FSEvents
    0x7fffca188000 -     0x7fffca2f4ff7  com.apple.LaunchServices =
(775.19 - 775.19) <B75A0C49-E376-358C-81EE-6EFB0F605801> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/La=
unchServices.framework/Versions/A/LaunchServices
    0x7fffca2f5000 -     0x7fffca3a5ffb  com.apple.Metadata (10.7.0 - =
1075.40) <B2FFCC10-5A9E-396B-B495-3D6C867669EE> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Me=
tadata.framework/Versions/A/Metadata
    0x7fffca3a6000 -     0x7fffca405fff  =
com.apple.CoreServices.OSServices (775.19 - 775.19) =
<4140569A-1848-3765-A52B-BB61C35CF88F> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OS=
Services.framework/Versions/A/OSServices
    0x7fffca406000 -     0x7fffca476fff  com.apple.SearchKit (1.4.0 - =
1.4.0) <7A6DDA2B-03F1-3137-BA9E-1CC211973E26> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Se=
archKit.framework/Versions/A/SearchKit
    0x7fffca477000 -     0x7fffca4bcff7  =
com.apple.coreservices.SharedFileList (38 - 38) =
<DA096678-93AB-3291-BDE2-482F1D544589> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Sh=
aredFileList.framework/Versions/A/SharedFileList
    0x7fffca545000 -     0x7fffca692ffb  com.apple.CoreText (352.0 - =
544.15) <BF0EE575-BB7E-3BF9-9029-232B4ADC24E4> =
/System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fffca693000 -     0x7fffca6c8ff3  com.apple.CoreVideo (1.8 - =
235.3) <AC11D5FB-C77B-34F5-B942-F698E84C229F> =
/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fffca6c9000 -     0x7fffca73affb  com.apple.framework.CoreWLAN =
(11.0 - 1200.31) <E47C0568-E37B-3052-9E77-F0F371DCDE7F> =
/System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
    0x7fffca838000 -     0x7fffca83dfff  com.apple.DiskArbitration (2.7 =
- 2.7) <70F56042-EF04-3BAF-9E04-90F423FB2BCC> =
/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitr=
ation
    0x7fffca9cf000 -     0x7fffcad75fff  com.apple.Foundation (6.9 - =
1349.91) <A37CB4EC-0730-3DD6-9358-60491BF40EF2> =
/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fffcada1000 -     0x7fffcadd2ff7  com.apple.GSS (4.0 - 2.0) =
<6FADED0B-0425-3567-A75A-040C5A4638EB> =
/System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fffcae92000 -     0x7fffcaf35fff  com.apple.Bluetooth (5.0.5 - =
5.0.5f1) <913B97A6-9E18-3F15-992D-D522AA22EDE9> =
/System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
    0x7fffcaf36000 -     0x7fffcafccff7  com.apple.framework.IOKit =
(2.0.2 - 1324.60.3) <7CE4C98B-107C-3AAA-B49A-F2ACFCBBF526> =
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fffcafcd000 -     0x7fffcafd3ffb  com.apple.IOSurface (159.9 - =
159.9) <08F1A246-1367-32EC-B3CE-724379409729> =
/System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fffcb026000 -     0x7fffcb186fef  com.apple.ImageIO.framework =
(3.3.0 - 1599.12) <E54ADBF0-6001-3DEB-AEB0-3F857A781E06> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fffcb187000 -     0x7fffcb18bfff  libGIF.dylib (1599.12) =
<A0836C44-9566-32A3-ACCF-82A5BAF2E521> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.d=
ylib
    0x7fffcb18c000 -     0x7fffcb27cff7  libJP2.dylib (1599.12) =
<0DB4F152-B36D-365C-97B1-34F1C114982B> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.d=
ylib
    0x7fffcb27d000 -     0x7fffcb2a0ffb  libJPEG.dylib (1599.12) =
<2F66BA16-D569-35AD-A4BB-7A1909F1BF11> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.=
dylib
    0x7fffcb2a1000 -     0x7fffcb2c8ff7  libPng.dylib (1599.12) =
<A068239E-7DB3-33AD-BEA9-499D8DEF771B> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.d=
ylib
    0x7fffcb2c9000 -     0x7fffcb2cbff3  libRadiance.dylib (1599.12) =
<D26D6FC9-1175-38AB-ACAA-0CA073FD3978> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadia=
nce.dylib
    0x7fffcb2cc000 -     0x7fffcb31affb  libTIFF.dylib (1599.12) =
<5D161E6A-D279-37A0-9F5F-A71A4C13BB09> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.=
dylib
    0x7fffcc083000 -     0x7fffcc09cff7  com.apple.Kerberos (3.0 - 1) =
<B9D242EB-E325-3A21-9812-C77CBBFB0D51> =
/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fffcc87c000 -     0x7fffcc8d7fff  com.apple.Metal (87.18 - 87.18) =
<E3618B54-C728-34CA-9E8A-9BD33A295D31> =
/System/Library/Frameworks/Metal.framework/Versions/A/Metal
    0x7fffcd1c0000 -     0x7fffcd1c8fff  com.apple.NetFS (6.0 - 4.0) =
<14A24D00-5673-330A-959D-87F72040DEFF> =
/System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fffcd39f000 -     0x7fffcd3a7ff7  libcldcpuengine.dylib (2.8.5) =
<81563526-886E-37E4-BF85-4A6D75F93C65> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/libcldcpu=
engine.dylib
    0x7fffcd3a8000 -     0x7fffcd3f6ff3  com.apple.opencl (2.8.6 - =
2.8.6) <E78463D3-73B6-3002-BD71-9CC1D6722968> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fffcd3f7000 -     0x7fffcd410ffb  com.apple.CFOpenDirectory =
(10.12 - 194) <A64E9A01-3F6E-36EA-9C10-88C564A68C9D> =
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/C=
FOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fffcd411000 -     0x7fffcd41cff7  com.apple.OpenDirectory (10.12 =
- 194) <4298FFD0-B1A7-3064-AF5B-708B3FA38671> =
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirector=
y
    0x7fffcd41d000 -     0x7fffcd41ffff  libCVMSPluginSupport.dylib =
(14.0.16) <9E12EB67-6630-39A0-AB93-77405F5EC2A7> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPl=
uginSupport.dylib
    0x7fffcd420000 -     0x7fffcd423ff7  libCoreFSCache.dylib (156.3) =
<687C4CC3-6537-344B-8BE1-5234C8CB2864> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFS=
Cache.dylib
    0x7fffcd424000 -     0x7fffcd428fff  libCoreVMClient.dylib (156.3) =
<E7AEFCBE-B6BF-3C7C-9A4E-E78CB04DB794> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVM=
Client.dylib
    0x7fffcd429000 -     0x7fffcd432ff7  libGFXShared.dylib (14.0.16) =
<D10C7A01-8A11-3A42-A9FA-C411AE453B27> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXSha=
red.dylib
    0x7fffcd433000 -     0x7fffcd43efff  libGL.dylib (14.0.16) =
<0801F3B9-A525-32BB-9BC0-478947CE21D9> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dyl=
ib
    0x7fffcd43f000 -     0x7fffcd47bff7  libGLImage.dylib (14.0.16) =
<FE39C57B-056C-3CBF-B653-A8F2005631C1> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImag=
e.dylib
    0x7fffcd47c000 -     0x7fffcd5f2ff3  libGLProgrammability.dylib =
(14.0.16) <A95F26AD-D496-3581-A310-5131F61CFB4A> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProg=
rammability.dylib
    0x7fffcd5f3000 -     0x7fffcd634ff7  libGLU.dylib (14.0.16) =
<B285EAD6-B3AA-3753-BB85-75864BD6E76C> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dy=
lib
    0x7fffcdf9c000 -     0x7fffcdfaafff  com.apple.opengl (14.0.16 - =
14.0.16) <167C9883-A79E-3B7F-AFED-8CD6683B291D> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fffceafc000 -     0x7fffcecfcfff  com.apple.QuartzCore (1.11 - =
453.39.4) <A45AFBC4-87D4-3533-A0AC-1D6629C77984> =
/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fffcf263000 -     0x7fffcf565ff7  com.apple.security (7.0 - =
57740.60.18) <005E8C96-40B6-35E3-B58B-888A5F5957C2> =
/System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fffcf566000 -     0x7fffcf5dbfff  com.apple.securityfoundation =
(6.0 - 55132.50.7) <15C53957-A9DE-31AE-A192-949244F47CD7> =
/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/Securit=
yFoundation
    0x7fffcf606000 -     0x7fffcf609ff3  com.apple.xpc.ServiceManagement =
(1.0 - 1) <BE0F9708-0B55-3E78-A15E-C287B8ED13BA> =
/System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceM=
anagement
    0x7fffcf990000 -     0x7fffcf9ffff7  com.apple.SystemConfiguration =
(1.14 - 1.14) <3FFD3930-B307-3E31-9FA6-12221EB0F969> =
/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/System=
Configuration
    0x7fffd2256000 -     0x7fffd2271ff3  com.apple.AppContainer (4.0 - =
307.50.21) <C2E6BA3D-81FF-39C3-B4BF-DBB9A17DE078> =
/System/Library/PrivateFrameworks/AppContainer.framework/Versions/A/AppCon=
tainer
    0x7fffd2272000 -     0x7fffd227fff3  com.apple.AppSandbox (4.0 - =
307.50.21) <BF9FA426-8C11-358B-9E1F-A3901E3F2B14> =
/System/Library/PrivateFrameworks/AppSandbox.framework/Versions/A/AppSandb=
ox
    0x7fffd2280000 -     0x7fffd22a2ffb  com.apple.framework.Apple80211 =
(12.0 - 1200.47) <C3033EEE-771A-3664-BBDD-BE1F6D075FC7> =
/System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple802=
11
    0x7fffd22a3000 -     0x7fffd22b2feb  com.apple.AppleFSCompression =
(88.50.3 - 1.0) <478E8BFF-8BA2-375E-BE02-BA27F115C15A> =
/System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/=
AppleFSCompression
    0x7fffd23a0000 -     0x7fffd242b97f  com.apple.AppleJPEG (1.0 - 1) =
<B9E9570D-04A4-34E4-B756-D200043B25B8> =
/System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG=

    0x7fffd24c4000 -     0x7fffd24cbff7  com.apple.AssetCacheServices =
(48.3 - 48.3) <C59F7295-36D8-3109-A910-C83D884CC92C> =
/System/Library/PrivateFrameworks/AssetCacheServices.framework/Versions/A/=
AssetCacheServices
    0x7fffd285e000 -     0x7fffd28dcff7  com.apple.backup.framework =
(1.8.5 - 1.8.5) <CC679891-E8F5-3166-8EB6-AEA06954A52D> =
/System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fffd3567000 -     0x7fffd358eff3  com.apple.ChunkingLibrary (173 =
- 173) <FC2165F9-FC93-39C0-8323-C2F43A5E00A3> =
/System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/Chu=
nkingLibrary
    0x7fffd358f000 -     0x7fffd361bff7  com.apple.CloudDocs (1.0 - =
486.29) <392B87EC-0317-313F-8FE2-F571831C7F35> =
/System/Library/PrivateFrameworks/CloudDocs.framework/Versions/A/CloudDocs=

    0x7fffd3eb3000 -     0x7fffd3ebcffb  com.apple.CommonAuth (4.0 - =
2.0) <216950CB-269F-3476-BA17-D6363AC49FBC> =
/System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAu=
th
    0x7fffd4605000 -     0x7fffd4615fff  com.apple.CoreEmoji (1.0 - =
40.3.3) <E9A28301-2D79-3A97-A046-028258A6ABE5> =
/System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji=

    0x7fffd4950000 -     0x7fffd4980ff3  com.apple.CoreServicesInternal =
(276.2 - 276.2) <05EB7D45-DD4C-3A0F-AC63-A0C2A68E6481> =
/System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/=
A/CoreServicesInternal
    0x7fffd4c11000 -     0x7fffd4ca0ff7  com.apple.CoreSymbolication =
(62046) <7839CD8E-011D-3567-88DE-3D472C661136> =
/System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/C=
oreSymbolication
    0x7fffd4ca1000 -     0x7fffd4de0fe7  com.apple.coreui (2.1 - 431.3) =
<2E8FEC10-FC5B-3782-92DA-A85C24B7BF7C> =
/System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fffd4de1000 -     0x7fffd4eb1ff3  com.apple.CoreUtils (5.1 - =
510.31) <E68BB8ED-8874-36EC-A7C5-1017C0E727CB> =
/System/Library/PrivateFrameworks/CoreUtils.framework/Versions/A/CoreUtils=

    0x7fffd4f01000 -     0x7fffd4f66ff3  com.apple.framework.CoreWiFi =
(12.0 - 1200.31) <DF0972EF-F817-3FD3-8C00-2D57B8738D8C> =
/System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi
    0x7fffd4f67000 -     0x7fffd4f75ff7  com.apple.CrashReporterSupport =
(10.12 - 827) <802A9B81-E349-348B-90AB-10E40B654250> =
/System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/=
A/CrashReporterSupport
    0x7fffd4fe7000 -     0x7fffd4ff1ffb  =
com.apple.framework.DFRFoundation (1.0 - 104.25) =
<7CFF896C-EF22-3941-BB3D-F3615CE4C908> =
/System/Library/PrivateFrameworks/DFRFoundation.framework/Versions/A/DFRFo=
undation
    0x7fffd4ff2000 -     0x7fffd4ff6ff3  com.apple.DSExternalDisplay =
(3.1 - 380) <4B5E3FF0-E8C3-38CC-BF72-418C928956AB> =
/System/Library/PrivateFrameworks/DSExternalDisplay.framework/Versions/A/D=
SExternalDisplay
    0x7fffd502c000 -     0x7fffd50a1ffb  com.apple.datadetectorscore =
(7.0 - 539.1) <74595F6C-8283-3C73-9F56-C6FA957F8B94> =
/System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/D=
ataDetectorsCore
    0x7fffd50dd000 -     0x7fffd511cfff  com.apple.DebugSymbols (137 - =
137) <58A70B66-2628-3CFE-B103-2200D95FC5F7> =
/System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugS=
ymbols
    0x7fffd511d000 -     0x7fffd522efff  com.apple.desktopservices =
(1.11.5 - 1.11.5) <46A9D4F3-1EF8-373C-98A4-AD48D285E484> =
/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A=
/DesktopServicesPriv
    0x7fffd5516000 -     0x7fffd5947ff7  com.apple.vision.FaceCore =
(3.3.2 - 3.3.2) <9391D5A3-738C-3136-9D07-518CB43DBADA> =
/System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
    0x7fffd6c9e000 -     0x7fffd6c9efff  libmetal_timestamp.dylib =
(600.0.49.9) <E5EED927-1671-3390-BCBB-D76201D63C73> =
/System/Library/PrivateFrameworks/GPUCompiler.framework/libmetal_timestamp=
.dylib
    0x7fffd6cab000 -     0x7fffd6cb6ff3  libGPUSupportMercury.dylib =
(14.0.16) <7EE3DA75-2F9D-3C6D-AECD-F73EA47BE81B> =
/System/Library/PrivateFrameworks/GPUSupport.framework/Versions/A/Librarie=
s/libGPUSupportMercury.dylib
    0x7fffd6f6f000 -     0x7fffd6f8bfff  com.apple.GenerationalStorage =
(2.0 - 267.1) <3DE1C580-D089-362D-8582-8DE68A3C5F13> =
/System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A=
/GenerationalStorage
    0x7fffd6fa4000 -     0x7fffd7656fff  com.apple.GeoServices (1.0 - =
1228.24.9.30.34) <96BF97F6-8FF2-3FC4-A8C1-498CB7B0D9A0> =
/System/Library/PrivateFrameworks/GeoServices.framework/Versions/A/GeoServ=
ices
    0x7fffd769c000 -     0x7fffd7712ff3  com.apple.Heimdal (4.0 - 2.0) =
<8F9C9041-66D5-36C9-8A4C-1658035C311D> =
/System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fffd7d22000 -     0x7fffd7d2cfff  com.apple.IOAccelMemoryInfo =
(1.0 - 1) <0103E4A2-F6E6-3224-9088-650B6D4BF12D> =
/System/Library/PrivateFrameworks/IOAccelMemoryInfo.framework/Versions/A/I=
OAccelMemoryInfo
    0x7fffd7d2d000 -     0x7fffd7d34ffb  com.apple.IOAccelerator (311.14 =
- 311.14) <278124AF-02DC-3785-9FA9-14EDB8E5FD56> =
/System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAcc=
elerator
    0x7fffd7d36000 -     0x7fffd7d4aff7  com.apple.IOPresentment (1.0 - =
29.10) <30DF04EE-10E2-353F-845F-A97B87DF3207> =
/System/Library/PrivateFrameworks/IOPresentment.framework/Versions/A/IOPre=
sentment
    0x7fffd7d4b000 -     0x7fffd7d6dfff  com.apple.IconServices (74.4 - =
74.4) <218DDD05-35F4-3833-B98D-471ED0EBC031> =
/System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconSe=
rvices
    0x7fffd7e54000 -     0x7fffd800bfff  com.apple.LanguageModeling (1.0 =
- 123.2.5) <A8CA965F-0399-310D-91C3-B93DDDE9A442> =
/System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/La=
nguageModeling
    0x7fffd8107000 -     0x7fffd81c9ff3  com.apple.MMCS (1.3 - 385.4) =
<D3D76CE0-DE05-373E-B757-9E4B4920565D> =
/System/Library/PrivateFrameworks/MMCS.framework/Versions/A/MMCS
    0x7fffd892c000 -     0x7fffd89a5ff7  =
com.apple.MetalPerformanceShaders.MetalPerformanceShaders (1.0 - 1) =
<C323FC94-FFA5-3EE6-B2AC-7E61EA92F304> =
/System/Library/PrivateFrameworks/MetalPerformanceShaders.framework/Versio=
ns/A/MetalPerformanceShaders
    0x7fffd8b4f000 -     0x7fffd8b77ff7  =
com.apple.MultitouchSupport.framework (368.16 - 368.16) =
<9E602B4A-22CD-3CF3-B284-78D5123C9AE8> =
/System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/M=
ultitouchSupport
    0x7fffd8c29000 -     0x7fffd8c34fff  com.apple.NetAuth (6.2 - 6.2) =
<97F487D6-8089-31A8-B68C-6C1EAC6ED1B5> =
/System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fffd950c000 -     0x7fffd954dff3  com.apple.PerformanceAnalysis =
(1.148.3 - 148.3) <4E468BC7-F863-3674-909D-417231EB8C28> =
/System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A=
/PerformanceAnalysis
    0x7fffd9bfa000 -     0x7fffd9c34ffb  com.apple.ProtectedCloudStorage =
(1.0 - 1) <8B32A7EC-D371-38E3-A286-F1BE1307F1E1> =
/System/Library/PrivateFrameworks/ProtectedCloudStorage.framework/Versions=
/A/ProtectedCloudStorage
    0x7fffd9c35000 -     0x7fffd9c4ffff  com.apple.ProtocolBuffer (1 - =
249.1) <A1F1B0F3-078F-378F-A9A9-0DEEA70E816A> =
/System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/Prot=
ocolBuffer
    0x7fffd9c68000 -     0x7fffd9c8bff3  com.apple.RemoteViewServices =
(2.0 - 124) <6B967FDA-6591-302C-BA0A-76C4856E584E> =
/System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/=
RemoteViewServices
    0x7fffda955000 -     0x7fffda958fff  com.apple.SecCodeWrapper (4.0 - =
307.50.21) <F8E957B2-D3F0-3B73-B38C-AE8868F00939> =
/System/Library/PrivateFrameworks/SecCodeWrapper.framework/Versions/A/SecC=
odeWrapper
    0x7fffda9e7000 -     0x7fffdaa74fff  com.apple.Sharing (696.2.67 - =
696.2.67) <F681EE28-153F-3216-97A6-6F5E4148AB2E> =
/System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
    0x7fffdaa95000 -     0x7fffdacfbfeb  com.apple.SkyLight (1.600.0 - =
170.3) <38AC05EF-3A9E-3E3E-9849-04E0223DF7B9> =
/System/Library/PrivateFrameworks/SkyLight.framework/Versions/A/SkyLight
    0x7fffdaeda000 -     0x7fffdaee6ff7  com.apple.SpeechRecognitionCore =
(3.3.2 - 3.3.2) <684BD1EA-8268-331C-A5A9-080EB375C658> =
/System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions=
/A/SpeechRecognitionCore
    0x7fffdb5d2000 -     0x7fffdb646fdf  com.apple.Symbolication =
(62048.1) <1A30ED19-7532-3F46-9DD3-9879A973D0CF> =
/System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbo=
lication
    0x7fffdba85000 -     0x7fffdba8bff7  com.apple.TCC (1.0 - 1) =
<911B534B-4AC7-34E4-935E-E42ECD008CBC> =
/System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fffdbb17000 -     0x7fffdbbddff7  com.apple.TextureIO (2.8 - 2.8) =
<3D61E533-4156-3B21-B7ED-CB823E680DFC> =
/System/Library/PrivateFrameworks/TextureIO.framework/Versions/A/TextureIO=

    0x7fffdbc51000 -     0x7fffdbc52fff  com.apple.TrustEvaluationAgent =
(2.0 - 28.50.1) <EBE65DD5-1732-3747-8C6C-7BECEBF089A4> =
/System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/=
A/TrustEvaluationAgent
    0x7fffdbc53000 -     0x7fffdbde3ff3  com.apple.UIFoundation (1.0 - =
490.7) <2A3063FE-1790-3510-8A0E-AEC581D42B7E> =
/System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoun=
dation
    0x7fffdc8b2000 -     0x7fffdc972fff  com.apple.ViewBridge (283 - =
283) <25A635B3-C87C-3D3A-ADF3-539713FA1048> =
/System/Library/PrivateFrameworks/ViewBridge.framework/Versions/A/ViewBrid=
ge
    0x7fffdcdbd000 -     0x7fffdcdc3fff  com.apple.XPCService (2.0 - 1) =
<4B28B225-2105-33F4-9ED0-F04288FF4FB1> =
/System/Library/PrivateFrameworks/XPCService.framework/Versions/A/XPCServi=
ce
    0x7fffdce94000 -     0x7fffdce96ffb  com.apple.loginsupport (1.0 - =
1) <F3140B97-12C3-35A7-9D3D-43DA2D13C113> =
/System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/lo=
ginsupport.framework/Versions/A/loginsupport
    0x7fffdceeb000 -     0x7fffdcf06ff7  libCRFSuite.dylib (34) =
<F78B7F5F-0B4F-35C6-AA2F-84EE9CB22137> /usr/lib/libCRFSuite.dylib
    0x7fffdcf07000 -     0x7fffdcf12fff  libChineseTokenizer.dylib (21) =
<0886E908-A825-36AF-B94B-2361FD8BC2A1> =
/usr/lib/libChineseTokenizer.dylib
    0x7fffdcfa4000 -     0x7fffdcfa5ff3  =
libDiagnosticMessagesClient.dylib (102) =
<84A04D24-0E60-3810-A8C0-90A65E2DF61A> =
/usr/lib/libDiagnosticMessagesClient.dylib
    0x7fffdcfa6000 -     0x7fffdd1b9fff  libFosl_dynamic.dylib (16.39) =
<E22A4243-D148-3C74-BA15-2D906A3D1F9E> /usr/lib/libFosl_dynamic.dylib
    0x7fffdd1d5000 -     0x7fffdd1dcfff  libMatch.1.dylib (27) =
<70D4BD2A-9383-37F2-B0D6-9B592D236601> /usr/lib/libMatch.1.dylib
    0x7fffdd1dd000 -     0x7fffdd1ddfff  libOpenScriptingUtil.dylib =
(172) <90743888-C1E8-34E3-924E-1A754B2B63B9> =
/usr/lib/libOpenScriptingUtil.dylib
    0x7fffdd1de000 -     0x7fffdd1e2ffb  libScreenReader.dylib =
(477.40.6) <CBE6420C-EF60-3ACD-A0B6-7CBE936BA3B8> =
/usr/lib/libScreenReader.dylib
    0x7fffdd1e3000 -     0x7fffdd1e4ffb  libSystem.B.dylib (1238.60.2) =
<F18AC1E7-C6F1-34B1-8069-BE571B3231D4> /usr/lib/libSystem.B.dylib
    0x7fffdd250000 -     0x7fffdd27bff3  libarchive.2.dylib (41.70.1) =
<A3FA7D6E-3D68-3524-8B48-EB2ECA44B13B> /usr/lib/libarchive.2.dylib
    0x7fffdd27c000 -     0x7fffdd2f8fc7  libate.dylib (1.12.13) =
<D0767875-D02E-3377-84D8-5F174C27BEA9> /usr/lib/libate.dylib
    0x7fffdd2fc000 -     0x7fffdd2fcff3  libauto.dylib (187) =
<34388D0B-C539-3C1B-9408-2BC152162E43> /usr/lib/libauto.dylib
    0x7fffdd2fd000 -     0x7fffdd30dff3  libbsm.0.dylib (34) =
<20084796-B04D-3B35-A003-EA11459557A9> /usr/lib/libbsm.0.dylib
    0x7fffdd30e000 -     0x7fffdd31cff7  libbz2.1.0.dylib (38) =
<ADFA329A-DCE7-356D-8F09-A3168DFC6610> /usr/lib/libbz2.1.0.dylib
    0x7fffdd31d000 -     0x7fffdd373ff7  libc++.1.dylib (307.5) =
<0B43BB5D-E6EB-3464-8DE9-B41AC8ED9D1C> /usr/lib/libc++.1.dylib
    0x7fffdd374000 -     0x7fffdd39dff7  libc++abi.dylib (307.4) =
<BC271AD3-831B-362A-9DA7-E8C51F285FE4> /usr/lib/libc++abi.dylib
    0x7fffdd39e000 -     0x7fffdd3aeffb  libcmph.dylib (6) =
<2B5D405E-2D0B-3320-ABD6-622934C86ABE> /usr/lib/libcmph.dylib
    0x7fffdd3af000 -     0x7fffdd3c5fcf  libcompression.dylib (39) =
<F2726F95-F54E-3B21-BCB5-F7151DEFDC2F> /usr/lib/libcompression.dylib
    0x7fffdd3c6000 -     0x7fffdd3c6ff7  libcoretls.dylib (121.50.4) =
<64B1001E-10F6-3542-A3B2-C4B49F51817F> /usr/lib/libcoretls.dylib
    0x7fffdd3c7000 -     0x7fffdd3c8ff3  libcoretls_cfhelpers.dylib =
(121.50.4) <1A10303E-5EB0-3C7C-9165-021FCDFD934D> =
/usr/lib/libcoretls_cfhelpers.dylib
    0x7fffdd482000 -     0x7fffdd567ff7  libcrypto.0.9.8.dylib (64.50.6) =
<D34E16A7-990A-37A9-933A-DFAA46554EAA> /usr/lib/libcrypto.0.9.8.dylib
    0x7fffdd705000 -     0x7fffdd758ff7  libcups.2.dylib (450) =
<9950BFCB-7882-33C9-9ECF-CE66773C5657> /usr/lib/libcups.2.dylib
    0x7fffdd7d5000 -     0x7fffdd7d5fff  libenergytrace.dylib (15) =
<A1B040A2-7977-3097-9ADF-34FF181EB970> /usr/lib/libenergytrace.dylib
    0x7fffdd7e5000 -     0x7fffdd7eaff7  libheimdal-asn1.dylib =
(498.50.8) <A40E3196-235E-34CE-AD9A-8D1AFC5DE004> =
/usr/lib/libheimdal-asn1.dylib
    0x7fffdd7eb000 -     0x7fffdd8ddff7  libiconv.2.dylib (50) =
<42125B35-81D7-3FC4-9475-A26DBE10884D> /usr/lib/libiconv.2.dylib
    0x7fffdd8de000 -     0x7fffddb03ffb  libicucore.A.dylib (57166.0.1) =
<CCD2ED24-3071-383B-925D-8D763BB12A6F> /usr/lib/libicucore.A.dylib
    0x7fffddb09000 -     0x7fffddb0afff  liblangid.dylib (126) =
<2085E7A7-9A34-3735-87F4-F174EF8EABF0> /usr/lib/liblangid.dylib
    0x7fffddb0b000 -     0x7fffddb24ffb  liblzma.5.dylib (10) =
<44BD0279-99DD-36B5-8A6E-C11432E2098D> /usr/lib/liblzma.5.dylib
    0x7fffddb25000 -     0x7fffddb3bff7  libmarisa.dylib (5) =
<9030D214-5D0F-30CB-AC03-902C63909362> /usr/lib/libmarisa.dylib
    0x7fffddb3c000 -     0x7fffddde4ff7  libmecabra.dylib (744.8) =
<D429FCC9-42A4-38B3-8784-44024BC859EF> /usr/lib/libmecabra.dylib
    0x7fffddde5000 -     0x7fffdde16ffb  libncurses.5.4.dylib (51.30.1) =
<B03B1BD2-7080-3856-BB02-7E8238320C3B> /usr/lib/libncurses.5.4.dylib
    0x7fffdde17000 -     0x7fffdde91ff3  libnetwork.dylib (856.60.1) =
<191E99F5-4723-3180-8013-02AF2F9AE4B8> /usr/lib/libnetwork.dylib
    0x7fffdde92000 -     0x7fffde264047  libobjc.A.dylib (709.1) =
<70614861-0340-32E2-85ED-FE65759CDFFA> /usr/lib/libobjc.A.dylib
    0x7fffde267000 -     0x7fffde26bfff  libpam.2.dylib (21.30.1) =
<71EB0D88-DE84-3C8D-A2C5-58AA282BC5BC> /usr/lib/libpam.2.dylib
    0x7fffde26c000 -     0x7fffde29dfff  libpcap.A.dylib (67.60.1) =
<F6BC6ED6-AEE4-3520-B248-0C342636E2B0> /usr/lib/libpcap.A.dylib
    0x7fffde2ba000 -     0x7fffde2d6ffb  libresolv.9.dylib (64) =
<A244AE4C-00B0-396C-98FF-97FE4DB3DA30> /usr/lib/libresolv.9.dylib
    0x7fffde2d7000 -     0x7fffde310fff  libsandbox.1.dylib (592.70.1) =
<9C428C49-9D9A-3F9F-9573-BF5202D1F933> /usr/lib/libsandbox.1.dylib
    0x7fffde326000 -     0x7fffde474ff7  libsqlite3.dylib (254.8) =
<1ECF7DF7-7A07-3B4B-A63B-F4EFF6BC7ACF> /usr/lib/libsqlite3.dylib
    0x7fffde569000 -     0x7fffde576fff  libxar.1.dylib (357) =
<69547C64-E811-326F-BBED-490C6361BDCB> /usr/lib/libxar.1.dylib
    0x7fffde577000 -     0x7fffde666fff  libxml2.2.dylib (30.17) =
<D4C3E467-37C6-34DE-8A1B-E7BFC29985E9> /usr/lib/libxml2.2.dylib
    0x7fffde667000 -     0x7fffde690fff  libxslt.1.dylib (15.9) =
<00735AD5-B62D-3E83-86AC-5533E4E2B102> /usr/lib/libxslt.1.dylib
    0x7fffde691000 -     0x7fffde6a2ff3  libz.1.dylib (67) =
<46E3FFA2-4328-327A-8D34-A03E20BFFB8E> /usr/lib/libz.1.dylib
    0x7fffde6b1000 -     0x7fffde6b5ff7  libcache.dylib (79) =
<093A4DAB-8385-3D47-A350-E20CB7CCF7BF> /usr/lib/system/libcache.dylib
    0x7fffde6b6000 -     0x7fffde6c0fff  libcommonCrypto.dylib =
(60092.50.5) <8A64D1B0-C70E-385C-92F0-E669079FDA90> =
/usr/lib/system/libcommonCrypto.dylib
    0x7fffde6c1000 -     0x7fffde6c8fff  libcompiler_rt.dylib (62) =
<55D47421-772A-32AB-B529-1A46C2F43B4D> =
/usr/lib/system/libcompiler_rt.dylib
    0x7fffde6c9000 -     0x7fffde6d1fff  libcopyfile.dylib (138) =
<819BEA3C-DF11-3E3D-A1A1-5A51C5BF1961> /usr/lib/system/libcopyfile.dylib
    0x7fffde6d2000 -     0x7fffde755fdf  libcorecrypto.dylib (442.50.19) =
<65D7165E-2E71-335D-A2D6-33F78E2DF0C1> =
/usr/lib/system/libcorecrypto.dylib
    0x7fffde756000 -     0x7fffde787fff  libdispatch.dylib (703.50.37) =
<6582BAD6-ED27-3B30-B620-90B1C5A4AE3C> /usr/lib/system/libdispatch.dylib
    0x7fffde788000 -     0x7fffde78dffb  libdyld.dylib (433.5) =
<9B2AC56D-107C-3541-A127-9094A751F2C9> /usr/lib/system/libdyld.dylib
    0x7fffde78e000 -     0x7fffde78effb  libkeymgr.dylib (28) =
<7AA011A9-DC21-3488-BF73-3B5B14D1FDD6> /usr/lib/system/libkeymgr.dylib
    0x7fffde78f000 -     0x7fffde79bfff  libkxld.dylib (3789.70.16) =
<BD02EF3F-6E09-3A64-AB21-553D5B1D2859> /usr/lib/system/libkxld.dylib
    0x7fffde79c000 -     0x7fffde79cfff  liblaunch.dylib (972.70.1) =
<B856ABD2-896E-3DE0-B2C8-146A6AF8E2A7> /usr/lib/system/liblaunch.dylib
    0x7fffde79d000 -     0x7fffde7a2ff3  libmacho.dylib (898) =
<17D5D855-F6C3-3B04-B680-E9BF02EF8AED> /usr/lib/system/libmacho.dylib
    0x7fffde7a3000 -     0x7fffde7a5ff3  libquarantine.dylib (85.50.1) =
<12448CC2-378E-35F3-BE33-9DC395A5B970> =
/usr/lib/system/libquarantine.dylib
    0x7fffde7a6000 -     0x7fffde7a7ffb  libremovefile.dylib (45) =
<38D4CB9C-10CD-30D3-8B7B-A515EC75FE85> =
/usr/lib/system/libremovefile.dylib
    0x7fffde7a8000 -     0x7fffde7c0ff7  libsystem_asl.dylib (349.50.5) =
<096E4228-3B7C-30A6-8B13-EC909A64499A> =
/usr/lib/system/libsystem_asl.dylib
    0x7fffde7c1000 -     0x7fffde7c1ff7  libsystem_blocks.dylib (67) =
<10DC5404-73AB-35B3-A277-A8AFECB476EB> =
/usr/lib/system/libsystem_blocks.dylib
    0x7fffde7c2000 -     0x7fffde84ffef  libsystem_c.dylib (1158.50.2) =
<E5AE5244-7D0C-36AC-8BB6-C7AE7EA52A4B> /usr/lib/system/libsystem_c.dylib
    0x7fffde850000 -     0x7fffde853ffb  libsystem_configuration.dylib =
(888.60.2) <BECC01A2-CA8D-31E6-BCDF-D452965FA976> =
/usr/lib/system/libsystem_configuration.dylib
    0x7fffde854000 -     0x7fffde857fff  libsystem_coreservices.dylib =
(41.4) <7D26DE79-B424-3450-85E1-F7FAB32714AB> =
/usr/lib/system/libsystem_coreservices.dylib
    0x7fffde858000 -     0x7fffde870fff  libsystem_coretls.dylib =
(121.50.4) <EC6FCF07-DCFB-3A03-9CC9-6DD3709974C6> =
/usr/lib/system/libsystem_coretls.dylib
    0x7fffde871000 -     0x7fffde877fff  libsystem_dnssd.dylib =
(765.50.9) <CC960215-0B1B-3822-A13A-3DDE96FA796F> =
/usr/lib/system/libsystem_dnssd.dylib
    0x7fffde878000 -     0x7fffde8a1ff7  libsystem_info.dylib (503.50.4) =
<611DB84C-BF70-3F92-8702-B9F28A900920> =
/usr/lib/system/libsystem_info.dylib
    0x7fffde8a2000 -     0x7fffde8c4ff7  libsystem_kernel.dylib =
(3789.70.16) <34B1F16C-BC9C-3C5F-9045-0CAE91CB5914> =
/usr/lib/system/libsystem_kernel.dylib
    0x7fffde8c5000 -     0x7fffde90cfe7  libsystem_m.dylib (3121.6) =
<86D499B5-BBDC-3D3B-8A4E-97AE8E6672A4> /usr/lib/system/libsystem_m.dylib
    0x7fffde90d000 -     0x7fffde92bff7  libsystem_malloc.dylib =
(116.50.8) <A3D15F17-99A6-3367-8C7E-4280E8619C95> =
/usr/lib/system/libsystem_malloc.dylib
    0x7fffde92c000 -     0x7fffde985ffb  libsystem_network.dylib =
(856.60.1) <369D0221-56CA-3C3E-9EDE-94B41CAE77B7> =
/usr/lib/system/libsystem_network.dylib
    0x7fffde986000 -     0x7fffde98fff3  =
libsystem_networkextension.dylib (563.60.2) =
<B021F2B3-8A75-3633-ABB0-FC012B8E9B0C> =
/usr/lib/system/libsystem_networkextension.dylib
    0x7fffde990000 -     0x7fffde999ff3  libsystem_notify.dylib =
(165.20.1) <B8160190-A069-3B3A-BDF6-2AA408221FAE> =
/usr/lib/system/libsystem_notify.dylib
    0x7fffde99a000 -     0x7fffde9a2fe7  libsystem_platform.dylib =
(126.50.8) <897462FD-B318-321B-A554-E61982630F7E> =
/usr/lib/system/libsystem_platform.dylib
    0x7fffde9a3000 -     0x7fffde9adff7  libsystem_pthread.dylib =
(218.60.3) <B8FB5E20-3295-39E2-B5EB-B464D1D4B104> =
/usr/lib/system/libsystem_pthread.dylib
    0x7fffde9ae000 -     0x7fffde9b1ff7  libsystem_sandbox.dylib =
(592.70.1) <4B92EC49-ACD0-36AE-B07A-A2B8152EAF9D> =
/usr/lib/system/libsystem_sandbox.dylib
    0x7fffde9b2000 -     0x7fffde9b3ff3  libsystem_secinit.dylib =
(24.50.4) <F78B847B-3565-3E4B-98A6-F7AD40392E2D> =
/usr/lib/system/libsystem_secinit.dylib
    0x7fffde9b4000 -     0x7fffde9bbffb  libsystem_symptoms.dylib =
(532.50.47) <3390E07C-C1CE-348F-ADBD-2C5440B45EAA> =
/usr/lib/system/libsystem_symptoms.dylib
    0x7fffde9bc000 -     0x7fffde9cfff7  libsystem_trace.dylib =
(518.70.1) <AC63A7FE-50D9-3A30-96E6-F6B7FF16E465> =
/usr/lib/system/libsystem_trace.dylib
    0x7fffde9d0000 -     0x7fffde9d5ffb  libunwind.dylib (35.3) =
<3D50D8A8-C460-334D-A519-2DA841102C6B> /usr/lib/system/libunwind.dylib
    0x7fffde9d6000 -     0x7fffde9ffff7  libxpc.dylib (972.70.1) =
<BF896DF0-D8E9-31A8-A4B3-01120BFEEE52> /usr/lib/system/libxpc.dylib
Sample analysis of process 16670 written to file /dev/stdout

--Apple-Mail=_85F2124C-3B7C-498A-AC6F-D9E14EE48552
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; -webkit-line-break: after-white-space;" =
class=3D""><div class=3D""></div><div class=3D""><br class=3D""></div><div=
 class=3D""><br class=3D""></div><br class=3D""><div><blockquote =
type=3D"cite" class=3D""><div class=3D"">On 30 Jul 2017, at 13:55, Alan =
Third &lt;<a href=3D"mailto:alan@HIDDEN" =
class=3D"">alan@HIDDEN</a>&gt; wrote:</div></blockquote><blockquote =
type=3D"cite" class=3D""><br class=3D"Apple-interchange-newline"><div =
class=3D""><div class=3D"">On Sun, Jul 30, 2017 at 12:44:24AM +0200, =
Nejc Vivod wrote:<br class=3D""><blockquote type=3D"cite" class=3D"">Emacs=
 installed via homebrew (--with-cocoa enabled) freezes with 100%<br =
class=3D"">CPU usage when opening a file that contains unicode emojis. =
Other<br class=3D"">editors handle the file just fine (and default mac =
emacs opens it, but<br class=3D"">doesn't display emojis).<br =
class=3D"">Steps to reproduce:<br class=3D"">1. emacs -Q<br class=3D"">2. =
open a file that contains a unicode emoji (my test file has a burger =
icon in it - =F0=9F=8D=94)<br class=3D"">3. emacs will stop responding =
and keep the CPU at 100%<br class=3D""></blockquote><br class=3D"">I =
can=E2=80=99t reproduce this with the master branch. Are you sure it=E2=80=
=99s just<br class=3D"">the presence of the emoji and not something =
else?<br class=3D""><br class=3D"">I used this command to create a test =
file:<br class=3D""><br class=3D""> &nbsp;&nbsp;&nbsp;echo "=F0=9F=8D=94" =
&gt; /tmp/test.txt<br class=3D""><br class=3D""><blockquote type=3D"cite" =
class=3D"">Is there a way to at least not display emojis (I=E2=80=99m =
fine with blocks)?<br class=3D""></blockquote><br class=3D"">GUI Emacs =
doesn=E2=80=99t display emojis. It=E2=80=99s possible homebrew have =
included<br class=3D"">a patch to enable them.<br class=3D""><br =
class=3D"">Can you test with a build direct from git, or a nightly build =
from<br class=3D""><a href=3D"http://emacsformacosx.com" =
class=3D"">emacsformacosx.com</a>?<br class=3D"">-- <br class=3D"">Alan =
Third<br class=3D""></div></div></blockquote></div><br =
class=3D""></body></html>=

--Apple-Mail=_85F2124C-3B7C-498A-AC6F-D9E14EE48552--

--Apple-Mail=_487C3158-341E-444A-919F-D5EDBCBD01E3--

--Apple-Mail=_0F8106A7-45B6-4BF5-B571-AF9F740AB493
Content-Disposition: attachment;
	filename=smime.p7s
Content-Type: application/pkcs7-signature;
	name=smime.p7s
Content-Transfer-Encoding: base64
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--Apple-Mail=_0F8106A7-45B6-4BF5-B571-AF9F740AB493--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27872; Package emacs. Full text available.

Message received at 27872 <at> debbugs.gnu.org:


Received: (at 27872) by debbugs.gnu.org; 30 Jul 2017 15:29:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 11:29:38 2017
Received: from localhost ([127.0.0.1]:34423 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dbq9y-0005qn-Fx
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2017 11:29:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47422)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dbq9w-0005qZ-OS
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 11:29:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dbq9o-0002hO-Du
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 11:29:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58226)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dbq9o-0002hK-A0; Sun, 30 Jul 2017 11:29:28 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2348
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dbq9n-0001yh-O2; Sun, 30 Jul 2017 11:29:28 -0400
Date: Sun, 30 Jul 2017 18:29:21 +0300
Message-Id: <83tw1u0wq6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alan Third <alan@HIDDEN>
In-reply-to: <20170730150605.GA19287@HIDDEN> (message from
 Alan Third on Sun, 30 Jul 2017 16:06:05 +0100)
Subject: Re: bug#27872: 26.0.50; freeze when opening file with emojis
References: <81029CAB-B75D-4396-B174-1B929A8D2CBB@HIDDEN>
 <20170730115513.GA2137@HIDDEN>
 <C2A4055F-10D3-4C42-AB97-B8BF7E3E16E1@HIDDEN>
 <20170730123416.GC2137@HIDDEN>
 <DF01DF05-F40D-4A4E-8335-C7159FF99056@HIDDEN>
 <20170730130458.GA19175@HIDDEN>
 <83y3r6101q.fsf@HIDDEN>
 <42AD47D2-6C68-4AF2-AD66-92E2E4F12794@HIDDEN>
 <83wp6q0zl4.fsf@HIDDEN> <20170730150605.GA19287@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 27872
Cc: 27872 <at> debbugs.gnu.org, nvivod@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Sun, 30 Jul 2017 16:06:05 +0100
> From: Alan Third <alan@HIDDEN>
> Cc: Nejc Vivod <nvivod@HIDDEN>, 27872 <at> debbugs.gnu.org
> 
> No, I just saw that the last piece of Emacs code in the backtrace was
> macfont_list and figured it was probably something to do with that,
> but presumably the loop could be somewhere else.
> 
> On macOS there is specific code for displaying colour emojis, but it’s
> been disabled. I don’t see any emojis at all, just a blank space the
> same size as the colour emoji should be.

So maybe the loop is macOS specific.

It's strange that you see "just a blank space", though, because this:

>               display: no font available

means Emacs should have displayed a box with the hex code.

> I don’t know if Macs come with non‐colour emoji capable fonts by
> default, all other Mac apps display the colour ones so I can’t even
> see a way to test.

Can you try installing Symbola?  That's the font I see being used here
for this character.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27872; Package emacs. Full text available.

Message received at 27872 <at> debbugs.gnu.org:


Received: (at 27872) by debbugs.gnu.org; 30 Jul 2017 15:06:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 11:06:17 2017
Received: from localhost ([127.0.0.1]:34408 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dbpnM-0005KF-UC
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2017 11:06:17 -0400
Received: from mail-wm0-f52.google.com ([74.125.82.52]:33693)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1dbpnK-0005K1-Dx
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 11:06:14 -0400
Received: by mail-wm0-f52.google.com with SMTP id k20so9506527wmg.0
 for <27872 <at> debbugs.gnu.org>; Sun, 30 Jul 2017 08:06:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=toqMusJUsr5RXzqyl3yMx4lo75drJeuO1CzKB47DKPs=;
 b=DSXPFYH+itdm+8ecXy6URAfYLMAdtzVKft4WGpX8hclqHr9aXKizfUEqhJaJ60wT2b
 XFQK1SXnSOAf0i7wicxKWUgMSvnztHqArJEKqigzBeT/GMgH20kTknXJ32zSA38galPH
 WqVyBI8bB7qcKVNTWqi5nkJQHLbvq/INtBuAkionNXS1BDcPUFcivCNj810lYQ3uXOoY
 gYnpsgMfHypfSHlmNdHA55gkibFgUzoojcUA/jZCJbAsP937RPIUsHDU5YXRstURaZTO
 hzzVo4NOQ4zsE8KxgOEEBklDz44gdhf7TReDrRGvjKJmnH2+UFHFhlZ4NkjSTANGnxN1
 Qxbg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=toqMusJUsr5RXzqyl3yMx4lo75drJeuO1CzKB47DKPs=;
 b=KMnFcAE8no/50ki2rauVX41ZaBwIVXDZY6rz/5nOMtwXTvNNywUQ6811V7y411dOwI
 pfKWYrSXZ58lwkSU9dQDGvbXII81UBOp/LcxuH4wu5jsO9AsJOaJhwuT5wVW8dtH8hS+
 Nvjl+qYuFQWYR7KZ9AXMaXk4Gs1vnLVvdORh6yfnOCJkf3EqI5XONUtxME+J/JC3AOjt
 s5ed7QLx0p+W6kPRP64OqQuPM/kTndBQlGkP5kspHLGBEmKCxT0/GJGML7wSaxh0ps85
 vepCF+Usj2It5hDb82qriZrXmo7OM7ys60e3elG3IcTJBzCRVNjSFoYb2zGcRDMzo2be
 7cgw==
X-Gm-Message-State: AIVw111hzt8orld2O4FQupmVB4nLHV9IMuYQsUSa4csF1/ixV9BHukG0
 RW9axk/VObzHLA==
X-Received: by 10.28.156.79 with SMTP id f76mr9566156wme.22.1501427168618;
 Sun, 30 Jul 2017 08:06:08 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-b502-fffb-632e-95b3.holly.idiocy.org.
 [2001:8b0:3f8:8129:b502:fffb:632e:95b3])
 by smtp.gmail.com with ESMTPSA id y35sm6545132wrd.60.2017.07.30.08.06.07
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 30 Jul 2017 08:06:07 -0700 (PDT)
Date: Sun, 30 Jul 2017 16:06:05 +0100
From: Alan Third <alan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#27872: 26.0.50; freeze when opening file with emojis
Message-ID: <20170730150605.GA19287@HIDDEN>
References: <81029CAB-B75D-4396-B174-1B929A8D2CBB@HIDDEN>
 <20170730115513.GA2137@HIDDEN>
 <C2A4055F-10D3-4C42-AB97-B8BF7E3E16E1@HIDDEN>
 <20170730123416.GC2137@HIDDEN>
 <DF01DF05-F40D-4A4E-8335-C7159FF99056@HIDDEN>
 <20170730130458.GA19175@HIDDEN>
 <83y3r6101q.fsf@HIDDEN>
 <42AD47D2-6C68-4AF2-AD66-92E2E4F12794@HIDDEN>
 <83wp6q0zl4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <83wp6q0zl4.fsf@HIDDEN>
User-Agent: Mutt/1.7.2 (2016-11-26)
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 27872
Cc: 27872 <at> debbugs.gnu.org, Nejc Vivod <nvivod@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

On Sun, Jul 30, 2017 at 05:27:35PM +0300, Eli Zaretskii wrote:
> > From: Nejc Vivod <nvivod@HIDDEN>
> > Date: Sun, 30 Jul 2017 16:19:45 +0200
> > Cc: 27872 <at> debbugs.gnu.org
> > 
> > I thought I did, but I might be mistaken. Re-sending the backtrace.
> 
> Thanks.
> 
> Alan, I don't think I understand how you reached your conclusion: all
> the loops involved in the code shown in the backtrace are fixed-size
> loops, so they've got to end at some point.  Am I missing something?

No, I just saw that the last piece of Emacs code in the backtrace was
macfont_list and figured it was probably something to do with that,
but presumably the loop could be somewhere else.

On macOS there is specific code for displaying colour emojis, but it’s
been disabled. I don’t see any emojis at all, just a blank space the
same size as the colour emoji should be.

I don’t know if Macs come with non‐colour emoji capable fonts by
default, all other Mac apps display the colour ones so I can’t even
see a way to test.

If I call describe-char on the hamburger I get:

             position: 146 of 146 (99%), column: 0
            character: 🍔 (displayed as 🍔) (codepoint 127828, #o371524, #x1f354)
    preferred charset: unicode (Unicode (ISO10646))
code point in charset: 0x1F354
               script: symbol
               syntax: w 	which means: word
             category: .:Base
             to input: type "C-x 8 RET 1f354" or "C-x 8 RET HAMBURGER"
          buffer code: #xF0 #x9F #x8D #x94
            file code: #xF0 #x9F #x8D #x94 (encoded by coding system utf-8-unix)
              display: no font available

Character code properties: customize what to show
  name: HAMBURGER
  general-category: So (Symbol, Other)
  decomposition: (127828) ('🍔')

There are text properties here:
  fontified            nil

I don’t know if any of this is relevant.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27872; Package emacs. Full text available.

Message received at 27872 <at> debbugs.gnu.org:


Received: (at 27872) by debbugs.gnu.org; 30 Jul 2017 14:27:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 10:27:54 2017
Received: from localhost ([127.0.0.1]:34377 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dbpCD-0004Pt-Qo
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2017 10:27:54 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dbpCC-0004Pc-J4
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 10:27:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dbpC2-0007hG-Lz
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 10:27:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:57153)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dbpC2-0007hA-IW; Sun, 30 Jul 2017 10:27:42 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2116
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dbpC2-0008Ra-0l; Sun, 30 Jul 2017 10:27:42 -0400
Date: Sun, 30 Jul 2017 17:27:35 +0300
Message-Id: <83wp6q0zl4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Nejc Vivod <nvivod@HIDDEN>
In-reply-to: <42AD47D2-6C68-4AF2-AD66-92E2E4F12794@HIDDEN> (message from
 Nejc Vivod on Sun, 30 Jul 2017 16:19:45 +0200)
Subject: Re: bug#27872: 26.0.50; freeze when opening file with emojis
References: <81029CAB-B75D-4396-B174-1B929A8D2CBB@HIDDEN>
 <20170730115513.GA2137@HIDDEN>
 <C2A4055F-10D3-4C42-AB97-B8BF7E3E16E1@HIDDEN>
 <20170730123416.GC2137@HIDDEN>
 <DF01DF05-F40D-4A4E-8335-C7159FF99056@HIDDEN>
 <20170730130458.GA19175@HIDDEN> <83y3r6101q.fsf@HIDDEN>
 <42AD47D2-6C68-4AF2-AD66-92E2E4F12794@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 27872
Cc: 27872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Nejc Vivod <nvivod@HIDDEN>
> Date: Sun, 30 Jul 2017 16:19:45 +0200
> Cc: 27872 <at> debbugs.gnu.org
> 
> I thought I did, but I might be mistaken. Re-sending the backtrace.

Thanks.

Alan, I don't think I understand how you reached your conclusion: all
the loops involved in the code shown in the backtrace are fixed-size
loops, so they've got to end at some point.  Am I missing something?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27872; Package emacs. Full text available.

Message received at 27872 <at> debbugs.gnu.org:


Received: (at 27872) by debbugs.gnu.org; 30 Jul 2017 14:17:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 10:17:57 2017
Received: from localhost ([127.0.0.1]:34358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dbp2a-00043W-RT
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2017 10:17:57 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36409)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dbp2Y-00043H-MA
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 10:17:54 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dbp2Q-0001AM-32
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 10:17:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56996)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dbp2P-0001AI-Vs; Sun, 30 Jul 2017 10:17:46 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2050
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dbp2P-0006Wa-5i; Sun, 30 Jul 2017 10:17:45 -0400
Date: Sun, 30 Jul 2017 17:17:37 +0300
Message-Id: <83y3r6101q.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alan Third <alan@HIDDEN>
In-reply-to: <20170730130458.GA19175@HIDDEN> (message from
 Alan Third on Sun, 30 Jul 2017 14:04:58 +0100)
Subject: Re: bug#27872: 26.0.50; freeze when opening file with emojis
References: <81029CAB-B75D-4396-B174-1B929A8D2CBB@HIDDEN>
 <20170730115513.GA2137@HIDDEN>
 <C2A4055F-10D3-4C42-AB97-B8BF7E3E16E1@HIDDEN>
 <20170730123416.GC2137@HIDDEN>
 <DF01DF05-F40D-4A4E-8335-C7159FF99056@HIDDEN>
 <20170730130458.GA19175@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 27872
Cc: 27872 <at> debbugs.gnu.org, nvivod@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Sun, 30 Jul 2017 14:04:58 +0100
> From: Alan Third <alan@HIDDEN>
> Cc: 27872 <at> debbugs.gnu.org
> 
> On Sun, Jul 30, 2017 at 02:42:45PM +0200, Nejc Vivod wrote:
> > I’m running in gui mode yes. I’ve ran it from lldb, attaching the backtrace. 
> 
> It looks like it’s going into a loop while trying to build a list of
> available fonts.

Is it possible to post the backtrace here?

Also, please always use "Reply to all", so that the bug address is
CC'ed, and everyone sees the discussion.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27872; Package emacs. Full text available.

Message received at 27872 <at> debbugs.gnu.org:


Received: (at 27872) by debbugs.gnu.org; 30 Jul 2017 14:12:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 10:12:45 2017
Received: from localhost ([127.0.0.1]:34350 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dboxZ-0003vK-0O
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2017 10:12:45 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35137)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dboxX-0003v8-M0
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 10:12:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dboxP-0006Bi-H8
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 10:12:38 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56878)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dboxP-0006Be-Dz; Sun, 30 Jul 2017 10:12:35 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2034
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dboxO-0005ze-Ej; Sun, 30 Jul 2017 10:12:35 -0400
Date: Sun, 30 Jul 2017 17:12:24 +0300
Message-Id: <831soy2euv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alan Third <alan@HIDDEN>
In-reply-to: <20170730115513.GA2137@HIDDEN> (message from
 Alan Third on Sun, 30 Jul 2017 12:55:13 +0100)
Subject: Re: bug#27872: 26.0.50; freeze when opening file with emojis
References: <81029CAB-B75D-4396-B174-1B929A8D2CBB@HIDDEN>
 <20170730115513.GA2137@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 27872
Cc: 27872 <at> debbugs.gnu.org, nvivod@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Sun, 30 Jul 2017 12:55:13 +0100
> From: Alan Third <alan@HIDDEN>
> Cc: 27872 <at> debbugs.gnu.org
> 
> GUI Emacs doesn’t display emojis.

It definitely does that here, albeit without the colors.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27872; Package emacs. Full text available.

Message received at 27872 <at> debbugs.gnu.org:


Received: (at 27872) by debbugs.gnu.org; 30 Jul 2017 13:05:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 09:05:09 2017
Received: from localhost ([127.0.0.1]:33722 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dbnu9-0002C3-HD
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2017 09:05:09 -0400
Received: from mail-wr0-f174.google.com ([209.85.128.174]:37549)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1dbnu7-0002Bd-9a
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 09:05:08 -0400
Received: by mail-wr0-f174.google.com with SMTP id 33so113251283wrz.4
 for <27872 <at> debbugs.gnu.org>; Sun, 30 Jul 2017 06:05:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=l+nwqD+j6sgt75QvEQ44bDtl9ij3xsK1Co4FEG/mwQc=;
 b=YKKYv9beVcwYGk/dKJYrtLIy/hLHcG7EsatNG0tjF6ILzMCakgHatf2bOAkBwXmjnG
 KVJrMemw2VvKVeqHafG/+YFp6J8aQq6pPEZlmo2d/vpSxvQjCxQYizelYSYcHXTKT/r1
 diFEpEQJMYYmhatURa4588Gj88g60yimZ8LbjiqS0+Pt8sSDOMwyBVKJqc4mdZAKDRTW
 q5Acbi4CxS9h+k8d1MOejVQTV0/L+mZmP6ozH/V5wJtVSdv0v1zm2+i2wx9raensDap2
 GDDWynxBZCdvTJRWkNc6eDXw+kAtcJzrHhQXgNfdxMoooU3r4NioBfnP4n/VQ+na/bM5
 kUHA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=l+nwqD+j6sgt75QvEQ44bDtl9ij3xsK1Co4FEG/mwQc=;
 b=bKEzVtvbaXIB+R3Sgzpl/g2aGXW25fz/VKqMjb9cNAiNsf0ZVqAfQVar8a1STp1xfD
 4HNlBmpjZ0+9hfV26axPykSIq+ywQlVfTvpYzxK4C2Ukl2EmJzFCep1LfHvznkEZUXh9
 K8vYFdt0IpOxgSD/zVmYCI4hr66snJiKTS2O4ogDNzT7VwSDSmzj0t3tCrvDxdUfInSD
 NJF+Cico2eRdmGks9WI18HjmsklbRFFRcenZ8DW6FmTCwuN3CTyego0XmgrVySPZhgk1
 w625YtfVCq3JUH2jdaSGz3nwIThFKA5YlyQGuSuo2O76DtOS3/YtVeNJnTWL4MsZFKfk
 xyYw==
X-Gm-Message-State: AIVw110X+dOodJSPImmdgp3fw6cY94aBJNQD6yeLvdsJR62hLkgfJsi/
 tlGWCogk/VJYXQ==
X-Received: by 10.223.164.13 with SMTP id d13mr9573591wra.58.1501419901738;
 Sun, 30 Jul 2017 06:05:01 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-b502-fffb-632e-95b3.holly.idiocy.org.
 [2001:8b0:3f8:8129:b502:fffb:632e:95b3])
 by smtp.gmail.com with ESMTPSA id 125sm298322wmk.6.2017.07.30.06.05.00
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 30 Jul 2017 06:05:00 -0700 (PDT)
Date: Sun, 30 Jul 2017 14:04:58 +0100
From: Alan Third <alan@HIDDEN>
To: Nejc Vivod <nvivod@HIDDEN>
Subject: Re: bug#27872: 26.0.50; freeze when opening file with emojis
Message-ID: <20170730130458.GA19175@HIDDEN>
References: <81029CAB-B75D-4396-B174-1B929A8D2CBB@HIDDEN>
 <20170730115513.GA2137@HIDDEN>
 <C2A4055F-10D3-4C42-AB97-B8BF7E3E16E1@HIDDEN>
 <20170730123416.GC2137@HIDDEN>
 <DF01DF05-F40D-4A4E-8335-C7159FF99056@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <DF01DF05-F40D-4A4E-8335-C7159FF99056@HIDDEN>
User-Agent: Mutt/1.7.2 (2016-11-26)
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 27872
Cc: 27872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

On Sun, Jul 30, 2017 at 02:42:45PM +0200, Nejc Vivod wrote:
> I’m running in gui mode yes. I’ve ran it from lldb, attaching the backtrace. 

It looks like it’s going into a loop while trying to build a list of
available fonts.

I can’t remember if you said you’d tried this, but please try running
Emacs with the -Q parameter. This bypasses your configuration so we
can be sure it’s not something in there.

-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27872; Package emacs. Full text available.

Message received at 27872 <at> debbugs.gnu.org:


Received: (at 27872) by debbugs.gnu.org; 30 Jul 2017 12:34:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 08:34:26 2017
Received: from localhost ([127.0.0.1]:33699 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dbnQQ-0001Tj-Cz
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2017 08:34:26 -0400
Received: from mail-wr0-f179.google.com ([209.85.128.179]:36883)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1dbnQO-0001TU-TB
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 08:34:25 -0400
Received: by mail-wr0-f179.google.com with SMTP id 33so113098663wrz.4
 for <27872 <at> debbugs.gnu.org>; Sun, 30 Jul 2017 05:34:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=2S8nl26+y05uZbZFQRsIvNcDxASThDcr+c17f46Yvjw=;
 b=s+kikGbaLIkQS71yPI9g2YfgGlcRixTZk1nNHx7Ty920qO+2Z1zw5A50TI5VWe2qTx
 EuyfEW4Sjc/DFbHk0bqx1MNDEqMNK3qyK3m+GudvzYBEScT4R5R73e8rzJSVrhSCq3Se
 dvl7CM0i5btJDTUgmBOMnPdXXky+MoMisFWMjR8yDZSXxLyDUQh38OgHXJ+VAHsp61xL
 zF1I8bmqHjvf18Fpaho7nkBZ4b3ZleKw3UjzFE6N9enmZTSVDxbuFlw058i/TmqnM6AX
 nZFAtNlMTGFNnFZn0PR6RkeX7ocsj5mN2C8Fto0X07Wl/pgbVibOe2LXILSHUGFEYHF6
 PBFQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=2S8nl26+y05uZbZFQRsIvNcDxASThDcr+c17f46Yvjw=;
 b=JPOTNo9Zq2fbPDKdOLZX7AtaxcvnUlnKz6Rsu/DmFUz/8AJu2CI9C1eIGDuFhJ5CLL
 W4zi7gRPvpcNvKeQ35cbYFHWYLYRn3+ra1+pX0ZgZiN2WFt8s6M22Mcp0b0qrPMKDlA6
 +9ijnsui3/zDoEyNAG0NBRTnpQD5lwVRKhyl2FxoJ0fRzAYg8l2IlK9XrWM+8Kv3f1VQ
 gZgHB0Gk6CR00MC5W473njabBgbXOVBd+9/FkGE8oX431RSOrehu+oRdC9FX012wJ596
 YfYjh5U4vsHtccXjq5JHRMEzJU0ypaxxf5B/BF0umjwQH5ewsoFwsBsf1XIAdK2bycZ8
 IvyQ==
X-Gm-Message-State: AIVw11281suCAMf4JBsoCMr2Mfpl0I5iq6LYNohHgihDW/q0+EigXsk2
 8+sZX+jHa+vGAA==
X-Received: by 10.223.171.79 with SMTP id r15mr9784811wrc.57.1501418059214;
 Sun, 30 Jul 2017 05:34:19 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-b502-fffb-632e-95b3.holly.idiocy.org.
 [2001:8b0:3f8:8129:b502:fffb:632e:95b3])
 by smtp.gmail.com with ESMTPSA id 141sm8178249wmh.45.2017.07.30.05.34.18
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 30 Jul 2017 05:34:18 -0700 (PDT)
Date: Sun, 30 Jul 2017 13:34:16 +0100
From: Alan Third <alan@HIDDEN>
To: Nejc Vivod <nvivod@HIDDEN>
Subject: Re: bug#27872: 26.0.50; freeze when opening file with emojis
Message-ID: <20170730123416.GC2137@HIDDEN>
References: <81029CAB-B75D-4396-B174-1B929A8D2CBB@HIDDEN>
 <20170730115513.GA2137@HIDDEN>
 <C2A4055F-10D3-4C42-AB97-B8BF7E3E16E1@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <C2A4055F-10D3-4C42-AB97-B8BF7E3E16E1@HIDDEN>
User-Agent: Mutt/1.7.2 (2016-11-26)
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 27872
Cc: 27872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

On Sun, Jul 30, 2017 at 02:10:38PM +0200, Nejc Vivod wrote:
> Tried downloading from emacsformacosx.com
> <http://emacsformacosx.com/> (both the nightly and the stable
> version), still have the same issue - I’ve also recreated the file
> with your echo command. Not sure why it breaks like this, since the
> preinstalled emacs opens the file just fine.

The preinstalled Emacs is ancient. Version 22 or something. Quite a
lot has changed since then. It also only works in the terminal so the
glyph display code is completely different.

> What I did notice is, it seems to allocate a bunch of memory every
> second or so when opening that test file (looking at activity
> monitor -> Info about the process); before I force-killed it, it was
> taking up 2,39GB of ram and it didn’t seem like it would stop.
> 
> I’m attaching a sample of the process, maybe this can be of help. 

I don’t really understand what that’s telling me. Is it possible for
you to run it under a debugger and send me a backtrace?

You’ll probably have lldb installed already, so all you need to do is
run

    lldb /path/to/emacs
    > run

and once it freezes hit ctrl‐c and

    > bt all

and send me the output.

You are running it in GUI mode, and not in the terminal, right?

-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27872; Package emacs. Full text available.

Message received at 27872 <at> debbugs.gnu.org:


Received: (at 27872) by debbugs.gnu.org; 30 Jul 2017 11:55:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 07:55:23 2017
Received: from localhost ([127.0.0.1]:33665 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dbmod-0000Xu-Ii
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2017 07:55:23 -0400
Received: from mail-wr0-f182.google.com ([209.85.128.182]:37381)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1dbmob-0000Xd-8X
 for 27872 <at> debbugs.gnu.org; Sun, 30 Jul 2017 07:55:21 -0400
Received: by mail-wr0-f182.google.com with SMTP id 33so112897767wrz.4
 for <27872 <at> debbugs.gnu.org>; Sun, 30 Jul 2017 04:55:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=eISRxtoMUioLA/5LG00r4WwLvkKB36tUQ2+9dlK2NJI=;
 b=t76mYkp0X0T7EJR/Nu0GxSukRcjq2TaQIYHFNsNVDpdW9VOG3PkMaHKO7C2c9SWTud
 bujisM2V7CCG5AaoFNX8t8YTeCAPJUL0TkuWV9D4qhGwRd3e+hZ+kcF7GJS5XonTj0sV
 W+K8Jt7ihfpoR6PWYQRs1vIB0OZsERJS2gd0hlf456yTmHIC1hW0rLhNRf+7l8LKi+GS
 FTV4NHyH1Nm0OK9FDLpsPu0kWemVU70Cuog5d/0oW7YYcTSsaXF7wf84vJX0xzTODkBD
 mTClMNKMAfkAs56ht8BPGvMuAAPiDbx59plKBZ9g8vkuipl8QtjkeSPnmC/501s4sux6
 5SZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=eISRxtoMUioLA/5LG00r4WwLvkKB36tUQ2+9dlK2NJI=;
 b=pNJMKB7sYZTrPBa268nV7U4aPXHb2zXmpgr8AWPHv1EwktkWK7BPccxxUN70aDSfSM
 wzOXMkh/KkD8oRQoCpi9aNYZFRpjSNdbIqpFzV4iyjS5q91gJrE5YgQGCuFG+pjEKatd
 NYteJ48eh3xT/R6BT5nz2N5StyP/rtSLfMwmMX73uB8pJzwccIrzqOkLW+0MWqUfc1q+
 qDbz/VrnnskvXYCXrp0ee46iJTMikVRbLYvZ7Zfsb/jYD6lRHYEvH+VDMiuzYeQKBsW/
 WFrnPbpYPHYkK9deJi+rqdAu4eh8UUqil2o9V69dZfY3V2a22hdkwSo6wQA2vSs95qUg
 79yA==
X-Gm-Message-State: AIVw112IixGJAIkOZiZZK0j15Fuuv4VJwYhhFp0+ypzjRcPqivLPsZzE
 IMPsxe611bo/Qw==
X-Received: by 10.223.158.133 with SMTP id a5mr9625398wrf.188.1501415715382;
 Sun, 30 Jul 2017 04:55:15 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-b502-fffb-632e-95b3.holly.idiocy.org.
 [2001:8b0:3f8:8129:b502:fffb:632e:95b3])
 by smtp.gmail.com with ESMTPSA id e65sm20609485wmc.21.2017.07.30.04.55.14
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 30 Jul 2017 04:55:14 -0700 (PDT)
Date: Sun, 30 Jul 2017 12:55:13 +0100
From: Alan Third <alan@HIDDEN>
To: Nejc Vivod <nvivod@HIDDEN>
Subject: Re: bug#27872: 26.0.50; freeze when opening file with emojis
Message-ID: <20170730115513.GA2137@HIDDEN>
References: <81029CAB-B75D-4396-B174-1B929A8D2CBB@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <81029CAB-B75D-4396-B174-1B929A8D2CBB@HIDDEN>
User-Agent: Mutt/1.7.2 (2016-11-26)
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 27872
Cc: 27872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

On Sun, Jul 30, 2017 at 12:44:24AM +0200, Nejc Vivod wrote:
> Emacs installed via homebrew (--with-cocoa enabled) freezes with 100%
> CPU usage when opening a file that contains unicode emojis. Other
> editors handle the file just fine (and default mac emacs opens it, but
> doesn't display emojis).
> Steps to reproduce:
> 1. emacs -Q
> 2. open a file that contains a unicode emoji (my test file has a burger icon in it - 🍔)
> 3. emacs will stop responding and keep the CPU at 100%

I can’t reproduce this with the master branch. Are you sure it’s just
the presence of the emoji and not something else?

I used this command to create a test file:

    echo "🍔" > /tmp/test.txt

> Is there a way to at least not display emojis (I’m fine with blocks)?

GUI Emacs doesn’t display emojis. It’s possible homebrew have included
a patch to enable them.

Can you test with a build direct from git, or a nightly build from
emacsformacosx.com?
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27872; Package emacs. Full text available.

Message received at 27872 <at> debbugs.gnu.org:


Received: (at 27872) by debbugs.gnu.org; 30 Jul 2017 02:41:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 29 22:41:43 2017
Received: from localhost ([127.0.0.1]:33515 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dbeAp-0002Zy-El
	for submit <at> debbugs.gnu.org; Sat, 29 Jul 2017 22:41:43 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dbeAo-0002Zl-5E
 for 27872 <at> debbugs.gnu.org; Sat, 29 Jul 2017 22:41:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dbeAf-0005D8-Nn
 for 27872 <at> debbugs.gnu.org; Sat, 29 Jul 2017 22:41:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45214)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dbeAf-0005Cw-K3; Sat, 29 Jul 2017 22:41:33 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1729
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dbeAf-00018q-0e; Sat, 29 Jul 2017 22:41:33 -0400
Date: Sun, 30 Jul 2017 05:41:25 +0300
Message-Id: <834ltu3aui.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Nejc Vivod <nvivod@HIDDEN>
In-reply-to: <81029CAB-B75D-4396-B174-1B929A8D2CBB@HIDDEN> (message from
 Nejc Vivod on Sun, 30 Jul 2017 00:44:24 +0200)
Subject: Re: bug#27872: 26.0.50; freeze when opening file with emojis
References: <81029CAB-B75D-4396-B174-1B929A8D2CBB@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 27872
Cc: 27872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Nejc Vivod <nvivod@HIDDEN>
> Date: Sun, 30 Jul 2017 00:44:24 +0200
> 
> Emacs installed via homebrew (--with-cocoa enabled) freezes with 100%
> CPU usage when opening a file that contains unicode emojis. Other
> editors handle the file just fine (and default mac emacs opens it, but
> doesn't display emojis).
> Steps to reproduce:
> 1. emacs -Q
> 2. open a file that contains a unicode emoji (my test file has a burger icon in it - 🍔)
> 3. emacs will stop responding and keep the CPU at 100%
> 
> Is there a way to at least not display emojis (I’m fine with blocks)? Thank you in advance

It doesn't freeze here, so it's something NS specific, I guess.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27872; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Jul 2017 23:21:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 29 19:21:10 2017
Received: from localhost ([127.0.0.1]:33469 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dbb2j-0006HO-W4
	for submit <at> debbugs.gnu.org; Sat, 29 Jul 2017 19:21:10 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nvivod@HIDDEN>) id 1dbaTT-0005Qv-Bn
 for submit <at> debbugs.gnu.org; Sat, 29 Jul 2017 18:44:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nvivod@HIDDEN>) id 1dbaTN-0000xd-0Y
 for submit <at> debbugs.gnu.org; Sat, 29 Jul 2017 18:44:38 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:42841)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <nvivod@HIDDEN>) id 1dbaTM-0000xL-SV
 for submit <at> debbugs.gnu.org; Sat, 29 Jul 2017 18:44:36 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44441)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <nvivod@HIDDEN>) id 1dbaTL-0000TR-7y
 for bug-gnu-emacs@HIDDEN; Sat, 29 Jul 2017 18:44:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nvivod@HIDDEN>) id 1dbaTI-0000su-4p
 for bug-gnu-emacs@HIDDEN; Sat, 29 Jul 2017 18:44:35 -0400
Received: from mail-wr0-x231.google.com ([2a00:1450:400c:c0c::231]:38039)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <nvivod@HIDDEN>) id 1dbaTH-0000qz-Rj
 for bug-gnu-emacs@HIDDEN; Sat, 29 Jul 2017 18:44:32 -0400
Received: by mail-wr0-x231.google.com with SMTP id f21so109904411wrf.5
 for <bug-gnu-emacs@HIDDEN>; Sat, 29 Jul 2017 15:44:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:mime-version:subject:message-id:date:to;
 bh=hMRwcm1qdY9w+/I6su8CFNtchKaepAnfhLzSYzvv4rs=;
 b=qC4+Ctw3oFf65K6+iLtNAW/KWVngWesB2C+Ny4sx4OH6i0RznRyNkSx3BgbGMNqDSs
 UeRR/PM/Tky8C4F4jOJoH+OM0NNxR1C3/y+3eRB1WpRslLP8t4T6JsYy9oq6CU5uSy1A
 kuPypSSLVHxUJk6sWwYPOJY0Nm39+AGDpwVZFb0RKxWwZeomwjnj77cv2kIXTrGDWPo/
 HwXxLich0vt1qxbx/qsqpQXTBXBkwnd8Otkc1RxXAtAsGorzK5981JPJRlub9G1NB+/q
 MhNeCsi2YvE5txlD/Q84VlAbsLRyKywoXIlj+ohhrx3zY5idFDD+YjVQNs+PMWQFIP6p
 9TPg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:subject:message-id:date:to;
 bh=hMRwcm1qdY9w+/I6su8CFNtchKaepAnfhLzSYzvv4rs=;
 b=Vq+ZSGBTFAQ5sPZoOzcpZu2LnssDnBOzN60P73jknxPHMeJ1At/UpnkzxsJzeUi93O
 WrZ9ic9ec8jS7kp3T4qW90emuUwealwV2F5MgrowJamY7xsHhIxMK3ab/xE3r7pJD9li
 8FJvqugd44n7XrZbb3a9lZkCFlLDZ8OkrYsQvoNRNDOQEfC7S6dAVIBMmud2mdjcEZUr
 B3pISJqKl9MPUOB6+grJK9vfOO2rdQqS/VG5eOi3WpQEuECXm3cYC9Q8WIITqlrJXVPK
 Et4CDZd7Q8rjIAct2l2b3AYdgXjS8oZOsmaZOxIydlRrRTb4rkWGGOFLIjpDOOvpZDkL
 6LIA==
X-Gm-Message-State: AIVw110Nh8WFA9HI0bfBzuSFOqPa7yOaCz+bAamUBFsfooh4DoIQURVa
 T47W2iFj+gMuj0F/gC4=
X-Received: by 10.223.151.82 with SMTP id r76mr9141028wrb.6.1501368268623;
 Sat, 29 Jul 2017 15:44:28 -0700 (PDT)
Received: from [192.168.3.103] ([77.38.106.199])
 by smtp.gmail.com with ESMTPSA id 13sm23627537wrl.57.2017.07.29.15.44.26
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 29 Jul 2017 15:44:26 -0700 (PDT)
From: Nejc Vivod <nvivod@HIDDEN>
Content-Type: multipart/signed;
 boundary="Apple-Mail=_D618F76A-1DF9-4C0B-81BA-6240A8EDB18D";
 protocol="application/pkcs7-signature"; micalg=sha1
Mime-Version: 1.0 (Mac OS X Mail 10.3 \(3273\))
Subject: 26.0.50; freeze when opening file with emojis
Message-Id: <81029CAB-B75D-4396-B174-1B929A8D2CBB@HIDDEN>
Date: Sun, 30 Jul 2017 00:44:24 +0200
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3273)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 29 Jul 2017 19:21:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


--Apple-Mail=_D618F76A-1DF9-4C0B-81BA-6240A8EDB18D
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

Emacs installed via homebrew (--with-cocoa enabled) freezes with 100%
CPU usage when opening a file that contains unicode emojis. Other
editors handle the file just fine (and default mac emacs opens it, but
doesn't display emojis).
Steps to reproduce:
1. emacs -Q
2. open a file that contains a unicode emoji (my test file has a burger =
icon in it - =F0=9F=8D=94)
3. emacs will stop responding and keep the CPU at 100%

Is there a way to at least not display emojis (I=E2=80=99m fine with =
blocks)? Thank you in advance

In GNU Emacs 26.0.50 (build 2, x86_64-apple-darwin16.7.0, NS =
appkit-1504.83 Version 10.12.6 (Build 16G29))
of 2017-07-30 built on helghan
Repository revision: 2c930d15f541761422a268cd2b5a7f5c11c9a00e
Windowing system distributor 'Apple', version 10.3.1504
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...

Configured using:
'configure --disable-dependency-tracking --disable-silent-rules
--enable-locallisppath=3D/usr/local/share/emacs/site-lisp
--infodir=3D/usr/local/Cellar/emacs/HEAD-2c930d1/share/info/emacs
--prefix=3D/usr/local/Cellar/emacs/HEAD-2c930d1 --without-x --with-xml2
--without-dbus --without-gnutls --without-imagemagick --with-ns
--disable-ns-self-contained'

Configured features:
JPEG NOTIFY ACL LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LC_CTYPE: UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message subr-x puny seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils time-date tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/ns-win
ns-win ucs-normalize mule-util term/common-win tool-bar dnd fontset
image regexp-opt fringe tabulated-list replace newcomment text-mode
elisp-mode lisp-mode prog-mode register page menu-bar rfn-eshadow
isearch timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote kqueue cocoa ns multi-tty
make-network-process emacs)

Memory information:
((conses 16 203872 9206)
(symbols 48 19913 2)
(miscs 40 71 157)
(strings 32 29053 1358)
(string-bytes 1 777729)
(vectors 16 34926)
(vector-slots 8 705954 9076)
(floats 8 48 68)
(intervals 56 232 0)
(buffers 992 13))

--Apple-Mail=_D618F76A-1DF9-4C0B-81BA-6240A8EDB18D
Content-Disposition: attachment;
	filename=smime.p7s
Content-Type: application/pkcs7-signature;
	name=smime.p7s
Content-Transfer-Encoding: base64

MIAGCSqGSIb3DQEHAqCAMIACAQExCzAJBgUrDgMCGgUAMIAGCSqGSIb3DQEHAQAAoIIFWzCCBVcw
ggQ/oAMCAQICBDtEN5gwDQYJKoZIhvcNAQEFBQAwPTELMAkGA1UEBhMCc2kxGzAZBgNVBAoTEnN0
YXRlLWluc3RpdHV0aW9uczERMA8GA1UECxMIc2lnZW4tY2EwHhcNMTIxMTMwMTUzODM4WhcNMTcx
MTMwMjAwMjUwWjB+MQswCQYDVQQGEwJzaTEbMBkGA1UEChMSc3RhdGUtaW5zdGl0dXRpb25zMREw
DwYDVQQLEwhzaWdlbi1jYTEUMBIGA1UECxMLaW5kaXZpZHVhbHMxKTARBgNVBAMTCk5lamMgVml2
b2QwFAYDVQQFEw0yNDY4Njk0MzEyMDI4MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA
3v/bMPcjqRIX5+g0+keuj0+PPUuDT7eZG+orghT1Uq7lezdO6k79XCHniNId2OlckKZGS6J1UJi1
AdG12F/ptBFZQErvdWgE50fXJuT2TSwDqJn/xKNNtY/xQXjzQDovJEyh4ZjtdnVrgWPwI70tzsag
o97Gu3XTC86aNZPxqw69B82JRCpalqh5aTl+wFPOm6YVAaln6FtwiLRJkaNFbx0MwLBiASVo5CTu
Zsvd5EQcHMktPjkX+zIa4z/mofxg69wMsmwjeexNPfo+9lNL3G3zRuQL91A8KnjXsIDRbRdANmPR
mHqTcTNYBQ+JMlNKvY5KREOuXPh4efDYXMs4gQIDAQABo4ICHDCCAhgwDgYDVR0PAQH/BAQDAgWg
MEsGA1UdIAREMEIwNgYLKwYBBAGvWQICAwIwJzAlBggrBgEFBQcCARYZaHR0cDovL3d3dy5jYS5n
b3Yuc2kvY3BzLzAIBgYEAIswAQIwGAYIKwYBBQUHAQMEDDAKMAgGBgQAjkYBATAbBgNVHREEFDAS
gRBudml2b2RAZ21haWwuY29tMIHuBgNVHR8EgeYwgeMwVqBUoFKkUDBOMQswCQYDVQQGEwJzaTEb
MBkGA1UEChMSc3RhdGUtaW5zdGl0dXRpb25zMREwDwYDVQQLEwhzaWdlbi1jYTEPMA0GA1UEAxMG
Q1JMMjM3MIGIoIGFoIGChldsZGFwOi8veDUwMC5nb3Yuc2kvb3U9c2lnZW4tY2Esbz1zdGF0ZS1p
bnN0aXR1dGlvbnMsYz1zaT9jZXJ0aWZpY2F0ZVJldm9jYXRpb25MaXN0P2Jhc2WGJ2h0dHA6Ly93
d3cuc2lnZW4tY2Euc2kvY3JsL3NpZ2VuLWNhLmNybDArBgNVHRAEJDAigA8yMDEyMTEzMDE1Mzgz
OFqBDzIwMTcxMTMwMjAwMjUwWjAfBgNVHSMEGDAWgBRxe4oGHzEFVatgEndHIB4DiBjsiTAdBgNV
HQ4EFgQUPJ6LiIMymAhQbJIi4qZig0+XOGUwCQYDVR0TBAIwADAZBgkqhkiG9n0HQQAEDDAKGwRW
Ny4xAwIDqDANBgkqhkiG9w0BAQUFAAOCAQEAhG8NcAkWOiEd9XDdgen6byCKpvAdjzciI+4GqYn4
au+SJRGaf1S8NK2Eczjym/SsDYYjnlQkLsCHc0NHyiZVQ9cXlprgGZZNRXeseaB2f4nhqTy5eQsy
Wyqn0Y2hVM0G31pQJOWW5SwqlSoGQODzTxRxvG+muI+tB1MeesVtjg7Zj8ZlnrSAtt+7CeGciWGd
tsdE1NocAeIoCskwd+v825av3rMS6Od1AZkr5qv4EqRTfUZVcoqqhhxJCkjIWtkWDIIaqmDSbZW1
alFtGyLAfF4cAodvsxKn9zvmAIaP42Ztx+WdGmkwwZhP+B/+XpN4ejVKxXmgJr4LyunMlX77hTGC
AnswggJ3AgEBMEUwPTELMAkGA1UEBhMCc2kxGzAZBgNVBAoTEnN0YXRlLWluc3RpdHV0aW9uczER
MA8GA1UECxMIc2lnZW4tY2ECBDtEN5gwCQYFKw4DAhoFAKCCAQswGAYJKoZIhvcNAQkDMQsGCSqG
SIb3DQEHATAcBgkqhkiG9w0BCQUxDxcNMTcwNzI5MjI0NDI1WjAjBgkqhkiG9w0BCQQxFgQUtoiV
p5V0yK8psVX0VqLeSzvPA34wVAYJKwYBBAGCNxAEMUcwRTA9MQswCQYDVQQGEwJzaTEbMBkGA1UE
ChMSc3RhdGUtaW5zdGl0dXRpb25zMREwDwYDVQQLEwhzaWdlbi1jYQIEO0Q3mDBWBgsqhkiG9w0B
CRACCzFHoEUwPTELMAkGA1UEBhMCc2kxGzAZBgNVBAoTEnN0YXRlLWluc3RpdHV0aW9uczERMA8G
A1UECxMIc2lnZW4tY2ECBDtEN5gwDQYJKoZIhvcNAQEBBQAEggEAcdTHGq2AFdN+uOoCr1PlQx2M
j/bGvbHmD4UFyxrm9O+Nk7IJvfvoKcDzEnRBj8dB7MNsOupoeQqSpQ1j4YoztGZ27CbILzbmV6uP
k9DP5Z7xaFZlA+2eKO5hiEexC/8xNcWXqJwcv42NFhTYdFDuyYndz/wuY6z6uti3BnXw+jz3+sWl
Q0Dig/NWzsprC4tH3rvXOxnnbwZiBabdhTCV5CynWFo8yN7nunu1bkL1u6ktJVCEJMTuSKk5GteA
kFC+2oeLeWY2s8u6pwfHBMkfKhQD39jUhQZGuAYgHlMMS9dFKKOuPiM0ige2HLmQ3NEDUEsZBzZJ
5Hu3q/5XtTp8zwAAAAAAAA==
--Apple-Mail=_D618F76A-1DF9-4C0B-81BA-6240A8EDB18D--




Acknowledgement sent to Nejc Vivod <nvivod@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#27872; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 9 Aug 2017 14:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.